mutter (51~alpha-0ubuntu1) stonking; urgency=medium

  * Merge Debian version 50.2-3 (LP: #2147214, LP: #2153399, LP: #2152175)
  * New upstream release 51.alpha (LP: #2149860)
  * Bump the Mutter API/ABI from 18 to 51.
  * Update build dependencies:
    - Drop deprecated libnvidia-egl-wayland support - GBM only now.
    - Udev is no longer optional.
    - Bump wayland-protocols requirement to 1.48.
  * Drop upstreamed patches:
    - backends-color-device-Reuse-already-known-devices-for-equ.patch
    - backends-color-device-Split-out-the-color-device-setup.patch
    - backends-monitor-manager-Update-the-logical-monitor-takin.patch
    - gdctl-Do-not-crash-if-backlight-property-is-not-available.patch
    - tests-dbusmock-templates-colord-Raise-AlreadyExists-when-.patch
    - tests-dbusrunner-Use-sh-to-launch-umockdev-wrapper.patch
    - wayland-Drop-semi-temporary-variable.patch
    - wayland-Only-schedule-a-single-cursor-location-update.patch
    - wayland-seat-Track-current-touch-surface.patch
    - wayland-touch-Expose-the-current-touch-surface.patch
    - wayland-touch-Rename-fields-and-functions-for-clarity.patch
    - ubuntu/workspace-De-prioritize-focusing-desktop-windows.patch
  * Add patches:
    - ubuntu/backend-Always-retrieve-the-requested-cursor.patch
    - ubuntu/backend-Cleanup-global-cursor-with-an-explicit-setter.patch
    - ubuntu/clutter-text-Add-a-new-ellipsize-line-property.patch (LP: #968213)
  * Refresh patches:
    - ubuntu/clutter-Expose-getter-for-global-cursor.patch
    - ubuntu/clutter-frame-clock-Don-t-skip-the-next-frame.patch
    - ubuntu/clutter-sprite-Use-overridden-global-cursor-in-invalidate.patch
    - ubuntu/core-Remove-warning-that-a-key-combo-has-been-overridden.patch
    - ubuntu/keyboard-a11y-Unlatch-sticky-modifiers-on-CLUTTER_BUTTON_.patch
    - ubuntu/wayland-Notify-modifiers-after-pointer-button-events.patch
    - ubuntu/wayland-Do-not-track-overridden-cursor.patch (deleted)
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
    - ubuntu/window-Use-snapd-socket-to-get-the-application-ID.patch
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - workarounds/tests-Skip-thread-priority-test.patch
  * Update symbol versions:
    - libmutter-51-0.symbols
    - libmutter-test-51.symbols

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 02 Jul 2026 15:28:16 +0800

mutter (50.2-3) unstable; urgency=medium

  * Team upload
  * d/p/wayland-Only-schedule-a-single-cursor-location-update.patch
    d/p/wayland-Drop-semi-temporary-variable.patch:
    Add patches proposed upstream to avoid (harmless) log spam in some
    situations (Closes: #1139266)
  * d/rules, d/tests: Give up on using the upstream test suite as a QA gate.
    In the past we've tried to curate the tests and separate them into
    reliable and flaky, but some of the parts that are unreliable seem
    to be in common code like setup/teardown.
    Run the tests anyway, even if their result can't be an automated QA
    gate: that will hopefully let us distinguish between architectures
    that mostly work, and architectures (if any) that don't work at all.
    (Closes: #1121518, #1138999)
  * d/tests/libmutter-18-dev:
    Reinstate a superficial autopkgtest for the -dev package.
    This checks that dependencies are met and pkgconf succeeds. Before
    GNOME 50, the equivalent test used meta_is_wayland_compositor(), but
    that no longer exists, so call a different harmless function instead.

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Jun 2026 15:10:29 +0100

mutter (50.2-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable (transition: #1132301)

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Jun 2026 10:09:30 +0100

mutter (50.2-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream stable release
  * d/copyright: Update
  * Standards-Version: 4.7.4 (no changes required)
  * d/*.symbols: Update

  [ Michael R. Crusoe ]
  * d/control: build-dep on dh_python & dh-sequence-python3 to ensure that
    "#!/usr/bin/env python3" is rewritten as "#! /usr/bin/python3" as per
    the Debian Python Policy section 5.1 "Interpreter directive".
    Tag binary packages mutter-common and mutter-common-bin for the rewrite
    processing by adding "${python3:Depends}" to their Depends stanzas.

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Jun 2026 09:10:04 +0100

mutter (50.1-0ubuntu4) stonking; urgency=medium

  * d/p: Fix same-window drag-and-drop on touchscreen (LP: #2151278)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 28 May 2026 14:54:29 +0200

mutter (50.1-0ubuntu3) stonking; urgency=medium

  [ Alessandro Astone ]
  * d/p/u: Avoid processing other events while waiting for snap id.
    Window creation is a synchronous process, so we must make sure to not
    process any other events while we're waiting for a response from snapd.
    This is achieved by using a temporary GMainContext instead of the default.
    (LP: #2147501)
  * d/p/u: Fix cursor spinning after launching an app (LP: #2148049)
  * d/p/u: Fix cursor not changing in popups (LP: #2148481)
  * d/libmutter-18-0.symbols: Add new symbol from patch
  * d/p/u: Acknowledge the existance of non-desktop snap apps.
    A snap may provide some desktop apps and some CLI apps.
    While iterating the apps provided by the snap in search of a desktop file
    that matches, we should acknowledge the fact that some snap apps will have
    no associated desktop file.
    It is otherwise considered a programming error to try and access a json
    member that does not exist. (LP: #2150242)

  [ Marco Trevisan (Treviño) ]
  * d/p: Cherry-pick Upstream Fix for crash on hot-plugging similar monitors
    (LP: #2148655)
  * d/p: Fix gdctl crash on invalid backlight (LP: #2149823)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 05 May 2026 17:29:55 +0200

mutter (50.1-0ubuntu2) resolute; urgency=medium

  * d/p/ubuntu/workspace: De-prioritize focusing desktop windows.
    In ubuntu we use a desktop extension by default, that is not used
    upstream, while it can handle most of the WM changes, there are some
    situations in which the desktop still gets wrongly focused, such as when
    using the Ctrl+Alt+Tab a11y switcher, as it's being considered a "normal"
    window. Fix this by ensuring that the desktop is the latest window to be
    focused, unless explicitly requested. (LP: #2148490)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 15 Apr 2026 20:20:33 +0200

mutter (50.1-0ubuntu1) resolute; urgency=medium

  [ Daniel van Vugt ]
  * Merge with Debian version 50.0-1
  * New stable upstream release 50.1:
    - Allow setting paint debug flags from environment
    - Fix applying pango scale attributes to text
    - Fix moving minimized maximized windows to a different monitor
    - Configure primary GPU in headless mode if it doesn't support KMS
    - Use fewer buffers for screencast streams
    - Only queue clipped redraws when mapped
    - Fix XReconfigureWMWindow() resizing window when not requested
    - Fix DND sometimes failing with reused data sources
    - Fix performance regression with some Nvidia driver versions
    - Use modifiers for secondary GPU FBOs
    - Fix freeze with Nvidia driver
    - Fixed crash
    - Misc. bug fixes and cleanups
  * Refresh patches:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - ubuntu/window-Use-snapd-socket-to-get-the-application-ID.patch
  * Drop upstreamed patches included in 50.1:
    - ubuntu/onscreen-native-Call-assign_next_frame-earlier-in-_swap_b.patch
    - ubuntu/onscreen-native-Guard-early-swap-bail-behind-render-sourc.patch
    - ubuntu/onscreen-native-Handle-power-save-mode-later-in-maybe_pos.patch
    - ubuntu/onscreen-native-Move-nvidia-deadlock-prevention-to-assign.patch

  [ Simon McVittie ]
  * d/control: Add Breaks on gnome-kiosk (<< 50~rc~)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 15 Apr 2026 14:15:35 +0800

mutter (50.0-1) experimental; urgency=medium

  * Team upload

  [ Daniel van Vugt ]
  * New upstream release 50.0
  * Refresh patches:
    - workarounds/tests-Skip-thread-priority-test.patch
  * Bump dependencies:
    - wayland-protocols >= 1.47
    - pipewire >= 1.6.0
  * Update symbols files for 50.0

  [ Simon McVittie ]
  * Merge packaging from unstable
  * d/control: Bump dependency versions to those recommended by upstream CI
    - gsettings-desktop-schemas-dev 50~alpha
    - libgtk-4-dev 4.22.0
    - libpipewire-0.3-dev 1.6.1
  * d/copyright: Update
  * d/watch: Convert to v5 format
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Mar 2026 20:50:32 +0000

mutter (50.0-0ubuntu6) resolute; urgency=medium

  * Move to upstream-approved (and tested) patches for resolving Nvidia
    freezes and log spam:
    -ubuntu/onscreen-native-Always-apply-the-deadlock-protection-path.patch
    -ubuntu/onscreen-native-Ensure-swaps-never-fail.patch
    +ubuntu/onscreen-native-Handle-power-save-mode-later-in-maybe_pos.patch
    +ubuntu/onscreen-native-Call-assign_next_frame-earlier-in-_swap_b.patch
    +ubuntu/onscreen-native-Move-nvidia-deadlock-prevention-to-assign.patch
    (LP: #2146782, LP: #2147648, LP: #2147480)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 13 Apr 2026 16:17:33 +0800

mutter (50.0-0ubuntu5) resolute; urgency=medium

  * Replace: ubuntu/onscreen-native-Ensure-swaps-can-never-fail.patch
    with these:
    ubuntu/onscreen-native-Always-apply-the-deadlock-protection-path.patch
    ubuntu/onscreen-native-Ensure-swaps-never-fail.patch
    to fix more ways the Nvidia driver can deadlock
    (LP: #2146782, LP: #2147648)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Sun, 12 Apr 2026 15:39:28 +0800

mutter (50.0-0ubuntu4) resolute; urgency=medium

  * Add missing dependencies of libmutter-18-dev introduced in
    50~beta-2ubuntu2: window-Use-snapd-socket-to-get-the-application-ID.patch
    now causing build failures of other packages (gnome-kiosk) trying to use
    libmutter-18.pc

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 08 Apr 2026 15:39:47 +0800

mutter (50.0-0ubuntu3) resolute; urgency=medium

  * Add new patches:
    - ubuntu/onscreen-native-Guard-early-swap-bail-behind-render-sourc.patch
    - ubuntu/onscreen-native-Ensure-swaps-can-never-fail.patch (LP: #2146782)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Sat, 04 Apr 2026 15:03:45 +0800

mutter (50.0-0ubuntu2) resolute; urgency=medium

  * d/p/u: Drop unnecessary pipewire patch
  * d/p/u: Reset latched sticky-keys modifiers on mouse up (LP: #2131889)
  * d/p/u/snapd: Fix matching multi-instance snaps

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 31 Mar 2026 19:38:12 +0200

mutter (50.0-0ubuntu1) resolute; urgency=medium

  * New upstream release 50.0
  * Refresh patches:
    - ubuntu/clutter-frame-clock-Don-t-skip-the-next-frame.patch
    - ubuntu/meson.build-Lower-pipewire-requirement-to-1.5.84.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
    - ubuntu/window-Use-snapd-socket-to-get-the-application-ID.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 16 Mar 2026 16:01:49 +0800

mutter (50~rc-0ubuntu1) resolute; urgency=medium

  [ Simon McVittie ]
  * Merge packaging from unstable

  [ Daniel van Vugt ]
  * New upstream release 50.rc (LP: #2143655)
  * Refresh patches:
    - workarounds/tests-Skip-thread-priority-test.patch
    - ubuntu/core-Remove-warning-that-a-key-combo-has-been-overridden.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
    - ubuntu/window-Use-snapd-socket-to-get-the-application-ID.patch
  * Drop upstreamed patches:
    - Unblock-Nvidia-performance.patch
  * Replace Revert-clutter-frame-clock-Remove-min_render_time_allowed.patch
    with clutter-frame-clock-Don-t-skip-the-next-frame.patch
    to resolve the same bug, but compatible with 50.rc.
  * Bump dependencies:
    - wayland-protocols >= 1.47
    - pipewire >= 1.5.84

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 05 Mar 2026 16:59:13 +0800

mutter (50~beta-2ubuntu4) resolute; urgency=medium

  * Update Unblock-Nvidia-performance.patch to prevent a busy wait while
    the monitor is turned off (LP: #2142820)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 27 Feb 2026 15:58:48 +0800

mutter (50~beta-2ubuntu3) resolute; urgency=medium

  * d/p/ubuntu/snapd-support: Drop debug code leaked in the patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Feb 2026 04:35:46 +0100

mutter (50~beta-2ubuntu2) resolute; urgency=medium

  [ Alessandro Astone ]
  * d/p/u: Add proposed patch for sticky-keys:
    Ensure that a latched modifier will only affect one key press (LP: #2133743)

  [ Marco Trevisan (Treviño) ]
  * d/p: Improve snap App ID identification.
    Use the snapd provided information rather than guessing, this is needed
    to support the desktop-id feature of the desktop interface and to
    correctly match the applications within the shell context
  * debian/control: Add build dependency on libsoup (and keep json-glib)
    The latter should have been actually removed but we need it again now
    In any case the new dependencies are not really new since the shell
    already loads in memory libsoup, so this makes just it being loaded by
    the linker instead.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Feb 2026 04:21:18 +0100

mutter (50~beta-2ubuntu1) resolute; urgency=medium

  * Merge with Debian experimental, mostly to get the new dependency of
    libmutter-18 on mutter-common. This prevents a new crash in 50~beta
    that would occur when libmutter-18 is used with older mutter-common.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 09 Feb 2026 16:36:37 +0800

mutter (50~beta-2) experimental; urgency=medium

  * Add loong64 to the list of architectures where sysprof is available
  * Fix i386 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Feb 2026 05:12:10 -0500

mutter (50~beta-1) experimental; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 50.beta
  * Refreshed patches and fixed conflicts:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - workarounds/tests-Mark-view-verification-tests-as-incomplete-in-big-e.patch
  * Removed tests that relied strictly on the X11 backend which itself
    has been removed in this release.
  * debian/control: Add new Build-Depends: libxkbregistry-dev
  * Update debian/*.symbols for 50.beta
  * debian/control: libmutter now requires mutter-common >= 50~beta

  [ Simon McVittie ]
  * Revert "d/gbp.conf, d/control, d/watch: Branch for 49.x"

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Feb 2026 12:17:46 -0500

mutter (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release 50.beta
  * Refreshed patches and fixed conflicts:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - workarounds/tests-Mark-view-verification-tests-as-incomplete-in-big-e.patch
    - ubuntu/core-Remove-warning-that-a-key-combo-has-been-overridden.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
  * Drop upstreamed patches:
    - workarounds/tests-test-client-Sync-display-before-closing-it.patch
    - ubuntu/onscreen-native-Reduce-the-log-level-of-buffer-age-warnin.patch
  * Rewrote patches:
    - ubuntu/Unblock-Nvidia-performance.patch
      because it's likely only part of it will land upstream in 50.0 and
      the commits had to be reordered. Also fixed a memory leak on DisplayLink.
  * Added patches:
    - ubuntu/Revert-clutter-frame-clock-Remove-min_render_time_allowed.patch
      to avoid a performance regression introduced upstream in 50.beta.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 05 Feb 2026 16:44:23 +0800

mutter (50~alpha-0ubuntu1) resolute; urgency=medium

  * New upstream release 50.alpha (LP: #2131889, LP: #2130619)
  * Refreshed patches and fixed conflicts:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
  * Add patches:
    - workarounds/tests-test-client-Sync-display-before-closing-it.patch
      to avoid spurious test failures with 50.alpha.
    - ubuntu/Unblock-Nvidia-performance.patch to improve Nvidia driver
      desktop performance. (LP: #2081140)
    - ubuntu/core-Remove-warning-that-a-key-combo-has-been-overridden.patch
      (LP: #1857392)
    - ubuntu/onscreen-native-Reduce-the-log-level-of-buffer-age-warnin.patch
      to eliminate spurious log spam introduced in upstream release 50.alpha.
  * Removed tests that relied strictly on the X11 backend which itself
    has been removed in this release.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 21 Jan 2026 16:19:13 +0800

mutter (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
  * d/p: Drop Ubuntu patches applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 05 Dec 2025 10:45:29 +0100

mutter (49.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1121120)
  * d/libmutter-17-0.symbols: Don't generate dependencies on prereleases
  * d/libmutter-17-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Nov 2025 17:28:41 +0000

mutter (49.1.1-2ubuntu1) resolute; urgency=medium

  [ Mitchell Augustin ]
  * backends/monitor-manager: Improve tiled monitor handling (LP: #2131575)

  [ Alessandro Astone ]
  * Merge with Debian. Remaining changes:
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add backends-native-Fix-sticky-keys-not-locking.patch (LP #2127039)
  * d/p: Drop Ubuntu patches applied upstream
  * d/p: Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Nov 2025 09:54:37 +0100

mutter (49.1.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (starts transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 10:42:22 +0000

mutter (49.1.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Oct 2025 11:46:03 -0400

mutter (49.1-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release
    - d/patches: Drop patches that were applied upstream
    - d/libmutter-17-0.symbols: Ignore removal of meta_window_resize_frame().
      This is technically an ABI break, but it was only declared in a
      private header for use by automated tests.
    - d/libmutter-test-17.symbols: Update for 49.1

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 12:59:28 +0100

mutter (49.0-3) experimental; urgency=medium

  * Team upload
  * Merge packaging changes from unstable
    - No functional changes, changelog entry only
  * d/p/Use-dbus-debug-topic-for-D-Bus-name-changes.patch,
    d/p/wayland-xdg-shell-Make-invalid-geometry-warning-more-desc.patch,
    d/p/tests-wayland-Add-test-case-for-client-with-invalid-geome.patch,
    d/p/wayland-surface-Make-state-applied-logs-more-informative.patch,
    d/p/wayland-shell-surface-Assume-geometry-empty-if-no-buffer-.patch,
    d/p/wayland-xdg-shell-Ensure-applied-window-geometry-is-alway.patch,
    d/p/tests-wayland-Add-test-for-invalid-geometry-with-subsurfa.patch:
    Add proposed patches from upstream MR mutter!4648 to fix a crash
    with sdl2-compat and ioquake3

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 18:35:28 +0100

mutter (49.0-2ubuntu6) resolute; urgency=medium

  * Fix sticky keys not locking (LP: #2127039)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 29 Oct 2025 17:51:18 +0100

mutter (49.0-2ubuntu5) questing; urgency=medium

  [ Daniel van Vugt ]
  * Add patches to resolve handling of modifier keys in the wrong order,
    in some cases (LP: #2125866, LP: #2125240)

  [ Alessandro Astone ]
  * Add patch fixing popups freezing near the screen edge (LP: #2125770)
  * Add patch fixing maximized windows extending under the dock on unlock
    (LP: #2125581)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 02 Oct 2025 10:04:46 +0800

mutter (49.0-2ubuntu4) questing; urgency=medium

  * Add another patch related to LP: #2122579 and refresh the existing one.
    I'm just finding out now from upstream what actually fixed it because
    the bug was never tracked properly before the fix landed.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 25 Sep 2025 16:52:10 +0800

mutter (49.0-2ubuntu3) questing; urgency=medium

  * Add patches from upstream (to be released in 49.1) fixing common
    shell crashes:
    - clutter-gesture-Do-not-crash-on-unknown-events.patch (LP: #2122579)
    - cursor-renderer-native-Sanity-check-texture-size-before-a.patch &
      prefs-Fallback-cursor-size-to-24-when-invalid-value-in-se.patch
      (LP: #2125552)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 25 Sep 2025 13:51:58 +0800

mutter (49.0-2ubuntu2) questing; urgency=medium

  * Add clutter-Use-event-type-to-determine-ClutterFocus-to-deliv.patch
    to ensure the gnome-shell overview gets keyboard focus (LP: #2124255)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 23 Sep 2025 14:46:09 +0800

mutter (49.0-2ubuntu1) questing; urgency=medium

  * New upstream release 49.0

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 19 Sep 2025 12:58:55 +0800

mutter (49.0-2) experimental; urgency=medium

  * debian/libmutter-17-0.symbols: Restore architecture restrictions
    for cogl_trace*

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 09:36:06 -0400

mutter (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/libmutter-17-0.symbols: Add new symbol
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

  [ Marco Trevisan (Treviño) ]
  * debian/control: Break on gnome-shell versions prior to 49~rc only
  * debian/control: Set version on libglycin-2-dev dependency
  * debian/control: Add libglycin-2-dev dependency to libmutter-17-dev

  [ Alessandro Astone ]
  * debian/control: Improve the description of the mutter-dev-bin package

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 07:59:17 -0400

mutter (49~rc-1) experimental; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release
  * Drop patch: clutter-Repick-actors-when-touches-emulate-button-clicks.patch
    because it is Xorg-specific and 48-specific. But Xorg sessions are
    being retired so updating it to 49 is not required.
  * Refresh patches:
    - Mark-several-additional-tests-as-flaky.patch
    - tests-Do-not-run-screencast-tests.patch
    - tests-Install-stacking-tests-into-a-subdirectory.patch
    - tests-Mark-view-verification-tests-as-incomplete-in-big-e.patch
  * Added new binary package 'mutter-dev-bin' for the missing 'mutter-devkit'
    binary. Four years late.
  * Added new script 'gnome-service-client' to 'mutter-common'.
  * debian/control: mutter-common breaks older versions of libmutter
  * debian/control: Bump dependencies on wayland 1.24, wayland-protocols 1.45
  * debian/control: libmutter-17-0 now breaks gnome-shell<<49~rc due to
    some clutter symbols being removed.

  [ Marco Trevisan (Treviño) ]
  * debian/control: Bump dependencies
  * d/p: Run screen-cast test
  * d/p/workarounds: Add mtk-time-utils to flaky tests
  * d/source/lintian-overrides: Drop unhandled and outdated line

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Sep 2025 11:17:38 -0400

mutter (49~rc-0ubuntu2) questing; urgency=medium

  * debian/control:
    - Break on gnome-shell versions prior to 49~rc only
    - Set version on libglycin-2-dev dependency
    - Add libglycin-2-dev dependency to libmutter-17-dev
  * debian/libmutter-17-0.symbols: Drop ubuntu version from symbols file

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 08:04:09 +0200

mutter (49~rc-0ubuntu1) questing; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 49.rc (LP: #2079823, LP: #2120628, LP: #2121517)
  * Added new script 'gnome-service-client' to 'mutter-common'.
  * Replaced 'libgdk-pixbuf-2.0-dev' dependency with 'libglycin-2-dev'.
  * Added 'libadwaita-1-dev' dependency for the devkit.
  * Updated 'libmutter-17-0.symbols' and 'libmutter-test-17.symbols' for 49.rc
  * Refreshed debian/patches:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - workarounds/tests-Mark-view-verification-tests-as-incomplete-in-big-e.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
  * Drop upstreamed debian/patches:
    - ubuntu/clutter-stage-Allow-for-there-being-no-sprite-when-a-devi.patch
    - ubuntu/core-place-Guarantee-we-never-get-work-area-for-a-NULL-lo.patch
    - ubuntu/monitor-Calculate-fractional-scaling-factors-using-exact-.patch
  * Add debian/patches for the current top crasher (LP: #2121195):
    - ubuntu/clutter-Add-function-clutter_frame_clock_get_frame_count.patch
    - ubuntu/compositor-Don-t-assume-there-s-an-active-ClutterFrame-du.patch
  * debian/control: libmutter-17-0 now breaks gnome-shell<<49~rc due to
    some clutter symbols being removed.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 02 Sep 2025 16:14:42 +0800

mutter (49~beta-0ubuntu1) questing; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 49.beta
  * debian/control: Bump dependencies: wayland 1.24, wayland-protocols 1.45
  * debian/libmutter-17-0.symbols: Update symbols for 49.beta
  * Drop upstreamed debian/patches:
    - build-Bump-mutter-API-version.patch
    - data-Remember-to-give-org.gnome.Mutter.Mdk.desktop-a-main.patch
  * Refresh debian/patches:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
  * Add debian/patches:
    - clutter-stage-Allow-for-there-being-no-sprite-when-a-devi.patch
      (LP: #2119273)
    - core-place-Guarantee-we-never-get-work-area-for-a-NULL-lo.patch
      (LP: #2117277)
    - monitor-Calculate-fractional-scaling-factors-using-exact-.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 05 Aug 2025 17:28:41 +0800

mutter (49~alpha.1-0ubuntu7) questing; urgency=medium

  * debian/control: mutter-common breaks older versions of libmutter so don't
    allow it to install prematurely (LP: #2118736)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 25 Jul 2025 11:03:00 +0800

mutter (49~alpha.1-0ubuntu6) questing; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: Restore mutter-17-tests Depends: umockdev

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 18 Jul 2025 12:41:33 +0800

mutter (49~alpha.1-0ubuntu5) questing; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: Drop new binary dependency on umockdev. It's very
    weak (043efbb1831) and an unnecessary blocker being in universe.
  * debian/libmutter-17-0.lintian-overrides: Fix outdated reference to
    libmutter-16.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 17 Jul 2025 14:46:34 +0800

mutter (49~alpha.1-0ubuntu4) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian
  * d/control: Add misisng ${misc:Depends} to mutter-dev-bin
  * d/source/lintian-overrides: Drop unhandled and outdated line
  * d/p/ubuntu: Enable window edge constraint override support again
  * d/control: Add missing mutter-17-tests gio runtime dependencies
  * d/control: Add new mutter-17-tests umockdev runtime dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 08 Jul 2025 05:29:42 +0200

mutter (49~alpha.1-0ubuntu3) questing; urgency=medium

  * debian/patches: Mark more tests as flaky for 49.alpha. These issues
    have been reported upstream.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 03 Jul 2025 18:10:10 +0800

mutter (49~alpha.1-0ubuntu2) questing; urgency=medium

  * debian/control: Add umockdev build dep in addition to libumockdev-dev.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 02 Jul 2025 18:09:06 +0800

mutter (49~alpha.1-0ubuntu1) questing; urgency=medium

  * New upstream release 49.alpha.1 (LP: #1968901, LP: #2100243, LP: #2102063)
  * Drop Xorg-specific patches:
    - clutter-Repick-actors-when-touches-emulate-button-clicks.patch
    - x11-Add-support-for-fractional-scaling-using-Randr.patch
  * Drop upstreamed patches:
    - wayland-xdg-shell-Check-popup-resource-for-parent-unmappe.patch
    - wayland-xdg-shell-Check-for-NULL-xdg_popup-resource.patch
    - cursor-drag-and-drop.patch
    - cursor-sprite-xcursor-Reset-current_frame-only-if-xcursor.patch
    - Use-access-instead-of-checking-permission-modes-for-tmp-..patch
  * Refresh patches:
    - tests-Do-not-run-screencast-tests.patch
    - Mark-several-additional-tests-as-flaky.patch
    - tests-Install-stacking-tests-into-a-subdirectory.patch
  * Disable patch: window-Add-ability-to-override-the-edge-constraints.patch
    because it doesn't apply anymore and its existence not fully explained.
    It can't be Ubuntu-specific if in support of Tiling Assistant which is
    not Ubuntu-specific. Needs to be proposed upstream if required at all.
  * Added new binary package 'mutter-dev-bin' for the missing 'mutter-devkit'
    binary. Four years late.
  * Bump the Mutter API/ABI to 17.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 02 Jul 2025 17:41:53 +0800

mutter (48.5-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Fix X11 drag-and-drop with a graphics tablet stylus, which would
      previously freeze the application
      (mutter#3914 upstream)
    - Fix a file descriptor leak that would cause a crash after a long
      screencast
      (mutter#4251 upstream)
    - Fix crash with an assertion failure when screencasting from an
      Apple aarch64 system
      (mutter#4224 upstream)
    - Fix detection of the "Privacy Screen" feature on hardware that
      supports it
      (mutter#4259 upstream)
    - Update the EIS viewport used for input capture when a virtual monitor
      stream is resized
      (mutter!4622 upstream)
    - Fix a crash when combining the screen time limit's greyscale effect,
      the screen magnifier and the screenshot tool
      (mutter#8634 upstream)
    - Fix a crash when unplugging a docking station with two monitors
      (mutter#4262 upstream)
    - Translation update: th
  * d/gbp/conf, d/control: Switch packaging branch for forky

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Sep 2025 10:16:31 +0100

mutter (48.4-2) unstable; urgency=medium

  * Team upload
  * d/gbp.conf, d/control: Switch packaging branch for trixie
  * Expand previous changelog entry to document all upstream changes
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Jul 2025 12:27:01 +0100

mutter (48.4-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream bugfix release
    - Unlink outputs from unused connectors in update_outputs, avoiding a
      use-after-free when a monitor is disconnected
      (mutter!4474 upstream)
    - Fix a crash caused by a use-after-free when clearing many
      accumulated notifications
      (mutter#3970 upstream, LP: #2102063)
    - Fix a non-reproducible crash caused by a use-after-free when dragging
      an epiphany-browser tab to create a new window
      (mutter#4157 upstream)
    - Fix the logic for when to disable the --no-x11 option
      (mutter!4485 upstream, not relevant to how we configure it in Debian)
    - Rate-limit visual alerts to 2 per second, to comply with the European
      Accessibility Act and avoid potentially triggering photosensitive
      seizures
      (mutter!4487 upstream)
    - Fix a rare crash with a NULL pointer dereference
      (mutter#4147 upstream, LP: #2100243)
    - Avoid reopening an inactive Nvidia GPU when not needed
      (mutter#3550 upstream)
    - Fix a NULL dereference in the tests
      (mutter!4495 upstream)
    - Fix stacking order for windows that get activated before mapped
      (mutter!4462 upstream)
    - Fix incorrect cursor over Xwayland clients
      (mutter#4033 upstream, LP: #2111502)
    - Improve Wayland spec compliance by sending Wayland seat name before
      its capabilities
      (mutter#4119 upstream)
    - Improve X11 compatibility (especially in Wine) by moving the X11 focus
      to a shared dummy window when the Wayland focus is really on any
      non-X11 window
      (mutter!4447 upstream)
    - Wait longer for hotplugged monitors to detect their input sources,
      improving compatibility with e.g. MSI PRO MP275Q
      (mutter!4442 upstream)
    - Make sure the cursor is updated after modesetting, even if there is no
      application window to redraw
      (mutter!4452 upstream)
    - Fix high resolution scroll events getting converted to discrete events
      that intermittently switch direction
      (mutter#4128 upstream)
    - Documentation updates

  [ Simon McVittie ]
  * d/gbp.conf: Use upstream/48.x branch for trixie
  * d/watch: Only watch for 48.x releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Jul 2025 08:48:17 -0400

mutter (48.1-1ubuntu4) questing; urgency=medium

  [ Carlos Garnacho ]
  * d/p/u/cursor-drag-and-drop.patch: Fixes cursor stuck in incorrect state
    after attempt to drag and drop text inside the application's window.
    https://bugzilla.mozilla.org/show_bug.cgi?id=1699942

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 22 May 2025 10:55:41 +0200

mutter (48.1-1ubuntu3) plucky; urgency=medium

  * Add wayland-xdg-shell-Check-for-NULL-xdg_popup-resource.patch and
    wayland-xdg-shell-Check-popup-resource-for-parent-unmappe.patch to fix
    popup crashes (LP: #2043177)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 09 Apr 2025 13:47:27 +0800

mutter (48.1-1ubuntu2) plucky; urgency=medium

  * Add cursor-sprite-xcursor-Reset-current_frame-only-if-xcursor.patch
    to fix animated cursors (LP: #2106097)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 03 Apr 2025 16:35:31 +0800

mutter (48.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian (unreleased) 48.1-1.
  * Updated x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Fixed conflicts with 48.1
    - Fixed memory-use-after-free in meta_monitor_manager_ensure_configured
      that manifested as test failures in mutter-cursor-tests.
  * Drop seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
    because 48.1 fixes the same bug in a different way.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 02 Apr 2025 15:58:12 +0800

mutter (48.1-1) UNRELEASED; urgency=medium

  * New upstream release 48.1
    (fixes LP: #2104183, LP: #2103886, LP: #2103983, LP: #2099658)
  * Drop upstreamed patches:
    - kms-impl-device-Always-catch-pending-KMS-update-in-_sched.patch
    - Revert-onscreen-native-Account-for-all-posted-frames.patch
    - tests-Raise-the-timeout-on-monitor-unit-from-1-minute-to-.patch
  * Refresh patches:
    - tests-Do-not-run-screencast-tests.patch
    - Mark-several-additional-tests-as-flaky.patch
    - tests-Install-stacking-tests-into-a-subdirectory.patch
  * libmutter-16-0.symbols, libmutter-test-16.symbols: Add new symbols in 48.1
  * debian: Split man pages into the packages that contain the binaries

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 02 Apr 2025 13:28:46 +0800

mutter (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
    - Add Use-access-instead-of-checking-permission-modes-for-tmp-..patch
      to fix access check for X11_TMP_UNIX_DIR
    - Add tests-Mark-wayland-unit-as-flaky.patch to avoid spurious Launchpad
      build failures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 09:07:14 -0400

mutter (48.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all the patches merged upstream between 48.rc and 48.0:
    - debian/patches/Update-Basque-translation.patch
    - Update-Catalan-translation.patch
    - Update-Danish-translation.patch
    - Update-Hungarian-translation.patch
    - Update-Russian-translation.patch
    - backends-native-Generalize-keyboard-LED-management.patch
    - clutter-color-state-params-Handle-on-gamma-EOTFs-negative.patch
    - clutter-color-state-params-Ignore-explicit-max_lum-on-EOT.patch
    - clutter-frame-clock-Verify-and-change-state-earlier-in-di.patch
    - clutter-stage-view-Notify-about-color-state-changes.patch
    - cursor-renderer-native-Invalidate-state-for-output-color-.patch
    - cursor-renderer-native-Removed-unused-argument-and-update.patch
    - kms-impl-device-Don-t-disable-deadline-timer-on-G_IO_ERRO.patch
    - kms-impl-device-Don-t-set_needs_flush-if-there-s-a-pendin.patch
    - kms-impl-device-Process-pending-update-from-_schedule_pro.patch
    - kms-impl-device-Refactor-meta_kms_impl_device_do_process_.patch
    - tests-Vary-the-gdctl-path-used-for-installed-tests.patch
    - wayland-color-management-Ensure-ref-lum-can-t-be-bigger-t.patch
    - wayland-drm-lease-Move-on-device-bind-events-to-a-functio.patch
    - wayland-drm-lease-Put-clients-in-a-queue-on-drm_fd-error.patch
    - wayland-drm-lease-Send-drm_fd-to-pending-clients.patch
  * Refresh patches:
    - tests-Do-not-run-screencast-tests.patch
    - Mark-several-additional-tests-as-flaky.patch
    - tests-Install-stacking-tests-into-a-subdirectory.patch
    - tests-Mark-view-verification-tests-as-incomplete-in-big-e.patch
  * Add patches already accepted upstream in 48.1:
    - kms-impl-device-Always-catch-pending-KMS-update-in-_sched.patch
    - Revert-onscreen-native-Account-for-all-posted-frames.patch
    - tests-Raise-the-timeout-on-monitor-unit-from-1-minute-to-.patch
  * Add clutter-Repick-actors-when-touches-emulate-button-clicks.patch
    to resolve touchscreen problems on X11 (LP: #2063005, LP: #1904237)
  * libmutter-16-0.symbols, libmutter-test-16.symbols: Add new symbols in 48.0

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 20 Mar 2025 17:00:31 +0800

mutter (48~rc-4ubuntu2) plucky; urgency=medium

  * Refresh seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
  * Add tests-Mark-wayland-unit-as-flaky.patch to avoid spurious Launchpad
    build failures that blocked the previous 48~rc-ubuntu tags.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 14 Mar 2025 17:52:01 +0800

mutter (48~rc-4ubuntu1) plucky; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Update d/libmutter-1{5->6}-0.lintian-overrides.

  [ Daniel van Vugt ]
  * Merge with Debian 48~rc-4
  * Merge up to 968dae3916 to resolve touchscreen problems on X11
    (LP: #2063005, LP: #1904237)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 12 Mar 2025 17:14:05 +0800

mutter (48~rc-4) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Mar 2025 09:44:32 +0000

mutter (48~rc-3) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream git commit 48.rc-17-gefb3cb75e4
  * d/p/kms-impl-device-Refactor-meta_kms_impl_device_do_process_.patch,
    d/p/kms-impl-device-Don-t-set_needs_flush-if-there-s-a-pendin.patch,
    d/p/kms-impl-device-Process-pending-update-from-_schedule_pro.patch,
    d/p/kms-impl-device-Don-t-disable-deadline-timer-on-G_IO_ERRO.patch:
    Add proposed patches from upstream merge request 4321 to address
    display freezes (Closes: #1099743, hopefully)

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Mar 2025 16:56:14 +0000

mutter (48~rc-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
    - Add Use-access-instead-of-checking-permission-modes-for-tmp-..patch
      to fix access check for X11_TMP_UNIX_DIR

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 11:38:49 -0500

mutter (48~rc-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 10:51:50 -0500

mutter (48~rc-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libinput & wayland-protocols
  * debian/libmutter-16-0.symbols: Update
  * Bump Breaks: gnome-shell to 48~rc
  * Add many additional Depends to libmutter-16-dev
  * Remove nocheck annotation from Build-Depends: zenity
  * Remove 6 patches applied in new release including the triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 16:56:33 -0500

mutter (48~beta-7) unstable; urgency=medium

  * Release to unstable (Closes: #1093876)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 05:26:31 -0500

mutter (48~beta-6) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Add patch to fix gdctl path for installed tests (Closes: #1096037)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Feb 2025 13:24:06 -0500

mutter (48~beta-5ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
  * Restore patch to "Fix access check for X11_TMP_UNIX_DIR".
    It was accidentally removed when packaging 48 Beta (LP: #2069564)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 16:31:27 -0500

mutter (48~beta-5) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Add patch to fix mutter tests failing in a remote login (or in autopkgtests)
    (Closes: #1096037)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 16:19:43 -0500

mutter (48~beta-4ubuntu1) plucky; urgency=medium

  * Merge with debian, remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
  * d/p: Refresh indexes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 18 Feb 2025 17:38:41 +0100

mutter (48~beta-4) experimental; urgency=medium

  * debian/patches: Make argcomplete in gdctl optional
  * debian/control:
    - add gir1.2-glib-2.0 dependency to mutter-common-bin
    - Fix mutter-common-bin breaks/replaces (LP: #2098605)
    - Mark python3-argcomplete as suggested package
  * d/p: Use env in bash scripts
  * d/p/triple-buffering: Update patch to the one landed upstream
    (Closes: #1050020)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 18 Feb 2025 17:04:37 +0100

mutter (48~beta-3ubuntu1) plucky; urgency=medium

  * Merge with Debian.
  * debian/patches/xrandr-scaling: Update for mutter 48
  * debian/patches/ubuntu: Make argcomplete in gdctl optional
  * debian/control: Mark python3-argcomplete as suggested package.
    As per the patch we have now to make python3-argcomplete option, we can
    safely mark python3-argcomplete as a suggested package, given that's not
    in main in ubuntu
  * Remaining changes with debian:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
    - Add tools-gdctl-Make-argcomplete-optional.patch to not require python3
      argcomplete module to run gdctl
    - Mark python3-argcomplete as suggested package

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 15 Feb 2025 20:59:59 +0100

mutter (48~beta-3) experimental; urgency=medium

  * debian: Install gdctl in mutter-common-bin
    gdctl is a tool to show and set the gnome display configuration and it's
    not mutter-specific, but it works for any-mutter based compositor including
    gnome-shell, so it's something that we should not provide in the mutter
    package (that only contains the mutter basic compositor implementation).
    As per this, move the dependencies to mutter-common-bin and make
    python3-argcomplete a required dependency for it (since the tools needs
    it).
  * debian/control: Mark zenity as a test-dependency only.
    There's no strict dependency on zenity, but mutter uses it only for
    x11-tests, so it's only a dependency of mutter-16-tests and a build-one
    only if tests are performed

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 15 Feb 2025 16:59:40 +0100

mutter (48~beta-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
  * Temporarily disable the X11 fractional scaling patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 22:14:45 -0500

mutter (48~beta-2) experimental; urgency=medium

  * Add mutter Depends: gir1.2-glib-2.0, python3-argcomplete, python3-gi
  * Cherry-pick proposed patch from Alessandro Astone to embed a copy of
    the Adwaita cursors inside mutter's tests for resiliance against
    changes to the Adwaita cursor theme (Closes: #1095225)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Feb 2025 10:33:09 -0500

mutter (48~beta-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/*.symbols: Update
  * Bump minimum libei
  * Add Build-Depends: bash-completion, python3-argcomplete, python3-docutils
  * Have mutter binary package install bash-completion & manpages
  * Have mutter binary package depend on python3 for new gdctl utility

  [ Daniel van Vugt ]
  * d/p/debian/Support-Dynamic-triple-double-buffering.patch:
    Update the triple buffering patch for 48 Beta

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 07:38:59 -0500

mutter (48~alpha-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for API bump (mutter-15 -> mutter-16)
  * debian/libmutter-16-0.symbols: Update
  * libmutter-cogl-pango is no longer provided
  * Bump minimum libdisplay-info & wayland-protocols
  * Temporarily disable triple buffering patch until it can be updated

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 18:05:13 -0500

mutter (47.4-1ubuntu1) plucky; urgency=medium

  * Merge with Debian (LP: #2091159, LP: #2089843, LP: #1966635).
  * Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 19:26:13 -0500

mutter (47.4-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: wireplumber for build tests
  * debian/*.symbols: Update symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 15:39:17 -0500

mutter (47.3-2) unstable; urgency=medium

  * Release to unstable (LP: #2077216)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 16:05:28 -0500

mutter (47.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release 47.2
    - Fix warping pointer after releasing pointer constraints
    - Default to high thread instead of realtime priority for KMS thread
    - Avoid CPU stalls with NVIDIA secondary GPUs with directly-attached
      monitors
    - Fix updating cursor immediately when starting window drag
    - Add pipeline hooks to user program pipelines
    - Prefer GPUs with built-in panels connected as primary GPU
    - Fix cursor glitches when using virtual monitors
    - Ensure frame events are sent for cursor surfaces
    - Allow BGRX8888 format on big endian
    - Fix touchscreen drag-and-drop on wayland
    - Fix several crashes
    - Misc. bug fixes and cleanups
    - Translation updates
  * New upstream release 47.3
    - Fix maximized X11 when using native xwayland scaling
    - Fix blank screen in remote headless sessions
    - Fix touch-triggered popups being cancelled too early
    - Fix pointer cursor during compositor grabs
    - Fix a crash
  * Refresh patch series
  * d/salsa-ci.yml: Remove for now.
    The build fails in the Salsa-CI environment, so it is not useful to have
    this CI integration until someone can investigate why.
  * d/libmutter-15-0.symbols: Update.
    Ignore removal of meta_thread_impl_is_realtime() and
    cogl_scanout_set_dst_rect(), not used outside this source package
    according to codesearch.debian.net.

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Dec 2024 20:47:08 +0000

mutter (47.1-4) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 15:06:02 +0000

mutter (47.1-3) experimental; urgency=medium

  * Team upload
  * d/p/workarounds/Mark-several-additional-tests-as-flaky.patch:
    Treat timeline and timeline-interpolate tests as flaky.
    Both of these tests make assertions about frame deadlines that are
    not reliable on the buildds.
    - d/p/workarounds/tests-Don-t-check-for-missed-frames-during-automated-buil.patch:
      Drop, no longer necessary with the above change
  * d/libmutter-15-0.symbols: Remove unnecessary revision from a symbol.
    meta_session_manager_new_for_fd() is present in the upstream codebase,
    therefore in any package based on 47.0.
  * d/copyright: Update filename of vx239-calibrated.icc
  * d/control: Make mutter-common-bin Multi-Arch: foreign.
    Its only interface is via running executables.

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 20:23:56 +0000

mutter (47.1-2) experimental; urgency=medium

  * Team upload

  [ Daniel van Vugt ]
  * d/p/debian/Support-Dynamic-triple-double-buffering.patch:
    Update the triple buffering patch for 47.1, using the official
    maintenance branch

  [ Simon McVittie ]
  * d/p/workarounds/tests-Don-t-check-for-missed-frames-during-automated-buil.patch:
    Don't assume that autobuilders will meet frame deadlines.
    The upstream test suite assumes a reasonably low-latency system with
    a GPU, but that doesn't describe an autobuilder. (Closes: #1086552)
  * d/rules: Only run the test-suite for architecture-specific builds
  * d/rules: Use /proc/self/fd/2 in preference to /dev/stderr.
    Not all container technologies provide the latter.
  * d/rules: Treat x11-test.sh as flaky.
    It doesn't seem to add a lot of test coverage, and is intermittently
    failing for me when run under sbuild in a bookworm VM.

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 12:25:13 +0000

mutter (47.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Rebase patch series
  * d/control: Bump libgudev-1.0-dev dependency as per meson.build

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 10:52:38 +0000

mutter (47.0-3) unstable; urgency=medium

  * Team upload
  * d/rules: Send xvfb-run error messages to stderr, not to /dev/null.
    This would have told us that it's crashing on armhf (#1082659).
  * d/rules: Explicitly set a screen size for xvfb-run.
    For some reason, this works around a regression where Xvfb crashes
    on armhf since the update to libunwind 1.7.x.
    (Mitigates: #1082659)
  * d/rules, d/tests/ensure-x11-dir: Explicitly create /tmp/.X11-unix.
    mutter's test suite requires this directory, so create it explicitly
    instead of relying on xvfb-run to have created it. If creating
    it fails for whatever reason, this will at least give us better
    diagnostic information.
    We cannot create it with its canonical ownership (root:root) because
    the build isn't running as root, but we can at least make sure it
    has its canonical permissions.
    (Closes: #1084133)

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Oct 2024 23:51:55 +0100

mutter (47.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:12:22 -0400

mutter (47.0-1ubuntu7) plucky; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Warn if the X11 temp directory does not have the expected permission set.

  [ Simon McVittie ]
  * d/rules: Treat x11-test.sh as flaky

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 20 Nov 2024 15:33:34 +0100

mutter (47.0-1ubuntu6) plucky; urgency=medium

  [ Nathan Teodosio ]
  * Fix access check for X11_TMP_UNIX_DIR. (LP: #2069564)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 01 Nov 2024 10:09:02 +0100

mutter (47.0-1ubuntu5) plucky; urgency=medium

  * Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
    to avoid crashing when mousekeys or keyboard a11y features are
    enabled (LP: #2081728)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 21 Oct 2024 15:07:57 +0800

mutter (47.0-1ubuntu4) oracular; urgency=high

  * Add a missing break in derive_logical_monitor_size as part of
    x11-Add-support-for-fractional-scaling-using-Randr.patch.
    Because falling through two switch cases was causing the scale to be
    applied twice, which then resulted in mode verification failing later.
    (LP: #2080374)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 30 Sep 2024 18:15:25 +0800

mutter (47.0-1ubuntu3) oracular; urgency=medium

  * Add patches to restore support for EGL 1.4 and GLES 2.0. They are
    required for Xilinx (Mali) support (LP: #2080602)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 25 Sep 2024 13:49:09 +0800

mutter (47.0-1ubuntu2) oracular; urgency=medium

  * debian/patches: Refresh Indexes
  * debian/patches: Fix potential crash on destroying x11 struts

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 22:37:21 +0200

mutter (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Remove debian/salsa-ci.yml: Not helpful for us currently

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:12:13 -0400

mutter (47.0-1) experimental; urgency=medium

  * New upstream release
  * debian/libmutter-15-0.symbols: Add new symbol
  * Bump minimum PipeWire to 1.2.0
  * Remove patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 21:04:17 -0400

mutter (47~rc-5) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/p/tests-Create-a-temporary-XDG_DATA_HOME-to-run-each-test.patch,
    d/p/tests-Create-a-temporary-XDG_CONFIG_HOME.patch,
    d/p/tests-Create-a-temporary-XDG_CACHE_HOME.patch,
    d/p/color-management-tests-Use-the-inherited-temporary-XDG_DA.patch:
    Reimplement creation of temporary XDG_DATA_HOME for tests based on
    upstream feedback.
  * d/patches, d/clean: Remove duplicate ICC profile from test data

  [ Jeremy Bícha ]
  * d/p/window-xwayland-Handle-arithmetics-close-to-the-int-limit.patch:
    Cherry-pick resizing fix for various Electron apps (LP: #2080073)

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2024 12:55:28 +0100

mutter (47~rc-4ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Remove debian/salsa-ci.yml: Not helpful for us currently
  * Remove the cogl color patches: applied in new release
  * Remove the mesa workaround patch: shouldn't be needed any more
  * Cherry-pick resizing fix for various Electron apps (LP: #2080073)

  [ Marco Trevisan (Treviño) ]
  * d/p/x11-randr-scaling: Update to work with latest upstream changes
  * debian/control: Update VCS references to ubuntu branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 11 Sep 2024 03:39:48 +0200

mutter (47~rc-4) experimental; urgency=medium

  * Team upload
  * d/mutter-15-tests.postrm: Clean up gschemas.compiled created by postinst

 -- Simon McVittie <smcv@debian.org>  Sat, 07 Sep 2024 21:41:22 +0100

mutter (47~rc-3) experimental; urgency=medium

  * Team upload
  * d/p/workarounds, d/tests: Treat all stacking tests as flaky.
    Unfortunately these don't seem to be stable enough to be used as a
    QA gate, and there are enough of them that at least one will often
    fail in any given buildd build or autopkgtest run
    (Mitigates: #1077800) (Closes: #1072512, #1078359)
  * d/tests: Also treat thread.test as flaky.
    This doesn't seem to be reliable in autopkgtest-virt-qemu or -lxc,
    although I can't reproduce the failure when running it separately.
  * d/rules, d/p/workarounds: Don't run the input-capture test at all.
    In my sbuild environment and on some buildds, it often hangs until it
    times out after 10 minutes, which is a waste of time. We were ignoring
    its result anyway.
  * d/mutter-15-tests.postinst: Compile required schemas for installed-tests
    (Closes: #1081016)
  * d/p/tests-Add-a-utility-function-to-delete-a-directory-recurs.patch,
    d/p/MetaContextTest-Optionally-create-and-destroy-a-temporary.patch,
    d/p/color-management-tests-Use-a-temporary-XDG_DATA_HOME.patch,
    d/p/color-management-profile-conflict-test-Use-a-temporary-XD.patch:
    Add patches to fix autopkgtests when not running as root
  * Correct bug number in previous changelog entry
  * Standards-Version: 4.7.0 (no changes required)
  * d/source/lintian-overrides: Update for use of ${env:deb_udevdir}

 -- Simon McVittie <smcv@debian.org>  Sat, 07 Sep 2024 20:18:48 +0100

mutter (47~rc-2) experimental; urgency=medium

  * debian/*symbols: Update architectures for new cogl_trace symbols
  * Have mutter-15-tests depend on pipewire & libglib2.0-bin
    (Closes: #1081016)
  * autopkgtest: create the required /tmp/.X11-unix/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 19:30:25 -0400

mutter (47~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2077216, LP: #2025006, LP: #2074253,
    LP: #2076318)
    - Fix screen freeze when using EGL Stream (Nvidia-470) (LP: #2074254)
    - Only warn once about cursor sizes (LP: #2076211)
  * debian/libmutter-15-0.symbols: Update
  * Mark as breaking gnome-shell << 47~rc
  * Only enable sysprof on architectures where sysprof is available
  * Refresh patches
  * Remove the kms deadline evasion patch: alternative fix is in new release
  * Remove 2 other patches applied in new release

  [ Daniel van Vugt ]
  * Update triple buffering patch

  [ Alessandro Astone ]
  * Add build dependency on pipewire for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 08:53:15 -0400

mutter (47~beta-3ubuntu4) oracular; urgency=medium

  * Expand tests-Temporarily-disable-mutter-x11-tests-for-Ubuntu.patch to
    include the tools suite below it which is failing with the same
    root cause. Again, this is not a failure of the test case but a
    temporary problem with Mesa that Glib apps are incorrectly turning into
    a bigger issue than it is.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 23 Aug 2024 16:51:14 +0800

mutter (47~beta-3ubuntu3) oracular; urgency=medium

  * Add tests-Temporarily-disable-mutter-x11-tests-for-Ubuntu.patch to
    work around the temporary issue with Zink (Mesa) on Oracular crashing
    some test cases.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 23 Aug 2024 16:08:51 +0800

mutter (47~beta-3ubuntu2) oracular; urgency=medium

  [ Jeremy Bícha ]
  * debian: Only enable sysprof on architectures where sysprof is available

  [ Daniel van Vugt ]
  * Update the KMS deadline evasion patch to 2000us instead of 1000us.
    More laptops need higher numbers than 1000us to avoid cursor stutter
    (LP: #2076318)
  * Add cogl-Adjust-generated-shaders-to-GLSL-1.40.patch to restore support
    for the Nvidia driver (LP: #2077530)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 23 Aug 2024 14:24:38 +0800

mutter (47~beta-3ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
  * Drop log spam patch applied in new release

  [ Marco Trevisan (Treviño) ]
  * d/p: Cherry-pick fixes for Cogl.Color introspection

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 11:03:27 -0400

mutter (47~beta-3) experimental; urgency=medium

  * debian/libmutter-15-0.symbols: Update to include new symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 06 Aug 2024 00:53:56 -0600

mutter (47~beta-2) experimental; urgency=medium

  * debian/patches: Update triple buffering patch for GNOME 47.beta

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 06 Aug 2024 00:37:48 -0600

mutter (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for API bump (mutter-14 -> mutter-15)
  * Update symbols files
  * Bump minimum libinput, libwayland, wayland-protocols, & meson
  * Refresh patches
  * Drop 2 obsolete patches
  * Add patch to skip unreliable focus test
  * Temporarily disable triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 15:52:48 -0400

mutter (46.4-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add backends-Handle-null-views-instead-of-creating-dummy-view.patch
      to prevent "clutter_frame_clock_notify_presented: code should not be
      reached" log spam in some Nvidia Wayland sessions (LP: #1967707)
  * Remove debian/salsa-ci.yml since it isn't working

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 12:40:18 -0400

mutter (46.4-1) unstable; urgency=medium

  * New upstream release
  * debian/libmutter-14-0.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 12:37:19 -0400

mutter (46.3.1-7) unstable; urgency=medium

  [ Daniel van Vugt ]
  * Delete patches that aren't needed for LP#2073009

  [ Jeremy Bícha ]
  * Stop ignoring build test failures on Debian ports.
    The test failures make it appear that GNOME Shell/Mutter is broken there.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 14:08:54 -0400

mutter (46.3.1-6) unstable; urgency=medium

  * Run dh_auto_test everywhere even if results are skipped on some
    architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jul 2024 11:45:53 -0400

mutter (46.3.1-4ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2063147, LP: #2066080). Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add backends-Handle-null-views-instead-of-creating-dummy-view.patch
      to prevent "clutter_frame_clock_notify_presented: code should not be
      reached" log spam in some Nvidia Wayland sessions (LP: #1967707)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jul 2024 10:12:52 -0400

mutter (46.3.1-4) unstable; urgency=medium

  [ Daniel van Vugt ]
  * Add patches to fix ppc64el build tests on Ubuntu (LP: #2073009)

  [ Jeremy Bícha ]
  * Stop disabling libdisplay-info on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jul 2024 09:41:03 -0400

mutter (46.3.1-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove version constraints unnecessary since bullseye (oldstable)
  * Explicitly version various dependencies as per meson.build
  * Make the package cross-compilable
    - d/control: Explicitly depend on gir1.2-*-dev for every GIR XML
      module mentioned in 'includes:'
    - d/control: Build-Depend on gobject-introspection (>= 1.80)
      instead of libgirepository1.0-dev
    - d/rules: Opt-in to cross-friendly gobject-introspection
      (workaround for #1060838)
    - d/control: Add ${gir:Provides} to gir1.2-mutter-14
    - d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    - d/control: Remove unused Build-Depends on python3-attr, -jinja2.
      ei-scanner from the libei source package needs these, but it's run
      at libei build time and is not packaged.
    - d/control: Require a build-architecture copy of cvt.
      We run it during the build, and the xcvt package is not yet marked
      Multi-Arch: foreign.
  * d/control: Don't annotate python3-dbusmock as <!nocheck>, avoiding
    FTBFS when built with nocheck.
    The build system checks for this if we are building the "as-installed"
    tests, even if we are not going to run tests during the build.

  [ Jeremy Bícha ]
  * Update patch to fix build with gcc-14 on some architectures
    (Closes: #1077078)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jul 2024 08:24:02 -0400

mutter (46.3.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 18:26:34 -0400

mutter (46.3.1-1ubuntu2) oracular; urgency=medium

  * Ignore test failures on ppc64el but stop ignoring on armhf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 16:12:56 -0400

mutter (46.3.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2072992). Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add backends-Handle-null-views-instead-of-creating-dummy-view.patch
      to prevent "clutter_frame_clock_notify_presented: code should not be
      reached" log spam in some Nvidia Wayland sessions (LP: #1967707)
    - Ignore test results on armhf & ppc64el
  * Drop backends-Restore-support-for-X11-cursor-themes.patch:
    applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 11:47:07 -0400

mutter (46.3.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Drop patch applied in new release

  [ Daniel van Vugt ]
  * Refresh Support-Dynamic-triple-double-buffering.patch

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Import patch from Fedora to always center Initial Setup
    (LP: #2016013)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jul 2024 17:27:17 -0400

mutter (46.2-1ubuntu2) oracular; urgency=medium

  [ Marco Trevisan ]
  * Add place-Always-center-initial-setup.patch to always center the
    initial setup window (LP: #2016013)

  [ Daniel van Vugt ]
  * Add backends-Handle-null-views-instead-of-creating-dummy-view.patch
    to prevent "clutter_frame_clock_notify_presented: code should not be
    reached" log spam in some Nvidia Wayland sessions (LP: #1967707)
  * Add backends-Restore-support-for-X11-cursor-themes.patch to restore
    support for X11 cursor themes, which was lost in Mutter 46.0
    (LP: #2062377, LP: #2063869)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 25 Jun 2024 15:26:37 +0800

mutter (46.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Ignore test results on armhf & ppc64el

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Jun 2024 16:30:58 -0400

mutter (46.2-1) experimental; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 46.2 (LP: #2068598)
    - Fixed mouse clicks falling through to the window behind (LP: #2026194)
    - Fixed a crash in meta_wayland_transaction_commit (LP: #2061739)
    - Fixed night light getting stuck on (LP: #2066902)
  * Update Support-Dynamic-triple-double-buffering.patch:
    - Removed bogus changes introduced in 46.1-2 (unrelated files)
    - Fixed debugging mode "MUTTER_DEBUG_TRIPLE_BUFFERING=always" which had
      temporarily stopped working in 46.1 but also nobody should have been
      using it.
    - Updated commit message to mention the upstream source is maintained
      in 'triple-buffering-v4-46'.
  * Refreshed patches:
    - meson-Do-not-mark-CI-test-tools-as-required.patch
    - Mark-several-additional-tests-as-flaky.patch
  * Add clutter/conform gesture tests to the list of known flaky ones:
    it is a new test in mutter 46
  * Add patch to compile gsettings schemas for use in build tests

  [ Jeremy Bícha ]
  * Stop compiling gsettings schemas in debian/rules
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Jun 2024 11:23:13 -0400

mutter (46.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2064735). Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Ignore test results on armhf & ppc64el
  * Drop compositor-sync-ring-Allow-the-gpu_fence-to-be-moved.patch:
    applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 10:46:53 -0400

mutter (46.1-2) experimental; urgency=medium

  * Update libmutter-14-0.symbols for i386
  * Drop packaging references to Hurd since this is Linux-only

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Apr 2024 16:04:02 -0400

mutter (46.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update libmutter-14-0.symbols
  * Update Breaks
  * Drop Nvidia-secondary-GPU-copy-acceleration.patch: applied in new release

  [ Daniel van Vugt ]
  * Update triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Apr 2024 14:43:24 -0400

mutter (46.0-1ubuntu9) noble; urgency=medium

  * Have mutter-common Breaks/Replaces recent magpie-common
    for org.gnome.mutter.x11.gschema.xml (LP: #2060659)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 16:01:26 -0400

mutter (46.0-1ubuntu8) noble; urgency=medium

  * d/p/ubuntu/x11-Add-support-for-fractional-scaling: Enable X11 scaling again
    (LP: #2060659)
  * debian/control: Revert mutter-common breaks libmutter back to focal:
    - This is not needed anymore as the above enabled patch provides the
      gsettings schema

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 18 Apr 2024 02:40:05 +0200

mutter (46.0-1ubuntu7) noble; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: mutter-common now breaks libmutter back to focal.
    Because  we have dropped X11 fractional scaling support for now,
    `org.gnome.mutter.x11.gschema.xml` is no longer shipped and those
    older versions of libmutter will fail to start(LP: #2060423)
  * Add compositor-sync-ring-Allow-the-gpu_fence-to-be-moved.patch
    to fix lag and freezes on the Nvidia Xorg driver (LP: #2059847)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Apr 2024 08:46:54 -0400

mutter (46.0-1ubuntu6) noble; urgency=medium

  * Rebuild for CVE-2024-3094

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Mar 2024 10:24:22 -0400

mutter (46.0-1ubuntu3) noble; urgency=medium

  * Ignore test results to have an installable package on other architectures,
    which succeed to build. Failing test is:
      116/184 mutter:clutter+clutter/conform / gesture
  * mutter: Relax the dependency on mutter-common, not using ${source:Version},
    but the lowest upstream version number.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 19:20:17 +0100

mutter (46.0-1ubuntu2) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:24:22 +0100

mutter (46.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian NEW. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Temporarily disable x11 fractional scaling patch
  * Ignore test failures on armhf & ppc64el
  * Drop obsolete Breaks
  * Add Breaks: gnome-shell << 46.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 16:46:38 -0400

mutter (46.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update binary package names for soname bump
  * Update symbols
  * Add Build-Depends: libpixman-1-dev, libdisplay-info-dev
  * Drop obsolete Build-Depends: libjson-glib-dev
  * Bump minimum wayland-protocols to 1.33
  * Drop 4 patches applied in new release
  * Refresh patches

  [ Daniel van Vugt ]
  * Update triple buffering patch
  * Add kms-crtc-Increase-default-deadline-evasion-to-1000-micros.patch
    to fix cursor stutter in Wayland sessions when nothing else is
    animating on screen (LP: #2040977)
  * Add Nvidia-secondary-GPU-copy-acceleration.patch
    to enable hardware accelerated screen updates on secondary GPU-connected
    monitors (LP: #1970291).

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 15:11:40 -0400

mutter (45.3-3) experimental; urgency=medium

  * Cherry-pick several cursor fixes to fix compatibility with latest
    adwaita-icon-theme (Closes: #1063640)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 09:58:59 +0100

mutter (45.3-2) experimental; urgency=medium

  * Team upload

  [ Daniel van Vugt ]
  * Drop cogl-onscreen-glx-Forcefully-disable-cogl_onscreen_glx_ge.patch.
    The bug was fixed properly in Mutter 45.0 and in Mesa 23.3.0.

  [ Jeremy Bícha ]
  * debian/control: Add Homepage

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - d/control: Build-depend on systemd-dev instead of udev
      (Closes: #1060619)
    - All other changes were included in 45.3-1

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 17:46:16 +0000

mutter (44.8-3) unstable; urgency=medium

  * Cherry-pick several cursor fix to fix compatibility with latest
    adwaita-icon-theme (Closes: #1063640)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Feb 2024 07:56:05 -0500

mutter (44.8-2) unstable; urgency=medium

  * Cherry-pick patch from 45.1 to fix using caps lock to enter
    accented characters with ibus 1.5.29 (Closes: #1054214) (LP: #2035076)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 16:00:55 -0500

mutter (44.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix a crash involving the workspace indicator extension
      (gnome-shell-extensions#469, related to gjs#591)
    - Avoid relayout happening at the wrong time, which is a performance
      problem and should not happen (mutter#3425)
    - Fix a grey area at the top of fullscreen X11 windows (mutter#2937)
    - Fix build without Wayland headers (mutter#3046, does not affect Debian)
    - Show the configured background colour around backgrounds that do not
      fill the screen, instead of always black (mutter#1911)
  * d/patches: Mark several additional tests as flaky (backported from
    experimental).
    Most of these have never been reliable on Debian buildds, especially
    on ARM, so having them fail is not a regression. They usually succeed
    after a few retries, but that's time-consuming and unsuitable to be
    a QA gate.
    The restore-size test was previously not run at all: now it is run,
    but marked as flaky (so its result is ignored).

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 13:49:28 +0000

mutter (44.7-2) unstable; urgency=medium

  * Team upload
  * d/control, d/rules: Stop generating d/control from d/control.in
  * d/control: Build-depend on systemd-dev instead of udev
    (Closes: #1060619)

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Jan 2024 19:32:46 +0000

mutter (46~rc-0ubuntu1) noble; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update symbols file
  * Disable optional libdisplay-info feature for now
  * Refresh patches

  [ Daniel van Vugt ]
  * Update triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 17:18:24 -0500

mutter (46~beta-0ubuntu1) noble; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update binary package names for soname bump
  * Update symbols
  * Add Build-Depends: libpixman-1-dev
  * Bump minimum wayland-protocols to 1.33
  * Drop obsolete Build-Depends: libjson-glib-dev
  * Drop patch applied in new release
  * Temporarily disable x11 fractional scaling patch

  [ Daniel van Vugt ]
  * Update triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 10:26:07 -0500

mutter (45.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 14:42:36 -0500

mutter (44.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064248

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 21:33:39 +0000

mutter (45.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 14:42:16 -0500

mutter (45.2-3ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Dec 2023 09:32:48 -0500

mutter (45.2-3) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch
    with a fix to the frame clock for a regression inherited from
    45.1 (8f27ebf8) whereby it would enter triple buffering mode
    prematurely. And because it was premature, the clock would soon
    notice that triple buffering isn't required and drop back to double
    buffering. But the switch from triple to double buffering stalls the
    client frame queue by one frame which for some clients like Firefox
    is seen as a frame skip. (LP: #2046360)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Dec 2023 09:29:22 -0500

mutter (45.2-2) experimental; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Honor udev.pc's udevdir when installing udev rules (Closes: #1057319)

  [ Simon McVittie ]
  * Merge with version 44.7-1 from unstable
  * d/control, d/rules: Stop generating d/control from d/control.in
  * d/patches: Mark several additional tests as flaky.
    Most of these have never been reliable on Debian buildds, especially
    on ARM, so having them fail is not a regression. They usually succeed
    after a few retries, but that's time-consuming and unsuitable to be a
    QA gate.
    The restore-size test was previously not run at all: now it is run, but
    marked as flaky (so its result is ignored).

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Dec 2023 17:08:10 +0000

mutter (45.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Dec 2023 15:19:05 -0500

mutter (44.7-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * Drop patches that were included in the upstream release

  [ Chris Hofstaedtler ]
  * Honor udev.pc's udevdir when installing udev rules (Closes: #1057319)

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2023 13:31:00 +0000

mutter (45.2-1) experimental; urgency=medium

  * New upstream release (LP: #2043000)
  * Drop patches applied in new release
  * Drop unimportant patch not included in the mutter 45.2 backports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:54:20 -0500

mutter (45.1-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 12 Nov 2023 12:35:36 -0500

mutter (45.1-2) experimental; urgency=medium

  * Cherry-pick several commits to fix Wacom on X11 issues (LP: #2043027)
  * Cherry-pick other commits suggested in !3414 to fix several issues

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Nov 2023 09:48:34 -0500

mutter (45.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2043000)
    - Fix capital accent letters (LP: #2035076)
    - Fix crash when screen locked or heavy load with some Ryzen systems
      (LP: #2034619)
  * debian/libmutter-13-0.symbols: Add new symbols
  * debian/libmutter-13-0.symbols: Add missing Build-Depends-Package annotation
  * Update build autopkgtest to not run dh_auto_test (LP: #2038564)
  * Drop patches applied in new release

  [ Daniel van Vugt ]
  * Rebase triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 18:49:03 +0200

mutter (45.0-3ubuntu4) noble; urgency=medium

  * Cherry pick 4 commits to fix SIGKILL on lockscreen. (LP: #2034619)
  * Drop kms-impl-device-Inhibit-deadline-timer-on-amdgpu.patch

 -- Mario Limonciello <superm1@gmail.com>  Thu, 26 Oct 2023 10:27:44 -0500

mutter (45.0-3ubuntu3) mantic; urgency=medium

  * Update build autopkgtest to not run dh_auto_test (LP: #2038564)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Oct 2023 14:29:32 -0400

mutter (45.0-3ubuntu2) mantic; urgency=medium

  [ Jeremy Bícha ]
  * Cherry-pick 2 commits to fix vsync (LP: #2037235)

  [ Daniel van Vugt ]
  * Add patch to fix GNOME Shell getting SIGKILL'd under heavy load
    or screen locked under Wayland with AMD GPUs (LP: #2034619)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Oct 2023 11:00:14 -0400

mutter (45.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Oct 2023 18:43:15 -0400

mutter (45.0-3) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge packaging from 44.5-2 in unstable.
    - Add versioned Build-Depends/Breaks to ensure Xwayland supports
      the -byteswappedclients option (Closes: #1050642)
    - All changes to the upstream code were already included in 45.0-1
      or earlier

  [ Daniel van Vugt ]
  * Add kms-crtc-Increase-default-deadline-evasion-to-800-microse.patch
    to fix cursor stuttering on low/normal frequency mice and touchpads
    (LP: #2033719). The same patch is already merged into 45.1 upstream.

  [ Jeremy Bícha ]
  * Add autopkgtest to ensure mutter is still buildable (LP: #1993226)
  * Cherry-pick 2 more future 45.1 commits to fix crashes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Oct 2023 18:38:45 -0400

mutter (45.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Sep 2023 11:27:59 -0400

mutter (45.0-2) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Update triple buffering patch to fix freezing
    seen when running apps full screen (LP: #2035016)

  [ Jeremy Bícha ]
  * Cherry-pick patch to fix changing input language in modal popups

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Sep 2023 10:50:00 -0400

mutter (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:33:45 -0400

mutter (45.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - Fix focus-follows-mouse regression (Closes: #1051780)
  * debian/libmutter-13-0.symbols: Add new symbol
  * Refresh patches

  [ Simon McVittie ]
  * Merge packaging from 44.4-3 in unstable

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch to match upstream.
    This fixes a leak when a monitor is unplugged, which may have been
    preventing discrete GPUs from entering a lower power state.
    It also moves the freeze fix by a couple of lines so as to match the
    current upstream merge proposals but I doubt that has any behavioural
    impact.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 10:21:08 -0400

mutter (45~rc-4) experimental; urgency=medium

  * Also skip the new "thread priority" test on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 11 Sep 2023 10:31:41 -0400

mutter (45~rc-3) experimental; urgency=medium

  * Fix sysprof Build-Depends for i386 again

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 23:02:07 -0400

mutter (45~rc-2) experimental; urgency=medium

  * Merge changes from 44.4-2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 22:16:34 -0400

mutter (45~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/control.in: Bump minimum libei to 1.0.901
  * debian/control.in: Bump minimum compatible GNOME Shell to 45~rc
  * debian/libmutter-13-0.symbols: Update
  * Add new Mtk sublibrary files to gir & dev install lists
  * Drop "45" and sysprof patches: applied in new release

  [ Daniel van Vugt ]
  * Add cogl-onscreen-glx-Forcefully-disable-cogl_onscreen_glx_ge.patch
    to work around https://launchpad.net/bugs/2034672

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 21:04:02 -0400

mutter (45~rc-0ubuntu2) mantic; urgency=medium

  * Add cogl-onscreen-glx-Forcefully-disable-cogl_onscreen_glx_ge.patch
    to work around https://launchpad.net/bugs/2034672

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 08 Sep 2023 10:40:24 -0400

mutter (45~rc-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libei to 1.0.901
  * debian/control.in: Bump minimum compatible GNOME Shell to 45~rc
  * debian/libmutter-13-0.symbols: Update
  * Add new Mtk sublibrary files to gir & dev install lists
  * Drop "45" and sysprof patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 15:29:01 -0400

mutter (45~beta.1-1ubuntu2) mantic; urgency=medium

  * Cherry-pick 2 proposed patches to build with sysprof 45
  * debian/control.in: Build-Depend on libsysprof-6-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:20:58 -0400

mutter (45~beta.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 10:01:09 -0400

mutter (45~beta.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update binary package names for soname bump
  * Update symbols
  * debian/control.in: Build-Depend on libei-dev & libeis-dev
  * Drop many 44 patches applied in new release
  * Move the remaining unapplied patches to 45
  * Drop wayland-data-device-Allow-any-drag-timestamp patch:
    No longer needed (Closes: #1050025)
  * Add patch to skip new thread priority modification test on arm
  * Refresh patches

  [ Daniel van Vugt ]
  * Update triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Aug 2023 11:19:08 -0400

mutter (45~beta.1-0ubuntu2) mantic; urgency=medium

  * Drop wayland-data-device-Allow-any-drag-timestamp patch:
    no longer needed (LP: #1964541) (Closes: #1050025)
  * Add patch to skip new thread priority modification test on arm

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Aug 2023 12:40:23 -0400

mutter (45~beta.1-0ubuntu1) mantic; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update binary package names for soname bump
  * Update symbols
  * debian/control.in: Build-Depend on libei-dev & libeis-dev. See bug 2031406
  * Refresh patches
  * Drop mesa 23.1 patch: applied in new release
  * Drop cursor-renderer arm64 patch: apparently unneeded with mesa >= 22.3.3
  * Temporarily disable wayland-data-device-Allow-any-drag-timestamp patch
    until it can be updated

  [ Daniel van Vugt ]
  * Update triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 13:25:40 -0400

mutter (44.5-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to gnome-44 branch commit 44.5-6-g0173cfffcd
    - Backport a change from 45~alpha to fix an intermittent crash in the
      closeWithActiveWindows test (mutter#6808)
    - Backport a change from 45~beta to fix clicks not always taking effect
      (mutter#2918)
    - Backport a change from 45~rc to fix an uninitialized memory read
      (mutter#2964)
    - Backport a change from 45~rc to fix a crash (mutter#2978)
    - These changes also fix a crash while restarting gnome-shell in X11
      mode with Alt+F2, "r" (mutter#2977, another possible cause
      for the symptoms seen in #1050502)
  * Add versioned Build-Depends/Breaks to ensure Xwayland supports
    the -byteswappedclients option (Closes: #1050642)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Sep 2023 10:14:07 +0100

mutter (44.5-1) unstable; urgency=medium

  * New upstream release
    - Fix redraw issue when buffer age is unavailable
      (regression in 44.1, mutter#2771)
    - Fix crash during GNOME Shell restart in Xorg mode
      (mutter#2852, mutter!3247; Closes: #1050502)
    - Fix unresponsive touchscreen after titlebar drag when using a
      touchscreen (mutter#2836)
    - Fix some XWayland windows not getting mapped
      (regression in 44.1, mutter#2965, mutter#2820, mutter#2867)
    - Avoid a possible crash while changing monitor layout
      (regression in 44.1, mutter!3229)
    - Correct a check for monitor portrait orientation when choosing
      whether to allow tiling (mutter!3199, mutter!3248)
    - Other crash fixes were included in 44.4-3 already
  * d/watch: Only watch for v44.x
  * d/patches: Drop patches that were applied upstream
  * d/p/x11-events-NULL-Check-input-event-when-getting-name.patch:
    Add patch from upstream 45~alpha to avoid a crash when being
    profiled with sysprof 45~rc (mutter#3030)
  * d/libmutter-12-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Sep 2023 16:54:02 +0100

mutter (44.4-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/patches: Update to gnome-44 branch commit 44.4-2-g7fc141552a
    - d/p/monitor-manager-xrandr-Trap-DPMS-changes.patch:
      Under X11, don't crash if changing display power-saving settings
      fails (mutter#2857, gnome-shell#6883, Closes: #1050512)
    - d/p/backends-x11-Trap-errors-from-XIAllowTouchEvents.patch:
      Under X11, don't crash if some touchscreen operations fail
      (mutter#2808, LP: #2029413)

  [ Jeremy Bícha ]
  * Remove sysprof build-dependency on i386

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Sep 2023 10:19:15 +0100

mutter (44.4-2) unstable; urgency=medium

  * Don't enable sysprof profiling integration on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 14:27:36 -0400

mutter (44.4-1) unstable; urgency=medium

  * New upstream release
  * Drop '44' patches applied in new release
  * Cherry-pick proposed patch to build with sysprof 45
  * debian/control.in: Build-Depend on libsysprof-6-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 09:49:10 -0400

mutter (44.3-7) unstable; urgency=medium

  * Team upload
  * d/tests/installed-tests: Run installed-tests via a wrapper script.
    This collects logs as test artifacts, and lets us fail the test if a
    packaging bug results in no matching tests being present.
  * d/tests/installed-tests: Ignore test failures on some architectures.
    These are the same architectures where we don't run build-time tests.
    On s390x the tests are timing out at the default 5 minute cutoff, and
    it's not clear whether they would finish successfully if allowed to
    run for longer.

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Aug 2023 20:57:49 +0100

mutter (44.3-6) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-44 branch commit
    44.3-15-g0b5ab083b4 (no functional changes)
    - Patches previously in d/patches/45 have been applied to the gnome-44
      branch and move to d/patches/44
  * Merge packaging from unstable
    - No functional changes; all changes relevant to this branch were
      already in experimental
    - d/p/tests-Reinstate-meta_test_get_plugin_name.patch intentionally
      omitted to avoid creating longer-term delta
  * Upload to unstable (starts transition: #1043144)

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Aug 2023 21:30:31 +0100

mutter (43.7-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-43 branch commit
    43.7-9-g3139cbb47c, excluding CI-only changes
    - d/p/output-kms-Use-meta_kms_connector_get_preferred_mode-in-i.patch:
      Make the choice of preferred video mode consistent between code
      paths, fixing choice of video mode on some monitors (mutter!3055)
    - d/p/cogl-gl-framebuffer-Fix-inverted-test-in-ensure_bits_init.patch:
      change was already included in 43.7-1, just update metadata
    - d/p/clutter-stage-Add-is-grabbed-property.patch,
      d/p/window-Postpone-focusing-until-grab-ended-if-uninteractab.patch:
      Give focus to new app windows when launched from the gnome-shell
      overview, fixing a regression in 43.3-5 and upstream 43.4
      (Closes: #1035092, #1049934)
    - d/p/tests-Introduce-and-use-a-custom-test-shell.patch,
      d/p/tests-test-shell-Emulate-overview-grabs.patch,
      d/p/tests-test-runner-Add-toggle_overview-command.patch,
      d/p/tests-Add-test-case-for-restoring-focus-after-overview.patch:
      Add unit test coverage for #1035092
  * d/p/tests-Reinstate-meta_test_get_plugin_name.patch:
    Reinstate a symbol in libmutter-test-11 removed by the above patches,
    in case a dependent package is using it
  * d/libmutter-test-11.symbols: Add a new symbol introduced by the test
    for #1035092

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Aug 2023 11:35:31 +0100

mutter (44.3-5) experimental; urgency=medium

  * Team upload
  * d/patches: Reorder patch series with closest-to-upstream first
  * d/patches: Improve tracking of bug references and upstream status
  * d/.gitignore: Add
  * d/patches/44/, d/patches/45/: Move patches that were applied upstream
    into topic subdirs.
    We have enough patches in this package, some of them short-term and
    some of them long-term delta, that it seems useful to keep track
    of this.
  * d/patches, d/rules: Stop trying to force gles2 driver on armel, armhf.
    This patch was rejected by upstream, and according to comments on the
    upstream merge request, it is no longer effective either, because
    mutter's driver selection is now done in a higher layer.
    Users of systems with a working gles2 driver but a broken or slow gl3
    driver can work around this by setting environment variable
    CLUTTER_DRIVER=gles2.
    See #1050014 for more details of what would be involved in making this
    driver choice happen automatically in an upstreamable way.
  * d/p/cursor-renderer-native-Workaround-broken-arm64-drivers.patch:
    Drop patch forcing use of simpler cursor buffers on aarch64.
    According to the upstream and Ubuntu bugs, this should be fixed in Mesa
    since 22.3.3, which is included in the Debian 12 initial release and in
    Ubuntu 22.04 as an update.
  * Merge packaging from unstable
    - No functional changes; all changes relevant to this branch were
      already in experimental
  * d/gbp.conf: Use upstream/44.x branch.
    The Ubuntu GNOME team have already started packaging v45 prereleases.

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Aug 2023 20:49:18 +0100

mutter (43.7-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release 43.7
    - Functionally equivalent to 43.6-1
  * d/p/wayland-outputs-Fix-potential-crash-when-output-has-no-mo.patch:
    Drop patch, applied upstream
  * d/gbp.conf, d/control.in: Use debian/trixie branch
  * d/p/cogl-gl-framebuffer-Fix-inverted-test-in-ensure_bits_init.patch:
    Add patch from upstream 45.beta to fix a test failure with recent Mesa
    (Closes: #1042055, LP: #2025287)
  * d/patches: Improve tracking of upstream status

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Aug 2023 17:40:39 +0100

mutter (44.3-4) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-44 branch commit 44.3-7-g5d0354035b,
    excluding CI-only changes
    - Make the choice of preferred video mode consistent between code
      paths, fixing choice of video mode on some monitors (mutter!3055)
    - Fix the configuration option to allow byteswapped X11 clients so
      that it is possible to allow them (mutter#2938)
    - Fix a crash if a window is destroyed by a Wayland protocol error
      while it is being moved (mutter#2853)
    - Translation update: fa
  * d/p/clutter-stage-Add-is-grabbed-property.patch,
    d/p/window-Postpone-focusing-until-grab-ended-if-uninteractab.patch,
    d/p/compositor-Handle-grab-state-through-ClutterStage-is-grab.patch:
    Add patches from upstream to give focus to new app windows when
    launched from the gnome-shell overview (Closes: #1035092, #1049934)
  * d/p/tests-Introduce-and-use-a-custom-test-shell.patch,
    d/p/tests-test-shell-Emulate-overview-grabs.patch,
    d/p/tests-test-runner-Add-toggle_overview-command.patch,
    d/p/tests-Add-test-case-for-restoring-focus-after-overview.patch:
    Add patches from upstream adding test coverage for #1035092
  * d/libmutter-test-12.symbols: Update for #1035092 changes.
    Ignore removal of meta_test_get_plugin_name(): this is a private
    symbol and is not declared in any headers.

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Aug 2023 10:44:06 +0100

mutter (44.3-3ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 18:17:54 -0400

mutter (44.3-3) experimental; urgency=medium

  * debian/control.in: Build-Depend on libgtk-4-dev & libsysprof-4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 17:54:56 -0400

mutter (44.3-2ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 17:29:03 -0400

mutter (44.3-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge changelog from unstable
    - All fixes in 43.6 were also in 44.2 or earlier
  * d/control: Regenerate

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch:
    Fix increased mouse pointer latency that occurred in 44.1 when using
    the default atomic KMS backend with Wayland sessions (LP: #2023363)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 17:08:48 -0400

mutter (44.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jul 2023 17:30:21 -0400

mutter (44.3-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Drop 2 patches applied in new release

  [ Daniel van Vugt ]
  * Update triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jul 2023 17:04:05 -0400

mutter (44.2-3ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 15:31:07 -0400

mutter (44.2-3) experimental; urgency=medium

  * Cherry-pick patch to fix build test with mesa 23.1 (LP: #2025287)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 15:29:10 -0400

mutter (44.2-2ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 09:44:49 -0400

mutter (44.2-2) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Cherry-pick 2 patches for stuttering fixes
    * Avoid cursor stuttering over some windows (LP: #2023766). This will also
      improve best-case input latency by roughly half a frame.
    * Avoid render stuttering in some fullscreen games (LP: #2016990).
  * Update Support-Dynamic-triple-double-buffering.patch
    * Fix a failure to resume from sleep (frozen black screen), which seems
      to be an old bug but only became likely in 44.1.
    * Fix a crash on resume from sleep (LP: #2020049).

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 09:42:56 -0400

mutter (44.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jun 2023 12:48:09 -0400

mutter (44.2-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2022951)
    - Fix drag and drop for Qt applications (LP: #2013235)
  * Drop display-Set-compositor-selection-earlier patch: applied in new release
  * Try dropping 2 of our flaky tests patches

  [ Daniel van Vugt ]
  * Update triple buffering patch to avoid NULL dereference on resume
    from suspend (LP: #2020652)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jun 2023 11:47:52 -0400

mutter (43.6-1) unstable; urgency=medium

  * New upstream stable release 43.5
    - Always update surfaces belonging to a window that is being recorded
      or included in a screencast, even if the window is not visible
      on a local display (mutter#2538, mutter!2789)
    - Export previously-private meta_window_has_pointer(), needed by
      screenshot UI fixes in gnome-shell 43.5 (mutter!2928)
      + d/libmutter-11-0.symbols: Update to add that symbol
    - All other changes were already present in 43.4-2
  * New upstream stable release 43.6
    - Fix a resource leak when a compositor view is destroyed (mutter!2991)
    - Fix a crash when headless gdm greeter via gnome-remote-desktop
      attempts to blank the screen (mutter#2841)
  * d/patches: Drop patches that were applied upstream
  * d/p/wayland-outputs-Fix-potential-crash-when-output-has-no-mo.patch:
    Backport patch from 44~beta to fix a crash during suspend/resume on
    some systems (mutter#2570, Closes: #1036268)

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jun 2023 21:17:19 +0100

mutter (43.4-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-43 branch commit 43.4-5-gc35e9f8c0
    - d/p/clutter-actor-Get-next-action-from-list-before-handling-c.patch:
      Fix a use-after-free that was always a problem in theory, but causes
      crashes in practice with GLib 2.76.x (mutter!2955, gnome-shell#6552)
    - d/p/cursor-tracker-Don-t-leak-window-cursor-on-exit.patch:
      Fix a minor memory leak (mutter!2969)
    - d/p/wayland-cursor-surface-Update-cursor-on-dispose.patch:
      Fix a crash in rare situations involving Wayland cursor changes,
      and add test coverage (mutter!2969)
  * d/libmutter-11-0.symbols: Add new private symbols used by tests
    for the above changes
  * d/p/wayland-xdg-shell-Dismiss-instead-of-destroy-invalid-popu.patch:
    Backport a fix from upstream 44.x branch to fix popup-related crashes
    (mutter#2728, mutter!2940, Closes: #1033484)

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Apr 2023 10:10:24 +0100

mutter (43.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Improve performance by reducing memory bandwidth use on some GPUs
      (GNOME/mutter!2091)
    - Fix handling of rotated screens, for example on Pinephone Pro and
      Pinebook Pro (GNOME/mutter#2557)
    - Avoid warnings when destroying a ClutterText object with recent
      GLib versions (GNOME/mutter#2566)
    - Other changes were included in previous Debian packaging updates
  * Drop most patches, applied upstream
  * d/patches: Update to upstream gnome-43 branch commit 43.4-2-gba5cb0542
    - Fix a crash with newer GStreamer gtkwaylandsink (GNOME/mutter!2917)
    - Translation update: ab
  * Remove #1032388 from 43.3-5 changelog entry.
    I hoped !2878 would fix both #1032388 and #1031945, but in fact it
    only fixes #1031945.

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Apr 2023 14:07:33 +0100

mutter (44.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2020225, LP: #2012100, LP: #2012717,
    LP: #2013216, LP: #2019225, LP: #2006044, LP: #2015861, LP: #1999578,
    LP: #2011251, LP: #2016308)
  * Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints. (LP: #2007710, #2011611)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 16:24:49 -0400

mutter (44.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Drop bash patch applied in new release
  * debian/libmutter-12-0.symbols: Add new symbols

  [ Daniel van Vugt ]
  * Update triple buffering patch for Mutter 44.1

  [ Marco Trevisan (Treviño) ]
  * Fix issue with Firefox opening black window in wayland sessions
    - Add d/p/display-Set-compositor-selection-earlier-on-XWayland.patch
      (LP: #1987976)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 16:18:13 -0400

mutter (44.0-2ubuntu6) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Fix issue with Firefox opening black window in wayland sessions
    - d/p/display-Set-compositor-selection-earlier-on-XWayland.patch
      (LP: #1987976)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 01 May 2023 18:27:57 +0200

mutter (44.0-2ubuntu4) lunar; urgency=medium

  [ Daniel van Vugt ]
  * Add proposed patch to treat XIChangeProperty errors as warnings,
    fixes crash on login or resume from suspend with Nvidia graphics drivers
    (LP: #2014986)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Apr 2023 14:32:30 -0400

mutter (44.0-2ubuntu3) lunar; urgency=medium

  * debian/patches: Listen to XSettings changes to update decorations
    (LP: #2012733)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 04 Apr 2023 22:26:20 +0200

mutter (44.0-2ubuntu2) lunar; urgency=medium

  * debian/libmutter-12-0.symbols: Restore symbols for triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 09:46:13 -0400

mutter (44.0-2ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
  * Re-enable the triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 09:35:04 -0400

mutter (44.0-2) experimental; urgency=medium

  * Update debian/patches/debian/Support-Dynamic-triple-double-buffering.patch:
    Compared to the last update, a crash on resuming from sleep has been
    fixed. And some minor code tidying.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 27 Mar 2023 09:27:35 -0400

mutter (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Disable triple buffering patch
  * debian/patches: Refresh indexes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Mar 2023 21:12:31 +0100

mutter (44.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Fixes feedback loops with old statically compiled SDL applications
      (LP: #2011803)
  * debian/patches: refresh indexes
  * debian/patches/debian/Support-Dynamic-triple-double-buffering.patch: Update
    We still keep it enabled, given that we're in experimental anyways

  [ Simon McVittie ]
  * Remove #1032388 from previous changelog entry.
    I hoped !2878 would fix both #1032388 and #1031945, but in fact it
    only solves #1031945.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Mar 2023 20:35:02 +0100

mutter (44~rc-1ubuntu3) lunar; urgency=medium

  * debian/control.in: Have libmutter-12-dev depend on libegl1-mesa-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 19:19:46 -0400

mutter (44~rc-1ubuntu2) lunar; urgency=medium

  [ Jeremy Bicha ]
  * debian/libmutter-12-0.symbols: Drop symbols from triple buffering patch

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Do not use fatal warnings on fractional scaling issues
  * debian/patches: Add ability to override window edge constraints.
    Make possible for extensions (such as Tiling Assistant) to override windows
    constraints. (LP: #2007710, #2011611)
  * debian/libmutter-12-0.symbols: Add new override constraint symbol
  * debian/libmutter-12-0.lintian-overrides: Allow using debian version in
    symbols: it's a private API exposed only by ubuntu

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 14 Mar 2023 19:17:11 +0100

mutter (44~rc-1ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha
  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - debian/control: Do not depend on legacy EGL package name
  * Temporarily disable triple buffering patch to ensure quality
    after major changes to mutter since 44~beta

  [ Marco Trevisan (Treviño) ]
  * Update the fractional scaling patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 08:20:44 -0500

mutter (44~rc-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * d/p/wayland-Don-t-overwrite-surface-offsets.patch,
    d/p/x11-Avoid-updating-focus-on-wayland-compositor.patch:
    Drop, applied in new release
  * debian/control.in: Build-Depend on libgnome-desktop-4-dev instead of -3
  * debian/control.in: Mark libgtk-3-dev as only needed for build tests
  * debian/control.in: Bump minimum wayland-protocols to 1.31
  * debian/*.symbols: Update; some "private" meta_* symbols were dropped

  [ Simon McVittie ]
  * Merge packaging from unstable (Closes: #1031945, #1031847)
    - Drop patches that were backported from upstream 44.rc into unstable
    - d/p/tests-Use-a-more-interoperable-path-to-bash.patch:
      Fix path to interpreter in x11-test.sh instead of disabling it
    - d/p/tests-Disable-broken-test.patch: Drop patch, no longer needed
  * d/p/debian/backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch:
    Drop patch from upstream !2371, which no longer applies cleanly.
    As far as I can see, this is unnecessary since commit 9001fa97
    "kms/crtc: Always read the gamma state" from !2435.

  [ Marco Trevisan (Treviño) ]
  * d/p/debian/Support-Dynamic-triple-double-buffering.patch:
    Refreshed with the 44-WIP version from Daniel, it's working properly in
    main tested scenarios.
  * debian/patches: Drop patch removing dependency on glib 2.75
  * debian/control: Bump build-dependency on glib-2.75
  * debian/control: Add breaks on gnome-shell << 44~rc.
    It's not possible to compile older gnome-shell versions with mutter
    44~rc due to the gtk dependency removal

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 08 Mar 2023 02:29:22 +0100

mutter (44~beta-3ubuntu2) lunar; urgency=medium

  * debian/patches: Update code to get backend on X11-fractional scaling
  * debian/control: Do not depend on legacy EGL package name

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Feb 2023 20:03:24 +0100

mutter (44~beta-3ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha
  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

  * Merge packaging from unstable (Closes: #1031945, #1031847)
  [ Marco Trevisan (Treviño) ]
  * Update the fractional scaling patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 07:11:52 -0500

mutter (44~beta-3) experimental; urgency=medium

  * debian/control.in: Fix misspelling Replaces
  * Mark 2 more tests as flaky for now
  * Ignore test failures on s390x for now
  * Cherry-pick a focus fix

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Feb 2023 20:34:02 -0500

mutter (44~beta-2) experimental; urgency=medium

  * Add patch to keep using glib 2.74 for now
  * debian/control.in: Build-Depend on glib 2.74.0
  * Have libmutter-12-0 depend on the required mutter-common-bin
    (Closes: #1031688)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Feb 2023 11:33:16 -0500

mutter (44~beta-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for API bump (mutter-11 -> mutter-12)
  * Update symbols files
  * Add mutter-common-bin to install libexec binaries
  * Have libmutter-test-12 install the new MetaTest typelib
    and add a Provides for it instead of creating a new binary package
  * debian/mutter.install: mutter.desktop is no longer provided
  * Bump minimum glib to 2.75.1
  * Refresh patches
  * Update triple buffering patch to the latest version
  * Drop patch applied in new release
  * Drop 2 patches that no longer apply:
    - theme-load-icons-as-Gtk-does-with-fallback-and-RTL-suppor.patch
    - theme-use-gtk_render_icon_suface-to-paint-button-icon.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2023 16:41:43 -0500

mutter (43.3-5) unstable; urgency=medium

  * Team upload
  * d/patches: Use the same order in which patches were applied upstream
  * d/p/color-device-Make-sure-lcms_context-is-not-NULL.patch,
    d/p/color-device-Don-t-close-lcms-profile-on-error-from-cd_ic.patch:
    Use final version of these patches as applied upstream
  * d/p/Revert-x11-Do-not-move-X11-input-focus-during-grabs.patch,
    d/p/Revert-x11-events-Do-not-update-focus-XWindow-during-grab.patch,
    d/p/x11-Ignore-_NET_ACTIVE_WINDOW-client-messages-while-grabb.patch,
    d/p/core-Avoid-focusing-windows-on-map-during-grabs.patch:
    Backport upstream merge request !2878, fixing X11 focus regressions
    (Closes: #1031945)
  * d/p/tests-Use-a-more-interoperable-path-to-bash.patch:
    Fix path to interpreter in x11-test.sh instead of disabling it
    - d/p/tests-Disable-broken-test.patch: Drop patch, no longer needed

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Mar 2023 11:35:23 +0000

mutter (43.3-4) unstable; urgency=medium

  * Team upload
  * d/p/color-device-Make-sure-lcms_context-is-not-NULL.patch,
    d/p/color-device-Don-t-close-lcms-profile-on-error-from-cd_ic.patch:
    Fix a double-free when loading the ICC profile from a device's EDID
    fails (Closes: #1031847)

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Mar 2023 08:50:50 +0000

mutter (43.3-3) unstable; urgency=medium

  * Team upload
  * d/p/x11-Avoid-updating-focus-on-wayland-compositor.patch:
    Add patch from upstream fixing a focus-handling regression in
    Wayland sessions.
    In 43.3, switching from an Xwayland window to a native Wayland window
    would not always work.

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Feb 2023 18:44:12 +0000

mutter (43.3-2) unstable; urgency=medium

  * Team upload
  * Mention LP: #1985089 in the 43.2-6 changelog
  * d/p/Support-Dynamic-triple-double-buffering.patch:
    Record the exact revision that was used (no content changes)
  * Remove Lintian overrides that are no longer necessary now that
    lintian/lintian!452 is in a release
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Feb 2023 09:37:11 +0000

mutter (43.3-1) experimental; urgency=medium

  * Team upload
  * Initially uploading to experimental pending feedback on whether the
    downclocking patch needs adjustment for 43.3

  [ Daniel van Vugt ]
  * d/p/Support-Dynamic-triple-double-buffering.patch:
    Improve downclocking (triple to double buffering) support so it
    happens sooner and more reliably. This reduces input latency during
    light rendering as well as reducing CPU usage of cursor movement.
    Also correct the origin information.

  [ Simon McVittie ]
  * New upstream release
    - Make sure there is always a non-null list of extensions
      (LP: #1994011)
    - Fix a crash when colour management operations are cancelled
      (mutter!2794)
    - Fix lockup when pointer crosses the intersection of 4 displays
      (mutter#2598)
    - Fix some small memory leaks (mutter!2811)
    - Fix a misleading error message (mutter!2811)
    - Revert a problematic change to the handling of frame event timing
      (mutter!2835)
    - On X11, Don't allow focus to be taken by an app during grabs
      (gnome-shell#5932, mutter!2832)
    - Many changes that were already in 43.2-6
  * Drop patches that were applied upstream
  * d/p/wayland-Don-t-overwrite-surface-offsets.patch:
    Add patch from upstream to fix drag-and-drop cursor position on Wayland
    (mutter#2622)
    This updates us to upstream gnome-43 branch commit 43.3-1-ga8a348185b.
  * d/control.in, d/gbp.conf, d/watch: Set up branches for 43.x in bookworm.
    This leaves the default branch available for GNOME 44 betas in
    experimental and Ubuntu.

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Feb 2023 17:00:58 +0000

mutter (43.2-6ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 30 Jan 2023 08:55:56 -0500

mutter (43.2-6) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-43 branch commit 43.2-29-g35763ca0cc
    - Avoid lag while altering the split point between edge-tiled windows
      on the left and right halves of the screen
      (mutter#2246, LP: #1985089)
    - Disable direct scanout optimization during drag-and-drop to ensure
      the dragged content is visible (mutter#2470)
    - Performance improvements (mutter!2671)
    - Enable the direct scanout optimization for fullscreen mpv in Wayland
      (mutter#2550)
    - Revert an optimization which caused some extensions to regress
    - Prevent mouse cursor disappearing for windows that appeared while a
      menu was open (mutter#2553)
    - Make pointer confinement compatible with subsurfaces (mutter#2223)
    - Report width and height of rotated screens consistently with the spec
      and other compositors (mutter#2519)
    - Avoid unintended focus change on secondary display when switching
      workspace on primary display (mutter#2548)
    - Make workspace-switching more resilient against crashes (mutter!2707)
    - Fix a crash during screen recording at certain resolution/scale
      combinations (mutter#2542)
    - Fix cursor position scaling while recording a single window
      (mutter#1541)
    - Avoid integer overflow during screencasting (mutter!2762)
    - Ensure cursor reappears when using touchscreen and then mouse in X11
      (mutter#2344)
    - Ensure keyboard accessibility works at beginning of session if
      previously enabled in configuration (mutter#1858)
    - Fix mapping between graphics tablets and displays (mutter!2767)
    - Fix a small memory leak (mutter!2799)
    - Translation updates: ru
  * d/patches: Sort closest-to-upstream first
  * d/patches: Improve metadata
  * d/control.in: Drop Multi-Arch from libmutter-test-11.
    The test library is not usefully multiarch, because it depends on a
    matching architecture of mutter.
  * lintian-overrides: Silence a false positive for libegl1-mesa-dev
    libegl1-mesa-dev is not transitional or obsolete, see lintian/lintian!452.
  * d/copyright: Add a missing short name field
  * d/control.in: Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2023 15:26:48 +0000

mutter (43.2-5ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 23 Jan 2023 11:44:41 -0500

mutter (43.2-5) unstable; urgency=medium

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch.
    Fix tearing on monitors attached to secondary GPUs (LP: #1999216)
  * Add patch for cursor-renderer-native to workaround broken arm64 drivers.
    By forcing cursors to use dumb buffers. At least until Mesa gets fixed
    for panfrost, vc4, v3d... (LP: #1988859)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 23 Jan 2023 11:30:06 -0500

mutter (43.2-4ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Dec 2022 15:00:07 -0900

mutter (43.2-4) unstable; urgency=medium

  * Team upload
  * Mark xwayland test-case as known to be flaky on 32-bit ARM.
    Mitigates: #1026445

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Dec 2022 12:48:02 +0000

mutter (43.2-3) unstable; urgency=medium

  * Team upload
  * Rebuild source package with non-expired signing key

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Dec 2022 22:32:32 +0000

mutter (43.2-2) unstable; urgency=medium

  * Team upload
  * d/p/workspace-Don-t-crash-on-invalid-argument-to-meta_workspa.patch:
    Add proposed patch to avoid crashing on an invalid argument
  * d/p/tests-Break-up-stacking-installed-tests-into-more-smaller.patch:
    Add proposed patch to have more, smaller installed-tests.
    As well as doing what it was intended to do, this also avoids a crash
    during autopkgtest. (Mitigates: #1024438)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Dec 2022 21:29:01 +0000

mutter (43.2-1) unstable; urgency=medium

  * New upstream release
  * Update symbols files

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Dec 2022 16:46:15 -0500

mutter (43.1-2) unstable; urgency=medium

  * Team upload
  * Disable restore-size test.
    This avoids intermittent FTBFS, especially on armel and armhf.
  * Build-/test-depend on dbus-daemon instead of dbus
  * d/upstream/metadata: Add Repository field

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Nov 2022 10:32:45 +0000

mutter (43.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Among other fixes, this avoids a fullscreen window on one display
      being replicated on another display (Closes: #1023256, LP: #1990563)
  * Refresh patch series
    - Drop patches that were included upstream
    - Update triple-buffering patch from GNOME/mutter!1441
  * Set field Upstream-Name in debian/copyright.
  * d/upstream/metadata: Add
  * Update symbols file for new upstream release
  * Reduce entropy of .symbols file.
    The SONAME changed in version 43~beta, so there's no point in keeping
    track of whether symbols are older than that version.
    Similarly, if a symbol was introduced in a prerelease, we want
    dependent packages to depend on the final release, so there's little
    point in finer-grained tracking of which specific prerelease each
    symbol came from.

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Nov 2022 20:09:07 +0000

mutter (43.0-3) unstable; urgency=medium

  * Cherry-pick patch to fix Night Light availability in GNOME Settings
    (Closes: #1020941) (LP: #1990207)
  * Cherry-pick patches to avoid crash when ICC color profile is invalid
    (Closes: #1021680) (LP: #1993114)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 06:57:50 -0400

mutter (43.0-2) unstable; urgency=medium

  * Release to unstable (Closes: #1009990, #1019266, #1020515)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2022 19:00:48 -0400

mutter (43.0-1ubuntu5) lunar; urgency=medium

  * Revert "debian/rules: Ignore test failures on armhf"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Nov 2022 18:08:23 -0500

mutter (43.0-1ubuntu4) kinetic; urgency=medium

  * debian/rules: Ignore test failures on armhf.
    Temporary, to unblock the mutter update while we investigate the regression

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 19:58:15 -0400

mutter (43.0-1ubuntu3) kinetic; urgency=medium

  * Cherry-pick patches to avoid crash when ICC color profile is invalid
    (Closes: #1021680) (LP: #1993114)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 06:55:32 -0400

mutter (43.0-1ubuntu2) kinetic; urgency=medium

  * Cherry-pick patch to fix Night Light availability in GNOME Settings
    (Closes: #1020941) (LP: #1990207)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Oct 2022 16:25:40 -0400

mutter (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 13:10:57 -0400

mutter (43.0-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Team upload
  * New upstream release
  * d/copyright: Update
  * Standards-Version: 4.6.1 (no changes required)
  * d/libmutter-11-0.symbols: Add new symbols

  [ Jeremy Bicha ]
  * Mark as Linux-any
    - Build tests indicate mutter doesn't work on Hurd or kFreeBSD
    - Mutter is only used by GNOME Shell and Budgie, neither of which
      are currently available on those architectures for other reasons

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 20:18:26 +0100

mutter (43~rc-2ubuntu2) kinetic; urgency=medium

  * Ignore build test failures on s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Sep 2022 11:43:54 -0400

mutter (43~rc-2ubuntu1) kinetic; urgency=medium

  * Merge with debian, containing new upstream version.
  * Refresh xrandr scaling patch to latest upstream code
  * Remaining changes with debian:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 08 Sep 2022 18:15:23 +0200

mutter (43~rc-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/control: Drop compatibility with old libgdk-pixbuf2.0-dev package

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Update triple-buffering patch against newest version
    (LP: #1969422, #1988625)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 08 Sep 2022 17:35:16 +0200

mutter (43~rc-1) experimental; urgency=medium

  * New upstream release
  * Build-Depend on libcolord-dev & liblcms2-dev
  * debian/*.symbols: Update
  * Drop Consistently-pass-timestamp….patch: Applied in new release
  * Refresh 2 patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:07:28 -0400

mutter (43~beta-4) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Remove <!nocheck> from xvfb-run

  [ Jeremy Bicha ]
  * debian/tests/libmutter-11-dev: fix a reference to mutter-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 05:28:09 -0400

mutter (43~beta-3ubuntu2) kinetic; urgency=medium

  * debian/tests/libmutter-11-dev: fix a reference to mutter-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 05:25:39 -0400

mutter (43~beta-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 17:23:26 -0400

mutter (43~beta-3) experimental; urgency=medium

  * Add patches from Ubuntu:
    - Support-Dynamic-triple-double-buffering.patch
    - backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
  * debian/libmutter-11-0.symbols: Add new symbols from triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 12:27:28 -0400

mutter (43~beta-2) experimental; urgency=medium

  * Update mutter-10 to mutter-11 in more places

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 10:35:35 -0400

mutter (43~beta-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for API bump (mutter-10 -> mutter-11)
  * debian/libmutter-11-0.symbols: Update
  * debian/control.in: Bump minimum libwayland and wayland-protocols
  * Refresh patches
  * Add temporary patch to skip broken build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 12:07:41 -0400

mutter (42.4-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1985856). Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch
      + Ensure privacy screen settings are applied on startup
    - Add patches from GNOME !2364
      + Fix X11 selection related crash when Xwayland died
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 14:39:04 -0400

mutter (42.4-2) unstable; urgency=medium

  * Team upload
  * d/control.in, d/gbp.conf: Set up branches for an unstable upload
  * d/p/tests-Give-mutter-test-runner-the-RUNPATH-to-find-Clutter.patch:
    Add patch to fix missing RUNPATH in tests, fixing an autopkgtest
    regression in 42.4.
    - Note that this does not resolve a different autopkgtest regression
      in 42.4, in environments where /dev/dri/card0 exists but is
      inaccessible. However, the /dev/dri/card0 issue is not fatal for
      Debian's production infrastructure, which uses autopkgtest-virt-lxc
      and therefore does not provide /dev/dri/card0 at all.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Aug 2022 17:54:28 +0100

mutter (42.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1985856). Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch
      + Ensure privacy screen settings are applied on startup
    - Add patches from GNOME !2364
      + Fix X11 selection related crash when Xwayland died
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Aug 2022 02:05:18 +0200

mutter (42.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Refresh
  * debian/libmutter-10-0.symbols: Sync with new and removed internal symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Aug 2022 19:21:12 -0400

mutter (42.3-2) unstable; urgency=medium

  * debian/libmutter-10-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Jul 2022 14:14:30 +0200

mutter (42.3-1ubuntu2) kinetic; urgency=medium

  * Rebuild against latest gnome-desktop

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 07:22:57 -0400

mutter (42.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1981724). Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch
      + Ensure privacy screen settings are applied on startup
    - Add patches from GNOME !2364
      + Fix X11 selection related crash when Xwayland died
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 17:26:15 +0200

mutter (42.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 16:33:25 +0200

mutter (42.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch
      + Ensure privacy screen settings are applied on startup
    - Add patches from GNOME !2364
      + Fix X11 selection related crash when Xwayland died
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
  * Refresh patches
  * Drop privacy screen settings patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Jun 2022 08:08:58 -0400

mutter (42.2-1) unstable; urgency=medium

  * New upstream release (LP: #1976381)
    - Fix crash when restarting GNOME Shell on Xorg (LP: #1969893)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 31 May 2022 10:10:28 -0400

mutter (42.1-1ubuntu1) kinetic; urgency=medium

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch
      + Ensure privacy screen settings are applied on startup
    - Add patches from GNOME !2364
      + Fix X11 selection related crash when Xwayland died
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
  * Refresh triple buffering patch with latest version

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Adapt expected messages to new domains

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 May 2022 09:14:41 -0400

mutter (42.1-1) unstable; urgency=medium

  * New upstream release
    (LP: #1972726, #1967274, #1965557, #1969574, #1948410, #1967219, #1971693)
  * Drop patches applied in new release
  * debian/libmutter-10-0.symbols: Add new symbol
  * debian/libmutter-10-0.symbols: Drop a symbol that was only in experimental
  * Add Breaks against old gtk3 & gtk4 versions.
    See Ubuntu bug 1972721
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 16:51:12 -0400

mutter (42.0-5) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream commit 42.0-74-g6c8e8fbba
    - Bug fixes targeted for 42.1
    - d/p/clutter-stage-Repick-when-pointer-actor-goes-unmapped.patch:
      Replace with the version that was applied upstream
    - d/p/core-Account-ClutterStage-grabs-on-Wayland-key-focus-sync.patch:
      Mark as applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Apr 2022 10:04:42 +0100

mutter (42.0-4) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream commit 42.0-55-gbe9deeba0
    - Update translations
    - Update upstream status of cherry-picked patches
    - Add various bug fixes including LP: #1959888, LP: #1964037
  * d/p/core-Account-ClutterStage-grabs-on-Wayland-key-focus-sync.patch:
    Add patch proposed upstream to fix grabs vs. system-modal prompts.
    This is particularly annoying when using pkexec, or when using gcr as
    a passphrase prompt for PGP, ssh and/or sudo.
    (Closes: #1008998, LP: #1964442)

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Apr 2022 11:54:56 +0100

mutter (42.0-3ubuntu2) jammy; urgency=medium

  * Revert "debian/patches: Fix privacy-screen and connectors updates with
    triple-buffering"
    This reverts commit 4a568376f00111e52badcb69857c3fc57ae7d394.
  * debian/patches: Fix triple buffering patch to avoid possible regressions.
    Ensure that fix for lp:1966178 doesn't lead to regressions as in:
      https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/1441#note_1429212

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 15:16:57 +0200

mutter (42.0-3ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick various upstream commits for 42.1:
    + onscreen/native: Fall back if COPY_MODE_SECONDARY_GPU fails to init
      (LP: #1964037, #1959888)
  * debian/patches: Allow any drag timestamp as drag start serial (LP: #1964541)
  * debian/patches: Move x11-fractional scaling under ubuntu namespace
  * debian/patches: Account ClutterStage grabs on Wayland key focus sync
    (LP: #1964442)
  * debian/libmutter-10-0.symbols: Update including new internal symbols
  * debian/patches: Avoid memory errors when comparing gamma values
  * debian/patches: Fix privacy-screen and connectors updates with
    triple-buffering (LP: #1966178)
  * debian/patches: Ensure privacy screen settings are applied on startup
    (LP: #1966178)

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add triple-buffering patch
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
    - ubuntu/wayland-data-device-Allow-any-drag-timestamp-as-drag-star.patch:
      + handle DnD for old (snapped) gtk apps that used wrong wayland serials

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 13 Apr 2022 03:30:39 +0200

mutter (42.0-3) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick upstream fixes targeting 42.1
  * debian/patches: Ensure repick happens on actors visibility changed
    (LP: #1964545)

  [ Jeremy Bicha ]
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 09:34:27 -0400

mutter (42.0-1ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add triple-buffering patch
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
  * Drop glibc-tools from Build-Depends: no longer used
  * Update triple buffering patch

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream fixes targeting 42.1
  * debian/patches: Ensure repick happens on actors visibility changed
    (LP: #1964545)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 28 Mar 2022 16:05:22 +0200

mutter (42.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Skip monitor-size tests that may fail on autopkgtest

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 09:28:30 -0400

mutter (42~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Add Breaks: gnome-shell (<< 42~rc)
  * debian/control.in: Bump minimum meson, libwayland-dev & wayland-protocols
  * debian/libmutter-10-0.symbols: Add new symbols
  * Refresh patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 13:11:43 -0500

mutter (42~beta-1ubuntu2) jammy; urgency=medium

  * debian/patches: Skip monitor-size tests that may fail on autopkgtest

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Mar 2022 02:27:21 +0100

mutter (42~beta-1ubuntu1) jammy; urgency=medium

  * Merge with debian after being accepted (no content change)
  * xrandr-scaling: Do not change type of experimental settings schema.
    There's no real benefit to do this change as it's only for power-users
    and it will break updaters (and g-c-c integration).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Feb 2022 03:22:10 +0100

mutter (42~beta-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Implement a new Clutter grab API
    - Support KMS testing via QEMU
    - Add support for privacy screen
    - Allow changing monitor configuration policy
    - Fix possible missed clicks on menus
    - Place popups on the same monitor as the anchor rect (LP: #1930567)
    - Announce DMA-BUF support via pipewire
    - Raise the file descriptor limit of the wayland compositor
    - Fix resetting idle time on lid open
    - Reset idletime when unplugging the power cable
    - Keep a single cursor sprite visible with tablets
    - Sync keyboard LEDs after layout changes (LP: #1830637)
    - Honor window input area in picking
    - Handle mixture of keycombo/no action in pad rings/strips
    - Fix videos in Firefox stuttering in overview
    - Fix X11 middle button emulation setting
    - Fix crash on empty frame info queue (LP: #1960585)
    - Fix window size after returning from fullscreen (LP: #1947467)
    - Don't change workspaces of unmanaged windows (LP: #1933996)
    - Ensure constraints after client resize (LP: #1917939)
  * debian/watch: Accept pre-release version
    Can still use gbp import --upstream-version=XX.Y to get stable only
  * debian: Rename packages to use mutter-10 API
  * debian/rules: Compute mutter API version on unstable releases too
  * debian/control: Update dependencies
  * debian/patches: Refresh and update to latest code
  * debian/libmutter-(test-)10.symbols: Update
  * d/p/11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes

  [ Jeremy Bicha ]
  * Update autopkgtest & lintian override for new version

  [ Daniel van Vugt ]
  * debian/patches: Add support for dynamic triple/double buffering
    (LP: #1880586)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 18 Feb 2022 07:32:24 -0500

mutter (42~beta-0ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Implement a new Clutter grab API
    - Support KMS testing via QEMU
    - Add support for privacy screen
    - Allow changing monitor configuration policy
    - Fix possible missed clicks on menus
    - Place popups on the same monitor as the anchor rect (LP: #1930567)
    - Announce DMA-BUF support via pipewire
    - Raise the file descriptor limit of the wayland compositor
    - Fix resetting idle time on lid open
    - Reset idletime when unplugging the power cable
    - Keep a single cursor sprite visible with tablets
    - Sync keyboard LEDs after layout changes (LP: #1830637)
    - Honor window input area in picking
    - Handle mixture of keycombo/no action in pad rings/strips
    - Fix videos in Firefox stuttering in overview
    - Fix X11 middle button emulation setting
    - Fix crash on empty frame info queue (LP: #1960585)
    - Fix window size after returning from fullscreen (LP: #1947467)
    - Don't change workspaces of unmanaged windows (LP: #1933996)
    - Ensure constraints after client resize (LP: #1917939)
  * debian/watch: Accept pre-release version
    Can still use gbp import --upstream-version=XX.Y to get stable only
  * debian: Rename packages to use mutter-10 API
  * debian/rules: Compute mutter API version on unstable releases too
  * debian/control: Update dependencies
  * debian/patches: Refresh and update to latest code
  * debian/libmutter-(test-)10.symbols: Update
  * d/p/11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes

  [ Jeremy Bicha ]
  * Update autopkgtest & lintian override for new version

  [ Daniel van Vugt ]
  * debian/patches: Add support for dynamic triple/double buffering
    (LP: #1880586)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 18 Feb 2022 07:41:22 -0500

mutter (41.3-3ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add glibc-tools, needed to fix build with newer glibc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Feb 2022 20:46:41 +0100

mutter (41.3-3) unstable; urgency=medium

  * Build-Depend on xcvt instead of xserver-xorg-core (Closes: #1005299)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 07:48:31 -0500

mutter (41.3-2) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Adjust previous changelog entry to mention Launchpad bug 1872870
    against the correct bullet point
  * d/control.in: Build-depend on sysprof as well as
    libsysprof-capture-4-dev.
    The D-Bus interfaces are currently in sysprof, although arguably they
    should move to a -dev package.

  [ Marco Trevisan (Treviño) ]
  * debian/control: Depend on xvfb even on nocheck, as it's checked during
    configuration

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Feb 2022 18:55:58 +0000

mutter (41.3-1ubuntu5) jammy; urgency=medium

  * Revert catchsegv patch, now we have glibc-tools providing it

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Feb 2022 15:50:43 +0100

mutter (41.3-1ubuntu4) jammy; urgency=medium

  * Drop catchsegv meson check. The binary has been removed from glibc
  * Depend on sysprof, needed during build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Feb 2022 09:20:40 +0100

mutter (41.3-1ubuntu2) jammy; urgency=medium

  * Rebuild against against libwacom9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Feb 2022 22:45:43 +0100

mutter (41.3-1ubuntu1) jammy; urgency=medium

  * Merge with debian, includes these upstream changes:
    - window: Don't change workspaces of unmanaged windows (LP: #1933996)
    - backend: Reset idletime when unplugging the power cable (LP: #1945121)
    - clutter/text: Invalidate actor paint volume when it has changed
      (LP: #1882291)
    - backends/native: Ensure pointer is onscreen in input thread (LP: #1933186)
    - OSK Enter, space and backspace keys don't work when typing in Greek
      (LP: #1820523)
    - window: Don't change workspaces of unmanaged windows (LP: #1932328)
  * Remainig changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 Jan 2022 04:07:12 +0100

mutter (41.3-1) unstable; urgency=medium

  * New upstream release:
    - Check keyboard serials for activation
    - Fix mixed up refresh rates in multi-monitor setups (LP: #1788535)
    - Allow disabling HW cursors
    - Improve damage handling
    - Consider xrandr flags for advertised modes
    - Ensure constraints after client resize
    - window-group: Disable culling when rendering clone to offscreen buffer
      (LP: #1872870)
    - Fix workspace switch animation in default plugin
    - Fix unfullscreening of window that were mapped fullscreen
    - Fix DMA-BUF screencasts with unredirected fullscreen windows
    - Fix orientation changes on devices with 90°

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 Jan 2022 03:26:38 +0100

mutter (41.2-2) unstable; urgency=medium

  * Team upload
  * d/p/Consistently-pass-timestamp-as-uint64-when-creating-MetaS.patch:
    Add proposed patch to fix FTBFS on 32-bit architectures
  * d/patches: Update to 41.2-6-g7b64c159a
    - Surface damage viewport improvements
  * Update patch metadata with upstream status

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 19:47:37 +0000

mutter (41.2-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * d/patches: Drop patches that were applied upstream
  * d/patches: Update to upstream gnome-41 branch commit 41.2-3-g5d0c26631
    - wayland: Check keyboard serials for activation
    - Sync refresh rate to the correct monitor for maximized/full-screen
      apps in a multi-monitor layout
    - Add a debug environment variable to disable hardware cursors for
      faulty hardware and drivers

  [ Laurent Bigonville ]
  * debian/rules: Disable systemd support on non-linux architectures

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 10:57:19 +0000

mutter (41.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop a patch that came from upstream
  * Update Lintian overrides
  * Replace patches for #995929 with the version that was applied upstream
  * Remove workaround for #994806
  * d/libmutter-9-0.symbols: Ignore removal of clutter_stage_capture_into.
    Nothing else in Debian references this symbol, except for forks of
    the mutter codebase.

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 16:40:11 +0000

mutter (41.0-5) unstable; urgency=medium

  * Team upload
  * Merge packaging from unstable
    - No changes relative to 41.0-4, except for the changelog
  * Close #995929 via changelog.
    The patches in 41.0-4 seem to have been successful.
  * Release to unstable (starts transition: #996607)

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Oct 2021 18:52:20 +0100

mutter (41.0-4) experimental; urgency=medium

  * Team upload
  * d/control.in: libmutter-test-9 Depends on mutter.
    It wants the libdefault.so plugin, which is in mutter.deb.
  * Update Lintian overrides for RUNPATH
  * d/patches: Another try at fixing #995929 (Closes: #995929)
  * d/rules: Disable gvfs when running unit tests

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Oct 2021 11:41:12 +0100

mutter (41.0-3) experimental; urgency=medium

  * Team upload
  * d/p/tests-Change-how-we-wait-for-an-orientation-change.patch:
    Add patch attempting to fix #995929
  * d/p/tests-Add-additional-debug-in-wait_for_orientation.patch,
    d/p/tests-Watch-the-orientation-manager-independently.patch:
    Try to diagnose what's going on if #995929 is still not fixed

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 21:05:02 +0100

mutter (41.0-2) experimental; urgency=medium

  * Team upload
  * Build-depend on libgl-dev instead of transitional libgl1-mesa-dev
  * (Build-)Depend on libgles-dev instead of transitional libgles2-mesa-dev
  * d/rules: Don't let log from flaky tests overwrite log from main tests
  * d/p/tests-dbus-runner-Make-sure-to-tear-down-even-on-test-fai.patch:
    Add patch from upstream to stop failing tests causing a timeout.
    Failing tests will generally still cause FTBFS, but failing immediately
    is more buildd-friendly than timing out.
  * d/p/tests-Don-t-use-TestEnvironment.patch,
    d/p/tests-Don-t-continue-if-setup-commands-fail.patch:
    Update patches for installed-tests to latest version submitted upstream
  * d/p/tests-Add-additional-debug-for-Debian-995929.patch:
    Add more debug logging to try to diagnose #995929

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Oct 2021 18:54:23 +0100

mutter (41.0-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases

  [ Simon McVittie ]
  * New upstream release
  * Update package names for ABI break
  * Update build-dependencies
  * d/copyright: Update
  * Rebase patch series
  * Update symbols file
  * d/p/debian/synaptics-support.patch:
    Stop patching in Xorg synaptics driver support.
    Upstream rejected this patch back in 2018, but we continued to apply it
    as a transitional step for Ubuntu 18.04. Since then we've had stable/LTS
    releases of Debian 10, Ubuntu 18.04, Debian 11 and Ubuntu 20.04,
    libinput has improved, and both Debian and Ubuntu have switched to
    running GNOME in Wayland mode by default; let's have another try at
    following upstream on this. (Closes: #993171)
  * d/rules: Use upstream driver selection, except on 32-bit ARM.
    Specifying -Ddefault_driver=gl on x86 (and other architectures that are
    not 32-bit ARM) is no longer the same as the upstream default: the
    upstream default is now gl3, meaning modern OpenGL, whereas the gl driver
    is legacy (pre-3.2) OpenGL. Assume upstream are doing this for a reason.
    For now we continue to specify -Ddefault_driver=gles2 on 32-bit ARM, and
    apply the patch that adds the default_driver option, because 32-bit ARM
    has historically been an exception to the usual rules.
  * Add test-dependency on python3-dbus, python3-dbusmock
  * d/p/meta-dbus-runner-Import-importlib.util.patch:
    Add patch to fix test failure by working around #994806
  * d/p/tests-Don-t-use-TestEnvironment.patch,
    d/p/tests-Don-t-continue-if-setup-commands-fail.patch:
    Add patch to avoid using TestEnvironment.
    This works around a gnome-desktop-testing bug.
  * Add Lintian override for another RUNPATH in the tests.
    As with the existing tests, this is necessary to use mutter's fork of
    clutter and cogl.
  * Standards-Version: 4.6.0 (no changes required)
  * Put the new libmutter-test-9 in its own binary package.
    To avoid micro-packages, this includes the -dev files too; there is no
    explicit dependency on libmutter-9-dev, but packages compiling against
    this library are expected to build-depend on both. Outside mutter
    itself, it is only expected to be used by gnome-shell.

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 18:44:18 +0100

mutter (40.5-1ubuntu3) jammy; urgency=medium

  [ Yuan-Chen Cheng ]
  * d/p/mutter-wayland-seat-race-fix.patch:
    - Fix Xwayland crash Xwayland crash in gdm as screen off and touchscreen
      detach (cherry picked commits — LP: #1948894)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 19:37:09 +0100

mutter (40.5-1ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * d/p/clutter-frame-clock-Remember-the-refresh-interval.patch,
  * d/p/clutter-frame-clock-Apply-error-diff-to-dispatch-times.patch:
    - Fix rendering smoothness on the Nvidia proprietary driver
      (cherry picked commits — LP: #1946204)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 07 Oct 2021 15:30:02 +0200

mutter (40.5-1ubuntu1) impish; urgency=medium

  * Merge with debian, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 21:26:36 +0200

mutter (40.5-1) unstable; urgency=medium

  * New upstream release:
    - Fix monitor screencast scanouts
    - Fix middle-click emulation support on X11

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 21:11:07 +0200

mutter (40.4-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Build-Depend on libsysprof-capture-4-dev instead of sysprof

  [ Simon McVittie ]
  * Upload to unstable, part of transition #992870

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:34:10 +0100

mutter (40.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't require a newly attached buffer to apply state
    - Fix upside-down Xshape surface with EGLstream
    - Handle failure to allocate offscreen
    - Improve window state checks
    - Fix area-based screencast recording for unredirected windows such
      as fullscreen games
    - Fix ability to map a graphics tablet to a monitor
    - Fix a crash if scanout fails unexpectedly
    - Fix a logic error in determining number of input device modes
    - Translation updates
  * Don't let debhelper 13.4+ make all of /usr/libexec executable.
    This is not what we want for installed-tests' associated data.
  * Add a lintian override for dh-exec-subst-unknown-variable

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 10:14:04 +0100

mutter (40.2.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Jun 2021 01:40:19 +0200

mutter (40.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Jun 2021 01:36:22 +0200

mutter (40.2-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Jun 2021 23:08:29 +0200

mutter (40.2-1) experimental; urgency=medium

  * New upstream release:
    - Fix mouse position in remote desktop with fractional scaling
    - Fix fd leak
    - Disable KMS modifiers on radeon driver
    - Fix adding virtual monitor to physical session
    - Unbreak press-drag-release to pop up and select right click menus
    - Fix VKMS detection
  * debian/patches: Refresh, dropping applied upstream
  * d/p: Mark view-verification tests as incomplete in big-endian archs.
    Saved pixmaps are invalid in big-endian architectures, so let's disable
    the tests for now, checking only the basic metadata but not comparing
    the contents.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Jun 2021 22:07:25 +0200

mutter (40.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version:
    - Wayland input thread support (LP: #1690719)
  * debian/patches: Refresh as per upstream changes
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Jun 2021 21:07:08 +0200

mutter (40.1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Only snap to window edges when CTRL is pressed (LP: #1727225)
    - Fix viewport of offscreen effects (LP: #1825126)
  * debian: Update library name to follow soname (mutter-8)
  * debian/control: Bump dependencies to match upstream requirements
  * debian/patches:
    - Refresh
    - Do not run screencast tests.
      They require to have a full running pipewire (that requires a system
      dbus daemon) so, we can't easily get one up and running while building.
  * debian/libmutter-8-0.symbols: Sync with new library symbols
  * debian/control: Do not break on old gnome-shell versions
  * debian: Enable sysprof profiler on linux
  * debian/libmutter-8-0.symbols: Add new cogl trace symbols
  * debian/rules: Enforce symbols checking via higher gen symbols check level
  * debian/patches: Fix failing installed tests and ensure they work with runner
  * debian: Enable installed tests and package them in mutter-8-tests
  * debian/tests: Run installed tests as part of the autopkg tests
  * debian/control: Add dependency on xwayland to mutter-tests
  * debian/tests: Use multiple stanzas to run the autopkg tests
  * debian/rules: disable native tests on non-linux
  * debian/control: Depend on binary version for mutter package
  * debian: Use dh-exec to install linux-only files
  * debian/libmutter-8-0.symbols: Mark more symbols as linux-only
  * debian/mutter-8-tests.lintian-override: Use versioned package name

  [ Laurent Bigonville ]
  * debian/watch: Updated to follow the new versioning scheme
  * Remove Conflicts for old libmutter-*-dev packages

 -- Laurent Bigonville <bigon@debian.org>  Thu, 27 May 2021 21:31:05 +0200

mutter (3.38.6-2) unstable; urgency=medium

  * Team upload
  * d/p/monitor-manager-Don-t-include-generated-code-in-header-fi.patch:
    Add patch from upstream 40.1 to fix FTBFS seen on s390x.
    Thanks to Adrian Bunk.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 16:12:19 +0100

mutter (3.38.6-1) unstable; urgency=medium

  [ Marco Trevisan ]
  * d/gbp.conf, d/control.in: Update VCS details for debian/unstable branch

  [ Simon McVittie ]
  * New upstream release
    - xwayland: Check permissions on /tmp/.X11-unix
    - Ensure valid window texture size after viewport changes
    - kms: Improve handling of common video modes that might exceed the
      possible bandwidth
    - Fix damage propagation for rotated transforms with viewport
    - Improve Wayland subsurface reordering
  * Update GLib build-dependency (no practical effect, the new dependency
    is already in bullseye)

  [ Laurent Bigonville ]
  * Fixes for non-Linux ports:
    - Build-depend on libegl1-mesa-dev on all architectures (not just Linux).
      It is required for EGL support.
    - Only build-depend on udev on Linux architectures
    - Only depend on libwayland on Linux architectures
    - Drop unnecessary -dev dependency on libudev-dev

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 08:54:46 +0100

mutter (3.38.4-1ubuntu2) hirsute; urgency=medium

  [ Daniel van Vugt ]
  * Revert "debian/patches: Properly handle configuration events on windows"
    to fix a regression making some windows to move on resize (LP: #1922034).
  * Add 61-mutter.rules-Enable-KMS-modifiers-for-Raspberry-P.patch.
    To enable KMS modifiers on Raspberry Pi, which means to enable the
    first fix in wayland-dma-buf-Add-support-for-DRM_FORMAT_ABGR2101010.patch
    (LP: #1896171)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Backport workspace fixes from upstream gnome-3-38 branch
  * debian/patches: Use Xwayland pkg-config if available
  * debian/patches: Use -listenfd to invoke XWayland if available (LP: #1922539)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 06:28:51 +0200

mutter (3.38.4-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release.
  * debian/tests: Adapt autopkgtest name and linked library to current soname
  * debian/tests/control: Update references to libmutter-7-dev
  * debian/patches: Remove Input Thread backport patches.
    It has been fun, but we decided to revert this, so here it is.
    (LP: #1918874, LP: #1919310)
  * debian/control: Set breaks on gnome-shell 3.38.4.
    That's the first version on which we'll remove the input thread patches
  * debian/libmutter-7-0.symbols: Revert symbol changes due to input thread
  * debian/patches: Add support for ABFR2101010 in v3d used by Raspberry Pi 4
    (LP: #1896171)
  * debian/patches: Handle NVIDIA's zero presentation times (LP: #1880086)
  * debian/patches: Properly handle configuration events on windows
    (LP: #191793)
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 26 Mar 2021 07:17:54 +0100

mutter (3.38.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix Wayland spec compliance when reordering subsurfaces.
      This is likely to be required by future Firefox versions in native
      Wayland mode.
    - Many other fixes that we already had via debian/patches
  * Drop most patches, included in the new upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Mar 2021 09:52:33 +0000

mutter (3.38.3-5) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Include a missing commit from upstream gnome-3-38
    branch to fix X11 UI stutters

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Mar 2021 09:37:00 +0000

mutter (3.38.3-4) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/patches: cherry-pick more upstream gnome-3-38 fixes
    - Correctly restore focus to applications that use globally active
      input handling, such as AWT/Swing Java apps
    - Disable double buffered shadow buffering, which was intended to
      improve performance with e.g. llvmpipe but currently makes it worse
  * debian/tests: Adapt autopkgtest name and linked library to current soname
  * debian/tests/control: Update references to libmutter-7-dev

  [ Simon McVittie ]
  * d/patches: Update to commit 3.38.3-26-g30c542ddc from gnome-3-38 branch
    - Fix X11 frame timing getting stuck if frames are skipped, resulting
      in X11 applications not always being redrawn when they should be
    - Fix a crash when clicking below titlebar with broken GTK themes

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Mar 2021 20:34:42 +0000

mutter (3.38.3-3ubuntu2) hirsute; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/tests: Adapt autopkgtest name and linked library to current soname
  * d/p/input-thread: Cherry-pick upstream commit to properly handle key modifiers
    (LP: #1917926)
  * d/p/input-thread: Cherry-pick more upstream input-related fixes
  * d/p/input-thread: Ensure we handle device events in X11 (LP: #1917926)
  * d/p/input-thread: Backport various X11 leak fixes
  * d/p/input-thread: Avoid notifying property changes multiple times
    (LP: #1918033)
  * d/patches: Include a missing commit to fix X11 UI stutters

  [ Simon McVittie ]
  * d/patches: Update to commit 3.38.3-26-g30c542ddc

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Mar 2021 04:48:22 +0100

mutter (3.38.3-3ubuntu1) hirsute; urgency=medium

  * debian/patches: Backport wayland input thread support (LP: #1690719)
  * debian/libmutter-7-0.symbols: Sync as per private symbols changes
  * debian/control: Set breaks on previous gnome-shell versions

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 23:17:10 +0100

mutter (3.38.3-3) unstable; urgency=medium

  * Team upload
  * d/patches: Update to commit 3.38.3-20-g2818cfda8 from gnome-3-38 branch
    - Wayland geometry scale fixes
    - Fix a crash that can occur on resume from suspend
    - Fix drag-and-drop from X11 source to Wayland destination

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Feb 2021 09:27:54 +0000

mutter (3.38.3-2ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release (LP: #1915025)
    - Disable CRTCs when system becomes headless (LP: #1905825)
    - Fixed crash during windows unmanagement (LP: #1870822)
    - Do not handle ungrabbed events when unmanaging (LP: #1880405)
    - Downgrade assert to warning when adding window (LP: #1911921)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed
  * debian/rules: Enable remote desktop for all linux builds (LP: #1730612)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Feb 2021 04:59:11 +0100

mutter (3.38.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to commit 3.38.3-12-g2d424a739 from gnome-3-38 branch
    - Cope with monitors with metacharacters in their EDID data
    - Don't crash if parsing monitor configuration fails
    - Don't crash if an extension tries to add the same window to a
      workspace more than once, such as auto-move-windows
    - Cope with monitor configuration changes during screencasting
    - Speed up workspace switching when many windows are open
    - Fix Xwayland windows not always appearing in the gnome-shell overview
    - Avoid warning spam and poor performance when unmanaging a window
      (probably Closes: #970295, LP: #1841774)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 10:26:19 +0000

mutter (3.38.3-1) unstable; urgency=medium

  * Team upload
  * d/watch: Only watch for 3.38.x versions
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Jan 2021 20:13:35 +0000

mutter (3.38.2-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release (LP: #1908158):
    - Apply input device settings on hotplug / reconnect and resume
      (LP: #1899206)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed as per upstream changes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 01:20:01 +0100

mutter (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Don't crash during screencasting if cursor is not available
    - Don't crash if a kernel bug results in appearing to have multiple
      builtin panels
    - Log warnings instead of crashing if user-defined keymap is
      misconfigured
    - Don't forget we have a touchscreen if a non-touchscreen input device
      is connected
    - Log warnings instead of crashing if invalid barriers are created
    - Otherwise functionally equivalent to 3.38.1-4
  * Drop patches cherry-picked from upstream or applied upstream
  * d/gbp.conf: Use upstream 3.38.x branch.
    Version 40~alpha was already released, so it's misleading to say that
    3.38.x is the latest.
  * Standards-Version: 4.5.1 (no changes required)
  * d/rules: Don't run tests if built with nocheck option
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Dec 2020 10:23:26 +0000

mutter (3.38.1-4) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-38 branch, commit 3.38.1-50-gc70610c43
    - If cursor theme is missing, draw a grey semi-transparent square
      instead of crashing
    - Allow primary GPU to be overridden with a udev rule
    - Fix fullscreen toggle for some applications (Closes: #975453)
    - Only schedule frame drawing for each surface (window) according to
      one stage view (monitor)
    - Fix size hints for client-side-decorated windows
    - Avoid adding input devices too soon
    - Performance optimizations
    - Do not disable the X Security extension if Xwayland was built with it
  * Don't depend on transitional libgdk-pixbuf2.0-dev
  * Explicitly build-depend on gdk-pixbuf.
    Previously it was pulled in by some other dependency (presumably
    gnome-desktop3 and gtk), but mutter's build system checks for it, so
    we should build-depend on it here too.
  * d/p/clutter-frame-clock-Schedule-a-frame-at-least-once-per-se.patch:
    Add proposed patch to ensure frame clock does not stop (Closes: #974172)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Nov 2020 10:23:36 +0000

mutter (3.38.1-3) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-38 branch, commit 3.38.1-33-g067af969c
    - Prevent a use-after-free on (virtual) device removal
    - Prevent crash on startup caused by dispatching libinput events too
      early
    - If Wayland subsurfaces have circular relationships, disconnect the
      client instead of crashing
    - When resizing terminals interactively, don't offset the position
    - Fix broken timestamp behaviour if X11 timestamps overflow
    - Fix a memory leak
    - Ensure clock is updated when going from fullscreen app to overview
    - Fix artifacts around GNOME Shell magnifier cursor
    - Fix monitor tiling on X11
    - Configure input devices correctly in X11
      (LP: #1899206, LP: #1899509)
    - Avoid spurious warnings in log
      - Event does not have a stage: discarding
      - assertion 'CLUTTER_IS_STAGE (stage)' failed
    - Make sure build fails if Xwayland -initfd is requested but not
      available (not relevant in Debian, we don't request this yet)
    - Update translations: pt
  * d/p/backend-Don-t-pull-generated-headers-indirectly.patch:
    Add a patch from upstream git master to fix parallel builds

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Nov 2020 18:17:44 +0000

mutter (3.38.1-2ubuntu1) groovy; urgency=medium

  * Merge with debian, including various upstream fixes. Remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Oct 2020 12:43:24 +0200

mutter (3.38.1-2) unstable; urgency=medium

  * debian/patches: Wayland start Xwayland on public X11 sockets as well
    (LP: #1897224)
  * debian/patches: Don't override window tile monitor (LP: #1900009)
  * debian/patches: Fix resizing issues (LP: #1878293)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Oct 2020 12:38:01 +0200

mutter (3.38.1-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream version, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
  * d/p/clutter-backend-x11-Don-t-set-the-font-dpi-computed-on-X1.patch:
    - Dropped, applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 02:13:27 +0200

mutter (3.38.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix Night Light updates after DPMS (LP: #1894596)
    - Fix button scrolling on X11
    - Always use correct font-dpi setting on X11
    - Improve handling of scanout failures
    - Fix middle/right button mixup in scroll button assignment
    - Fix resizing of attached modal dialogs on wayland
    - Enable KMS modifiers on devices that need them
    - Fix IM handling on X11
    - Fix glitches in "undefined" screencast areas
    - Fix visual glitches on background with fractional scaling (LP: #1898080)
    - Fix using correct refresh rate under X11 (LP: #1898645)
    - Misc. bug fixes and cleanups
    - Plugged memory leaks
  * debian/patches: Refresh as per upstream changes
  * debian/mutter-common.install: Include mutter udev rules
  * debian/control: Add udev build-dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 01:43:05 +0200

mutter (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (starts transition: #969321)
  * d/rules: Ignore test failures in flaky tests on all architectures.
    Upstream presumably marked them as flaky for a reason, and they do
    fail on amd64 when under load.
  * Revert "debian/watch: Watch unstable versions"

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:53:27 +0100

mutter (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream stable release, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes
    - Don't update UI scale factor on xrandr-manager creation.
      This would trigger settings initializations that are supposed to happen
      after the clutter-x11 backend has been initialized, leading to saving
      too early the cached font-dpi scaling, and then making clutter backend
      to set a new (wrong) one. (LP: #1892440)
  * d/p/clutter-backend-x11-Don-t-set-the-font-dpi-computed-on-X1.patch:
    - Don't set the font-dpi on clutter-backend-x11 (LP: #1892440)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Sep 2020 14:06:53 +0200

mutter (3.38.0-1) experimental; urgency=medium

  * New upstream release:
    - screencast: Only use DMA buffers for i915
    - Fixed crashes
  * debian/patches: Refresh
  * d/p/input-mapper-Don-t-match-touchscreens-to-the-absence-of-a.patch:
    - Dropped, applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Sep 2020 15:45:52 +0200

mutter (3.37.92-2) experimental; urgency=medium

  * Team upload
  * d/p/input-mapper-Don-t-match-touchscreens-to-the-absence-of-a.patch:
    Add patch to work around a crash with gnome-remote-desktop

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Sep 2020 12:00:31 +0100

mutter (3.37.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fix stale cursor positions in remote desktop sessions
    - xwayland: Add a setting to disable selected X extensions
    - Fix screencasting when using QXL
    - Cull actors that don't intersect with the redraw clip
    - Optimize painting of backgrounds when culling is unavailable
    - Improve support for Hangul input method
    - Support debug paint overlay for opaque regions
    - Fix launching flatpak applications when autostarting Xwayland
    - Add support for capture scanouts in screencasts
    - Allow integrated tablet devices to cycle outputs
    - Improve mapping input devices to the most relevant output
    - Only enable auto-rotation in touch mode
    - Fix various crashes
  * d/control.in: Update libgbm build-dependency
  * d/copyright: Update
  * d/control.in, d/rules: Enable Pipewire on Debian (but not Ubuntu).
    Now that we have Pipewire 0.3 in experimental, we can enable
    screencasting and remote desktop support.
  * debian/libmutter-7-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 15:50:11 +0100

mutter (3.37.91-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream stable release, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Aug 2020 01:10:32 +0200

mutter (3.37.91-1) experimental; urgency=medium

  * New upstream release
    - Support unredirecting fullscreen wayland surfaces
    - Support area screencasts
    - Allow inhibiting remote access
    - Drive each monitor by its own frame clock (LP: #1730460)
    - Fix copy/paste failures on X11 (LP: #1879968)
    - Make window-aliveness checks less aggressive
    - Limit mipmap levels when rendering background (LP: #1862308)
    - Remove more long-deprecated Clutter APIs
    - Support custom keyboard layouts in $XDG_CONFIG_HOME/xkb
    - Optimize resource scale computation for wayland fractional scaling
    - Support tap-button-map and tap-drag-lock touchpad settings
    - Fix wine copy & paste
    - Add API to launch trusted wayland clients
    - Invalidate offscreen effect cache on video memory purge (LP: #1855757)
  * debian: Update package and file names to mutter API version
  * debian/control: Bump dependencies to match upstream requirements
  * debian/clean: Remove as HOME and XRD are managed now by dh
  * debian/copyright: Avoid redundant globbing patterns
  * debian/gbp.conf: target upstream/latest branch
  * debian/libmutter-7-0.symbols: Update symbols file
  * debian/patches: Refresh
  * d/p/debian/tests-Tag-closed-transient-no-input-tests-as-flaky.patch:
    - Renamed into d/p/debian/tests-Tag-unstable-tests-as-flaky.patch
    - Reduced the number of "flaky" tests to the ones time-dependent only
  * debian/rules:
    - Compute and generate a MUTTER_API_VERSION and replace it everywhere
    - Remove XDG_RUNTIME_DIR wrapper workaround
    - Don't run tests at all in riscv64
    - Don't set again default configuration values (it makes the delta clearer)
    - Never ignore test failures in amd64
    - Remove test num processes re-configuration
    - Run tests in s390x, no failures currently
    - Don't test in alpha hppa powerpc sparc64 x32 (Closes: #959415)
  * debian/with-temp-xdg-runtime-dir: Dropped, new dh will handle it for us
  * debian/watch: Scan for all versions, not just the stable-branch
  * debian/*.install: Use dh variable substitution in install files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 16:39:49 +0100

mutter (3.36.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update symbols file
  * d/control.in, d/rules: Enable Pipewire on Debian (but not Ubuntu).
    Now that we have Pipewire 0.3, we can enable screencasting and remote
    desktop support again.

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 12:46:31 +0100

mutter (3.36.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Screencast fixes and improvements
    - Fix glitches when subsurfaces extend outside the toplevel
    - Improve background display in overview workspace switcher
    - Fix wine copy & paste
    - Plug memory leaks
  * Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Aug 2020 10:19:59 +0100

mutter (3.36.4-1ubuntu2) groovy; urgency=medium

  * xrandr-scaling: Never try to set invalid screen sizes (LP: #1889090)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 27 Jul 2020 16:44:52 +0200

mutter (3.36.4-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream stable release, remaining changes:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
  * debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Don't export patch-only private symbol
  * debian/libmutter-6-0.symbols:
    - Remove ubuntu-only private symbol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Jul 2020 15:45:20 +0200

mutter (3.36.4-1) unstable; urgency=medium

  * New upstream stable release (LP: #1887998)
    - Fix crash on area screenshots with fractional scaling
    - Do not paint textures of fully obscured windows
    - Turn off CRTCs as well when enabling DPMS
    - Improve selection support
    - Use a more appropriate combine function on opaque areas
    - Fix remote desktop being broken without screencast session
    - Fix popovers disappearing on wayland and HiDPI
    - Fixed crashes (LP: #1870867, LP: #1857947)
    - Plugged memory leaks
  * d/p/screen-cast-Let-the-reason-for-recording-determine-what-t.patch,
    d/p/screen-cast-src-Add-flag-to-maybe_record.patch,
    d/p/screen-cast-src-Fix-signedness-of-timestamp-field.patch,
    d/p/screen-cast-src-Make-record-functions-return-an-error-whe.patch,
    d/p/screen-cast-src-Make-the-two-record-vfuncs-more-similarly.patch,
    d/p/screen-cast-src-Record-follow-up-frame-after-timeout.patch,
    d/p/screen-cast-src-Remove-follow-up-timeout-source-on-disabl.patch,
    d/p/screen-cast-src-Use-G_USEC_PER_SEC-instead-of-1000000.patch,
    d/p/screen-cast-window-stream-src-Fix-indentation.patch:
    - Import more fixes for screencasting and remote desktop

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 17 Jul 2020 21:12:56 +0200

mutter (3.36.3-1ubuntu2) groovy; urgency=medium

  * debian/control:
    - Revert BD on adwaita-icon-theme 3.36.1-2ubuntu3. It was just temporary fix.
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Use pre-computed CRTC layout size for computing screen size (LP: #1874567,
      LP: #1873403)
    - Decouple the output mode from layout mode capabilities (LP: #1876894,
      LP: #1886996)
    - Ensure we notify CRTC changes on integer scaling changes (LP: #1876894)
    - Apply proper layout monitor config when using fractional scaling
      (LP: #1884754)
    - Restore the fractional settings when reverting to fractional layout
      (LP: #1886996)
  * debian/libmutter-6-0.symbols: Add new private symbol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 11 Jul 2020 00:44:33 +0200

mutter (3.36.3-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new stable upstream release
  * debian/control: BD on adwaita-icon-theme 3.36.1-2ubuntu3.
    This version includes all the window decoration icons that mutter uses
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Jun 2020 21:46:56 +0200

mutter (3.36.3-1) unstable; urgency=medium

  * New upstream release (LP: #1881971)
   - Broadcast clipboard/primary offers
   - Fix monitor screen cast on X11
   - Implement touch-mode detecation for the X11 backend (LP: #1880596)
   - Drop external keyboard detection from touch-mode heuristics
   - Fix leaked DMA buffers in screencasts
   - Fixed crashes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 23:33:29 +0200

mutter (3.36.2+12+gb425f1153-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot from the gnome-3-36 branch
  * d/p/backend-x11-Reintroduce-XInitThreads.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sat, 30 May 2020 15:12:09 +0100

mutter (3.36.2-3ubuntu1) groovy; urgency=medium

  * Merge with debian, remaining changes:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 29 May 2020 16:13:35 +0200

mutter (3.36.2-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules, d/with-temp-xdg-runtime-dir: Create temporary XDG_RUNTIME_DIR
    debhelper 13.1 creates a temporary XDG_RUNTIME_DIR so we don't have to.
    Unfortunately, its absolute path is sufficiently long that the path to
    Mutter's Wayland display socket no longer fits in the 108 bytes allowed
    by struct sockaddr_un, causing FTBFS when the tests fail. Until this is
    fixed, we'll have to create our own XDG_RUNTIME_DIR with a shorter
    absolute path.
    Wrapping with-temp-xdg-runtime-dir around dh_auto_test doesn't work,
    because dh_auto_test will reset XDG_RUNTIME_DIR, so use
    meson test --wrapper to wrap with-temp-xdg-runtime-dir around the
    individual tests.
    (Works around: #961655)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 May 2020 13:54:19 +0200

mutter (3.36.2-2) unstable; urgency=medium

  [ Daniel van Vugt ]
  * d/p/backend-x11-Reintroduce-XInitThreads.patch:
    Fix a very common crash when running in X11 (LP: #1877075)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 26 May 2020 21:41:05 +0200

mutter (3.36.2-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream release:
    - Fix super key not working with secondary layout (LP: #1871913)
  * xrandr-scaling: Fix compiler warnings (LP: #1874207)
  * xrandr-scaling: Take care of global UI scale when restoring from config
    (LP: #1825593)
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 07 May 2020 02:43:19 +0200

mutter (3.36.2-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream stable release
    - Fix FTBFS with Wayland disabled (non-Linux kernels)
    - X11 copy/paste/selection fixes (LP: #1852183)
    - Fix freeze with some DisplayLink devices
    - Fix a memory leak
    - Synchronize shadows to server-side decorations
    - Fix overview key on X11 when using multiple keyboard layouts
    - Fix painting the redraw clip with the damage region
    - Fix capturing with multiple stage views
    - Fix screencasting of non-maximized windows (LP: #1873942)
    - Various misc fixes and cleanups (LP: #1874818)
    - Update translation: de

  [ Marco Trevisan (Treviño) ]
  * debian/libmutter-6-0.symbols: Update
  * debian/rules: Ignore build failures on riscv64

 -- Simon McVittie <smcv@debian.org>  Fri, 01 May 2020 11:26:55 +0100

mutter (3.36.1+git20200419-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream snapshot from gnome-3-36 branch (3.36.1-42-gda9eb4718)
    - Fix trackball button scrolling
    - Fix tiled (MST) displays
    - Copy/paste fixes, particularly for large images and incremental
      transfers
    - Fall back to closed laptop lid configuration if no other available
      (LP: #1793496)

  [ Jeremy Bicha ]
  * Drop obsolete dh_strip dbgsym migration rule
  * Bump debhelper-compat to 13
    - dh_missing --fail-missing is the default
    - dh_auto_test has several default improvements
    - dh_autoreconf isn't needed with meson
  * debian/watch: Only watch for stable releases

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Apr 2020 13:46:42 +0100

mutter (3.36.1-4) unstable; urgency=medium

  * Team upload
  * Merge changelog from unstable
  * Upload to unstable (starts transition: #954422)
  * Update to upstream gnome-3-36 branch, commit 3.36.1-17-g9a2471db4
    - Fix caps-lock state becoming confused on VT switch
  * d/gbp.conf: Follow upstream/3.36.x branch

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 17:56:10 +0100

mutter (3.36.1-3ubuntu3) focal; urgency=medium

  * Ignore test failures on riscv64, like s390x, to unblock
    gnome-settings-daemon etc.

 -- William Grant <wgrant@ubuntu.com>  Fri, 17 Apr 2020 11:08:01 +1000

mutter (3.36.1-3ubuntu2) focal; urgency=medium

  * d/p/monitor-config-manager-Fallback-to-closed-laptop-lid-conf.patch:
    -  Fallback to closed laptop lid configuration if no other available
       (LP: #1793496)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Don't override non-fractionally scaled monitors scaling (LP: #1873348)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Apr 2020 22:04:59 +0200

mutter (3.36.1-3ubuntu1) focal; urgency=medium

  * Merge with debian, with new upstream releases and cherry-picked fixes:
    - Screens turn off when setting display scaling to 200% (LP: #1869750)
    - Use hardware cursor for DisplayLink devices (LP: #1867757)
    - Fix popup menus with using focus-follow-mouse (LP: #1871107)
    - Window manager key events are sent to the terminal (LP: #1866094)
    - Ensure assertion 'window->unmanaging || workspace != NULL' (LP: #1864326)
    - Shell crash on meta_wayland_surface_role_get_window (LP: #1869837)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed to respect upstream changes
    - Fixed a bug causing windows using direct-rendering to be continuously
      resized, keeping ability to use shell UI (LP: #1862081)
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Apr 2020 14:40:58 +0200

mutter (3.34.4-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Follow debian/unstable branch
  * New upstream release
  * d/patches: Apply post-release fixes up to 3.34.4-5-g2709a4ffb
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Feb 2020 16:26:10 +0000

mutter (3.36.1-3) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-36 branch, commit 3.36.1-16-gdb164bcfa
    - Fix a crash during X11 drag-and-drop, for example when dragging
      a JPEG file onto GIMP's splash screen
    - Fix a crash in X11 input device handling
    - Translate coordinates of absolute input devices for rotated screens

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 11:18:37 +0100

mutter (3.36.1-2) experimental; urgency=medium

  * Team upload
  * Standards-Version: 4.5.0 (no changes required)
  * d/copyright: Consolidate entries and update
  * Update to upstream gnome-3-36 branch, commit 3.36.1-13-gbc47f0a1a

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Apr 2020 18:27:45 +0100

mutter (3.36.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: Update
  * Refresh patches
  * Update symbols file.
    Note that this includes ABI breaks: some symbols that are only used
    internally have disappeared from mutter's private fork of Clutter and
    Cogl. The only user of this version of mutter is GNOME Shell, which
    does not use these symbols.
  * d/patches: Update from gnome-3-36 branch up to 3.36.1-8-ge339a57dd
  * d/p/clutter-stage-Don-t-assume-stage-relayouts-reallocate-eve.patch:
    Add patch proposed upstream to fix a gnome-shell crash with the
    "Native window placement" extension.

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Apr 2020 14:23:52 +0100

mutter (3.36.0-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to ubuntu salsa branch
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr
  * d/p/clutter-master-clock-default-Sync-timelines-to-hardware-v.patch:
    - Improves smoothness and reduce input-to-output latency
  * debian/libmutter-6-0.symbols:
    - Update as per background mipmap levels patch symbol addition
  * Ubuntu bugs resolved since 3.35.91-1ubuntu1:
    - Higher than necessary CPU usage on mouse movement (LP: #1848951)
    - No mouse cursor drawn for radeon in Wayland sessions (LP: #1867080)
    - Restarting displays apps running on other workspaces (LP: #1819890)
    - Volume/brightness OSD make fullscreen video flicker (LP: #1828697)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Mar 2020 15:51:05 +0000

mutter (3.36.0-2) experimental; urgency=medium

  * control: Build against gnome-desktop 3.36 and break old gnome-shell. So we
    get dependencies on libgnome-desktop-3-19. Otherwise we get two different
    versions of gnome-desktop loaded into GNOME Shell, which crashes. Break
    old gnome-shell for the inverse reason - it needs to be upgraded otherwise
    we get the mismatch the other way around.

 -- Iain Lane <laney@debian.org>  Mon, 16 Mar 2020 13:20:44 +0000

mutter (3.36.0-1) experimental; urgency=medium

  * New upstream release
    + Fix placement of popup windows in multi-monitor setups
    + Fix invisible mouse cursor on some hardware
    + Updated translations

 -- Andre Moreira Magalhaes <andre@endlessm.com>  Fri, 13 Mar 2020 19:36:29 +0000

mutter (3.35.92-1) experimental; urgency=medium

  * New upstream release
    + Add side channel for starting required X11 services
    + Allow remote desktop services to inhibit animations
    + Avoid flicker when (un)redirecting windows
    + Fix clipping glitches in long text entries
    + Fix visibility of initially hidden windows
    + Implement scaled/transformed hardware cursors
    + Let BindConstraints update the preferred size
    + Make check-alive timeouts configurable
    + Make each stage view correspond to a single CRTC
    + Make Xwayland startup asynchronous
    + Ping windows on every window focus
    + Remove overhead from hot code paths
    + Support synchronized wayland popup moving
    + Update screen-cast code to PipeWire 0.3 API
    + Use DMA buffers for screencasting if possible
  * d/p/*: Rebase
  * rules: Disable remote-desktop temporarily. This now requires pipewire 0.3
    which is not packaged yet and needs to be worked on
  * control: Bump wayland-protocols dep to 1.19 per meson.build
  * debian/libmutter-6-0.symbols: Add new symbols for this release. One symbol
    which was introduced in .90 was dropped; -6's ABI is not stable yet.

 -- Iain Lane <laney@debian.org>  Tue, 03 Mar 2020 16:34:25 +0000

mutter (3.35.91-1ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 Feb 2020 15:33:52 +0100

mutter (3.35.91-1) experimental; urgency=medium

  * New upstream release
    - Fix clipboard handling when an app provides multiple types (LP: #1852183)
    - Fixed flickers around windows in Wayland sessions (LP: #1751593)
    - Fixed white Background when using scaling in vmware (LP: #1825842)
    - Fixed crash in meta_surface_actor_get_texture() (LP: #1859259)
    - Fixed Subpixel font rendering in shell panels (LP: #1836700)
    - Fixed bug causing workspaces not to be preserved on restart
      under X11 (LP :#1819890)
    - Using graphene (insted of cogl) for handling various primitives
    - Honor accelerometer orientation on monitor config changes
    - Make the cursor renderer use the transactional KMS API
    - Lots of crash fixes and cleanups
  * debian/patches:
    - refreshed
    - d/p/EGL-Include-EGL-eglmesaext.h.patch:
      + dropped, merged upstream
  * debian/control:
    - build-depend on graphene (1.9.3)
    - Add libgraphene-1.0-dev as libmutter-6-dev dependency
    - bump build dependency on meson 0.50
    - bump build dependency on libinput 1.7
    - bump package name to mutter-6
  * d/libmutter-6-0.symbols: update symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 17:42:35 +0000

mutter (3.34.3-1ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Mon, 06 Jan 2020 17:56:09 +0000

mutter (3.34.3-1) unstable; urgency=medium

  * New upstream release
    + Fix window recording on HiDPI
    + Fix top-left pixel being insensitive to clicks (LP: #1849135)

 -- Iain Lane <laney@debian.org>  Mon, 06 Jan 2020 13:39:48 +0000

mutter (3.34.2-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Sun, 22 Dec 2019 17:24:36 +0000

mutter (3.34.2-2) unstable; urgency=medium

  * d/p/EGL-Include-EGL-eglmesaext.h.patch: Cherry pick from master. This
    fixes the generated EGL includes for the move of exlext.h from mesa to
    libglvnd, which has just happened in Debian.

 -- Iain Lane <laney@debian.org>  Sun, 22 Dec 2019 15:42:09 +0000

mutter (3.34.2-1ubuntu1) focal; urgency=medium

  * Merge with debian including new upstream version 3.34.2 (LP: #1857037):
    - Fix an hang when using DisplayLink with Wayland (LP: #1853357)
    - Kill window effects on destroy (LP: #1844222)
    - Fixed a crash when using various Java apps such as Intellij (LP: #1845281)
    - Fixed a crash when handling X11 events (LP: #1846403)
    - Fixed some double-scaling in wayland
    - More crash and hang fixes
    Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Dec 2019 17:17:53 +0000

mutter (3.34.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/libmutter-5-0.symbols: Update
    - d/copyright: Update
  * d/gbp.conf: Use upstream/3.34.x branch
  * Remove obsolete Lintian override
  * Standards-Version: 4.4.1 (no changes required)
  * d/tests: Use correct compiler for proposed autopkgtest
    cross-architecture testing support

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2019 16:55:47 +0000

mutter (3.34.1+git20191107-1ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Thu, 07 Nov 2019 11:49:31 +0000

mutter (3.34.1+git20191107-1) unstable; urgency=high

  * New upstream snapshot
    - Fixes a regression from the previous upload, which caused a hang when
      interacting with the desktop icons.
  * x11-Update-X11-focus-before-updating-MetaDisplay-focus.patch: Drop. This
    was a cherrry-pick that is included in this snapshot.
  * debian/libmutter-5-0.symbols: Add new symbol in this snapshot

 -- Iain Lane <laney@debian.org>  Thu, 07 Nov 2019 11:10:59 +0000

mutter (3.34.1+git20191022-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Oct 2019 18:07:31 +0100

mutter (3.34.1+git20191022-2) unstable; urgency=medium

  * debian/patches: Update X11 focus before display focus:
    - Fixes an infinite loop causing an hang when showing the "application is
      not responding" dialog (LP: #1845302)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Oct 2019 17:56:43 +0100

mutter (3.34.1+git20191022-1) unstable; urgency=medium

  * New upstream snapshot release
    + Fix night mode in wayland session (LP: #1847551)
    + Don't emit key-focus-out events on destroyed actors (LP: #1848119)
    + Fix an headers syntax error (LP: #1841709)
    + backends: Update inhibited state for the monitor and respect that state
    + clutter-backend-x11: Don't push keymap events to clutter
    + Fix drag and drop for applications in wayland
    + Avoid X11 roundtrips on underscanning checks

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Oct 2019 10:53:23 +0100

mutter (3.34.1-3) unstable; urgency=medium

  * Bump meson test timeout multiplier from 4 to 6 for armel

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 20 Oct 2019 22:48:29 -0400

mutter (3.34.1-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Wed, 09 Oct 2019 12:18:44 +0100

mutter (3.34.1-1) unstable; urgency=medium

  * New upstream release
    + Fix focusing of Java applications (LP: #1847184)
    + Fix freeze of pointer event delivery on X11
    + Fix initial view perspective
    + Fix memory leak when using implicit animations
    + Fix _NET_ACTIVE_WINDOW emission
    + Fix numlock state for native backend (LP: #1845031)
    + Fix scaling of DND surface actors
    + Fix scaling of stylus input coordinates with HiDPI
    + Fix screenshots and window animations when scaled
    + Fix startup of X11 session services on wayland
    + kms: Predict state changes when processing update (LP: #1847044)
    + Optimize blitting of untransformed offscreen stage views
    + Re-enable coredumps when capabilities are set
  * Drop several upstream backports which are now applied
    - d/p/build-Compile-with-ffloat-store-on-x86-32-bit.patch
    - d/p/clutter-actor-Cancel-delayed-timelines-on-removal.patch
    - d/p/clutter-timeline-Don-t-emit-paused-signal-on-delayed-time.patch
    - d/p/clutter-timeline-Use-a-function-to-cancel-the-delay-timeo.patch
    - d/p/core-Split-x11-display-initialization-in-2-signals.patch
    - d/p/x11-Minor-refactor-of-input-focus-handling-code.patch
    - d/p/x11-Use-the-currently-focused-X-window-for-_NET_ACTIVE_WI.patch
  * rules: Skip tests when DEB_BUILD_OPTIONS=nocheck is set

 -- Iain Lane <laney@debian.org>  Wed, 09 Oct 2019 11:17:08 +0100

mutter (3.34.0-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:26:44 +0200

mutter (3.34.0-3ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 20 Sep 2019 16:32:18 +0100

mutter (3.34.0-3) experimental; urgency=medium

  * d/p/clutter-*: Cherry-pick from upstream to fix a crash. During
    animations, which was particularly bad when using Dash-to-Dock in
    auto-hide mode. (LP: #1841794)

 -- Iain Lane <laney@debian.org>  Fri, 20 Sep 2019 16:08:03 +0100

mutter (3.34.0-2ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 13 Sep 2019 11:13:49 +0100

mutter (3.34.0-2) experimental; urgency=medium

  * d/p/core-Split-x11-display-initialization-in-2-signals.patch: Cherry-pick.
    Fixes starting up of gsd-xsettings on Wayland. (LP: #1843107)

 -- Iain Lane <laney@debian.org>  Fri, 13 Sep 2019 11:10:15 +0100

mutter (3.34.0-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Tue, 10 Sep 2019 12:56:51 +0100

mutter (3.34.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * libmutter-5-0: Add Breaks on apparmor (<< 2.13.3-5~).
    This ensures that #935058 has been fixed, so X11 apps with the X
    abstraction can read /run/user/1000/.mutter-Xwaylandauth.*
    (Closes: #939736)
  * d/tests: Add a superficial build-test for the -dev package.
    I'm deliberately not testing the included forks of clutter and cogl here
    since those are an implementation detail of Mutter.
  * Use default libexecdir.
    The version of the FHS used in Debian has supported this since
    Policy 4.1.5.
  * d/rules: Use a temporary home directory for build-time tests
  * d/clean: Clean up temporary home directory and XDG_RUNTIME_DIR
  * Standards-Version: 4.4.0 (no changes required)
  * Rewrite package descriptions based on the upstream README.
    This removes the strange breakfast cereal references, and reframes
    Mutter as primarily a shared library used by GNOME Shell and only
    secondarily a standalone window manager, matching its real upstream
    maintenance status.

  [ Iain Lane ]
  * d/p/x11*: Cherry pick fixes from upstream to fix focus order on X11
    (LP: #1842971)
  * New upstream release
    + Fix xdg-output v3 support
    + Fix crash when changing decoration state
    + Add and remove connectors on hot-plug
  * d/p/*: Drop upstream cherry-picks
  * d/p/build-Compile-with-ffloat-store-on-x86-32-bit.patch: Take from MR 785.
    This fixes the testsuite on i386, which is broken because of the use of
    x87 extended precision introducing rounding errors.

 -- Iain Lane <laney@debian.org>  Tue, 10 Sep 2019 11:46:06 +0100

mutter (3.33.92-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr
  * Refresh patch through gbp pq.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 05 Sep 2019 17:35:44 +0100

mutter (3.33.92-1) experimental; urgency=medium

  * New upstream release
    + Add additional sysprof trace points
    + Add meta_window_actor_get_image()
    + Fix lost keyboard focus after DND
    + Fix position of drag surfaces
    + Implement geometric picking
    + Implement subsurface.place_below() for parents
    + Misc. pointer a11y improvements
    + Remove GLX "threaded swap wait" used on Nvidia
    + Restore inhibit shortcut for overlay key
    + Revert faulty optimization from !719
    + Turn MetaShapedTexture into a ClutterContent implementation
  * control: Bump libxi-dev per upstream
  * d/p/*: Refresh. In particular synaptics-support.patch needed rebasing.
    Hopefully this can be dropped soon.
  * d/p: Sync with upstream as of 5111e339487b4bfb4b90b3281d57b1ee4cbf7f95
  * d/libmutter-5-0.symbols: Refresh up to 3.33.92. There are dropped symbols
    here. As a reminder, libmutter5 is not considered ABI stable until 3.34.0

 -- Iain Lane <laney@debian.org>  Thu, 05 Sep 2019 15:25:59 +0100

mutter (3.33.91-1ubuntu1) eoan; urgency=medium

  [ Iain Lane ]
  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh. Compositor is now a GObject, so we can use
    smarter connection

 -- Iain Lane <iain.lane@canonical.com>  Fri, 23 Aug 2019 21:02:03 +0100

mutter (3.33.91-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update dh_girepository argument from mutter-4 to mutter-5

  [ Iain Lane ]
  * New upstream release
    + Fix primary selection copy and paste between X11 and wayland
    + Improve monitor hotplug support
    + Remove a source of frame skips
    + Fix windows being lowered after unmaximizing with double click
    + Remove Clutter API for global grabs
    + Improve processing of incompressible events
    + Add xdg-output v3 support
  * control: Bump BDs per upstream
  * debian/libmutter-5-0.symbols: Update for new/dropped symbols.
    The ABI of libmutter-5-0 is *not* considered stable until the final
    release.

 -- Iain Lane <laney@debian.org>  Fri, 23 Aug 2019 15:15:50 +0100

mutter (3.33.90-2) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/rules: Use more verbose logging, printing failure output

  [ Iain Lane ]
  * tests-Tag-closed-transient-no-input-tests-as-flaky.patch, rules: Tag some
    tests as 'flaky' and run them non-fatally.
  * rules: Add mips64el to mips arches to not run tests on

 -- Iain Lane <laney@debian.org>  Wed, 14 Aug 2019 16:26:24 +0100

mutter (3.33.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    + Avoid repainting covered areas
    + Start Xwayland on demand
    + Expose layout manager properties to transitions
  * debian/patches: Refresh

  [ Simon McVittie ]
  * d/libmutter-5-0.bug-control: Include GL drivers in bug reports

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Aug 2019 09:58:27 +0100

mutter (3.33.4-1) experimental; urgency=medium

  * New upstream release
    + Add API to reorder workspaces
    + Add a Sysprof-based profiler
    + Add initial KMS transactional support
    + Add xdg-output v2 support
    + Consolidate frame throttling
    + Defer actor allocation till shown
    + Discard page flip retries on hotplug
    + Don't emit ::size-changed when only position changed
    + Don't use grab modifiers when shortcuts are inhibited
    + Expose workspace layout properties
    + Fix background corruption on Nvidia after resuming from suspend (LP:
      #1809407)
    + Fix black shadows when using fractional scaling
    + Fix modifier-drag on wayland subsurfaces
    + Fix running X11 applications with sudo under wayland
    + Fix setting blank cursor under wayland
    + Fix stuttering due to unchanged power save mode notifications
    + Fix text selection color rendering
    + Handle returning from fullscreen/maximization better
    + Honor startup sequence workspace on wayland
    + Implement locate-pointer accessibility feature
    + Implement mouse accessibility
    + Implement toggle-keys notification
    + Improve finding new focus window when the old one is closed
    + Improve screencast support on multi-monitor systems
    + Make picking a new focus window more reliable
    + Only emit 'grab-op-end` signal after dropping grabs
    + Only grab the locate-pointer key when necessary
    + Pixel-align OpenGL cursors
    + Prepare for running Xwayland on demand
    + Relax "xwayland-allow-grabs" setting
    + Restore DRM format fallbacks
    + Try to use primary GPU for copy instead of glReadPixels
    + Unset pointer focus when the cursor is hidden
  * debian/control: Update dependencies per meson.build
  * debian/rules: Disable profiler.
    We need to split sysprof into a library before we can enable this, so
    that all users don't get headers / the profiler application installed
  * Drop patches applied upstream
    - window-x11-Focus-a-window-in-the-active-workspace-as-take.patch
    - metatest-Dispatch-the-destruction-instead-of-sleeping-aft.patch
    - debian/Revert-meson-Bump-meson-requirement-to-0.50.0.patch
  * cogl-tests-Only-install-run-tests.sh-when-building-instal.patch:
    Cherry-pick to fix building without installed tests
  * build-Bump-API-version-automatically-each-development-cyc.patch:
    Cherry-pick - bump ABI
  * Refresh patches
  * Bump to libmutter-5 and update symbols
  * BD on a gnome-desktop that provides libgnome-desktop-3-18

 -- Iain Lane <laney@debian.org>  Tue, 30 Jul 2019 18:16:52 +0100

mutter (3.32.2+git20190711-2ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 19 Jul 2019 16:59:08 +0100

mutter (3.32.2+git20190711-2) experimental; urgency=medium

  * d/p/window-x11-Focus-a-window-in-the-active-workspace-as-take.patch:
    - Fix possible crash on closing Java dialogs (Related to LP: #1834583)
    d/p/metatest-Dispatch-the-destruction-instead-of-sleeping-aft.patch:
    - Tests: don't wait too much after window destruction, causing failures

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 19 Jul 2019 16:55:02 +0100

mutter (3.32.2+git20190711-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 Jul 2019 14:23:04 +0100

mutter (3.32.2+git20190711-1) experimental; urgency=medium

  * New upstream snapshot up to commit ccab0f470
    - Fix No-input WM_TAKE_FOCUS dialogs causing GNOME Shell to hang
      and ensure we always have a window focused if we have a valid
      focus canididate (LP: #1834583)
    - Don't crash on shell close / reload under X11 when releasing
      surface actor display resources (LP: #1826918)
  * d/p/debian/Revert-meson-Bump-meson-requirement-to-0.50.0.patch:
    - Revert dependency on meson 0.50.0

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Jul 2019 14:11:53 +0100

mutter (3.32.2+git20190626-1ubuntu1) eoan; urgency=medium

  * Merge with debian (LP: #1834493). Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Thu, 27 Jun 2019 15:58:31 +0100

mutter (3.32.2+git20190626-1) experimental; urgency=medium

  * New upstream snapshot release:
    - Don't crash when try to focus unfocusable windows (LP: #1791574)
    - Valgrind use-after-free warning fixes in the native backend
    - renderer/native: add missing eglTerminate in EGLDevice error path
    - Fix Alt+F2 -> restart to work again in X11
    - window: Emit an error and return when trying to activate an unmanaged
      (LP: #1827401)
    - Setting cursor to "none" doesn't hide it under Wayland
    - Fix broken selected text in entries
    - Tests memory fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Jun 2019 13:02:32 +0100

mutter (3.32.2-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 May 2019 17:38:07 +0100

mutter (3.32.2-1) experimental; urgency=medium

  * New upstream release
  * d/p/clutter-evdev-disable-mousekeys-with-Numlock-ON.patch,
    d/p/clutter-x11-disable-mousekeys-with-Numlock-ON.patch,
    d/p/compositor-Destroy-window-actors-list-on-destruction.patch,
    d/p/compositor-Disconnect-from-stage-signals-on-destruction.patch,
    d/p/input-settings-Use-0-initialized-struct-for-kbd-a11y.patch:
    - Dropped, merged upstream.
  * d/p/meson-add-back-default_driver-option.patch:
    - Refreshed

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 May 2019 12:31:38 +0100

mutter (3.32.1-2ubuntu1) eoan; urgency=medium

  * Merge with debian
    - Update to 3.32.1 upstream version (LP: #1826936)
    - Fix applications aren't focused in Wayland session (LP: #1826176)
    - Fix crash on hotplugging a dock with a monitor (LP: #1826182)
    Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Fixed crash on calculation of global scale (LP: #1826933)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 01 May 2019 11:08:08 +0100

mutter (3.32.1-2) experimental; urgency=medium

  * Cherry-pick patches from upstream gnome-3-32 branch:
    - compositor-Destroy-window-actors-list-on-destruction.patch,
      compositor-Disconnect-from-stage-signals-on-destruction.patch: Fix crash
      when exiting. (LP: #1813716)
    - 0-initialize a struct we'll be memcmp()ing.
  * Reorder patch series so upstream patches come first (no conflicts, no
    refreshing required).

 -- Iain Lane <laney@debian.org>  Wed, 01 May 2019 09:34:30 +0100

mutter (3.32.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: disable mousekeys with Numlock ON to match the
    documentation (cherry picked from the 3.32 branch)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Apr 2019 21:57:33 +0200

mutter (3.32.0+git20190410-2) experimental; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Add gnome-control-center-data to Build-Depends. This package provides
    gnome-keybindings.{its,loc}. These are needed if the translation template
    is regenerated at build-time to translate the key bindings defined in
    data/50-*.xml. (LP: #1823722)

 -- Iain Lane <laney@debian.org>  Sun, 14 Apr 2019 11:11:22 +0100

mutter (3.32.0+git20190410-1ubuntu1) disco; urgency=medium

  * Merge with debian git snapshot (LP: #1820542), remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Apr 2019 20:12:29 -0500

mutter (3.32.0+git20190410-1) experimental; urgency=medium

  * New upstream snapshot up to commit
    b2d0184c6efa164ad5dd7a2ca8b10cf13acf5b4c. Fixes Launchpad bugs:
    + GNOME Shell task bar menus not updated with external monitor primary and
      laptop screen fractionally scaled (LP: #1803319)
    + (In Xorg sessions only) apps launched from gnome shell do not get input
      focus (LP: #1817924)
    + Touch input is offset with two screens (even appearing on the wrong
      screen) in Xorg sessions (LP: #1821933)
    + gnome-shell crashed with SIGABRT. Assertion failure in
      meta_gpu_kms_flip_crtc: "monitor_manager->power_save_mode ==
      META_POWER_SAVE_ON" (LP: #1820331)
  * debian/patches/various: Drop upstream cherry-picks. We had cherry-picked
    the stable branch into Debian patches in the previous upload, but that
    would get out of hand if we carried on. Instead we are using a tarball
    snapshot. So drop the cherry-picks.
  * Update symbols. A typo was fixed in a public symbol. This is an ABI break,
    but upstream didn't consider this worthy of a SONAME change. A codesearch
    / github / web search doesn't reveal any external users either, so we will
    eat this to avoid another transition.
  * Use debhelper-compat 12 and BD on dh-sequence-{gnome,gir}. We were missing
    a direct BD on the providers. Thanks, Lintian.

 -- Iain Lane <laney@debian.org>  Wed, 10 Apr 2019 16:36:23 +0100

mutter (3.32.0-1ubuntu2) disco; urgency=medium

  * debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Don't invert the screen size when rotation is enabled (LP: #1822513)
    - Remove unneeded cleanup changes
    - Use xcb checked function to set scaling to catch errors
    - Update screen size only after monitors modes have been derived
      (LP: #1822616)
    - Trigger a monitors rebuild only if scale has changed (LP: #1823485)
    - Only update UI scaling when output scaling is enabled (LP: #1822478)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Apr 2019 19:19:59 -0400

mutter (3.32.0-1ubuntu1) disco; urgency=medium

  * debian/control:
    - Update VCS flags to point to launchpad
    - Update maintainer to ubuntu
  * debian/gbp.conf: update branch to point to ubuntu/master
  * debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - X11: Add support for fractional scaling using Randr (LP: #1820850)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Mar 2019 06:48:11 +0100

mutter (3.32.0-1) experimental; urgency=medium

  * New upstream release
    + Fix deadlock when cancelling a theme sound
    + Stop swizzling BGRA buffers (bye-bye inverted colors in screenshots and
      animations)
  * debian/patches/*: Update to master at
    318164779c07c12c5acfcddde7834980c7521aac. These are patches which will go
    into 3.32.1. Also refresh all other patches.
  * debian/control: Build-Depend on dbus for tests. We run the tests under
    `dbus-run-session`. Apparently whatever waas pulling this in before
    stopped doing that, so BD on it directly.

 -- Iain Lane <laney@debian.org>  Tue, 12 Mar 2019 12:45:14 +0000

mutter (3.31.92-1) experimental; urgency=medium

  * New upstream release
    + Add back support for system-wide monitor configurations
    + Add cursor-mode support to window screencasting
    + Add flag parameter to grab accelerator API
    + Add fractional scaling support
    + Consider remapped keys when guessing keycode from keysym
    + Don't disable page flips after temporary failues
    + Fix crash when using "restore shortcuts" without focus window
    + Fix flicker of apps that use multiple SHM buffers
    + Fix infinite loop in EDID matching
    + Improve redraw performance
    + Reuse old CRTC if possible to avoid flicker on hotplug
    + Stop turning on-screen-keyboard off on focus changes
    + wayland: Don't maximize windows if minimum size is too big
    + wayland: Don't resetin text-input state prematurely
  * Drop old cherry-picks which are upstream, refresh other patches.
    Dropped:
      debian/patches/Update-Basque-translation.patch
      debian/patches/Update-French-translation.patch
  * d/p/sound-player-Don-t-deadlock-in-finish_cb.patch: Cherry-pick.
    This fixes a deadlock bug when scrolling over the volume indicator. (LP:
    #1817546)
  * debian/control: Breaks gnome-settings-daemon << 3.31.91. Altering the
    GrabAccelerator API will break key grabbing under g-s-d versions which
    don't use the new parameter.
  * debian/libmutter-4-0.symbols: Update. Upstream dropped a load of
    deprecated functions. This obviously is an ABI break, but we don't
    consider the ABI stable until the final release. Also some additions.

 -- Iain Lane <laney@debian.org>  Wed, 06 Mar 2019 13:44:08 +0000

mutter (3.31.90-2) experimental; urgency=medium

  * control: BD on dmz-cursor-theme instead of adwaita-icon-theme for tests.
    We actually only need *a* cursor theme, not the full icon theme.

 -- Iain Lane <laney@debian.org>  Thu, 21 Feb 2019 13:52:05 +0000

mutter (3.31.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Fix crash in dual monitor setup and gdm activation (LP: #1790525,
      LP: #1795774)
    - Fix regression causing one of the external displays to be off sometimes
      (LP: #1772811)
  * debian/rules:
    - Compile using meson, autotools has been removed upstream
    - Ignore test failures in s390x
    - tests: increase meson tests timeout or they will fail in some archs,
      using meson test to run them
    - Explicitly enable Wayland EGL stream
  * debian/control:
    - Build depend on meson and pkg-config
    - Build depend on gsettings-desktop-schemas-dev (>= 3.31.0)
    - Build depend on xserver-xorg-core in linux (as it ships 'cvt')
    - Build depend on libnvidia-egl-wayland-dev in linux per EGL stream support
    - Build depend on packages needed for running tests:
      + adwaita-icon-theme
      + at-spi2-core
      + gnome-settings-daemon-dev, gnome-settings-daemon-common
      + XWayland (in linux)
    - Set build dependency versions on libgbm-dev, libinput-dev, libxi-dev and
      libxcomposite-dev to match upstream required versions
    - libmutter-4-dev depends on libgles2 development files,
    - removed breaks as per SONAME change
  * debian/*: SONAME 3 -> 4
  * debian/libmutter-4-0.symbols: Add new symbols, remove deprecated ones
  * debian/libmutter-4-0.lintian-overrides:
    - ignore library-not-linked-against-libc for libmutter-cogl-gles2
  * d/p/Sync-to-the-hardware-refresh-rate-not-just-60.00Hz.patch,
    d/p/clutter-Avoid-rounding-compensation-when-invalidating-2D-.patch,
    d/p/clutter-Fix-offscreen-effect-painting-of-clones.patch,
    d/p/clutter-offscreen-effect-Disable-if-no-texture.patch,
    d/p/cogl-auto-texture-Avoid-a-double-free-crash.patch,
    d/p/screen-cast-Fix-monitor-recording-on-HiDPI.patch,
    d/p/tests-Don-t-check-pixels-outside-actor-allocation.patch:
    - dropped as applied upstream
  * d/p/bgo768531_workaround-startup-notifications.patch:
    - not needed anymore as per startup notifications upstream refactory
  * d/p/debian/skip-texture-test.patch:
    - removed since the test now passes in all tested archs
  * d/p/debian/synaptics-support.patch,
    d/p/debian/skip-texture-test.patch,
    d/p/theme-load-icons-as-Gtk-does-with-fallback-and-RTL-suppor.patch,
    d/p/theme-use-gtk_render_icon_suface-to-paint-button-icon.patch:
    - refreshed
  * d/p/meson-add-back-default_driver-option.patch:
    - Add option to choose at build time the default cogl driver

  [ Iain Lane ]
  * debian/rules: No need to remove .la files in meson

 -- Iain Lane <laney@debian.org>  Wed, 20 Feb 2019 17:07:10 +0000

mutter (3.30.2-6) unstable; urgency=medium

  * Team upload
  * Update to upstream gnome-3-30 branch at 3.30.2-8-g7260ba5db
    - Avoid rendering beyond the bounds of a 2D actor
    - Fix screencasting/monitor recording on HiDPI
    - Fix a regression in 3.30.1 that sometimes turned off secondary displays
    - Update translations: fr, eu

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Feb 2019 10:02:14 +0000

mutter (3.30.2-5) unstable; urgency=medium

  * d/p/clutter-Avoid-rounding-compensation-when-invalidating-2D-.patch,
    d/p/clutter-Fix-offscreen-effect-painting-of-clones.patch:
    - Fix offscreen-effect painting of clones in zoom mode (LP: #1767648,
      LP: #1779615)
  * d/p/cogl-auto-texture-Avoid-a-double-free-crash.patch,
    d/p/clutter-offscreen-effect-Disable-if-no-texture.patch:
    - Fix crash in dual monitor setup and gdm activation (LP: #1790525,
      LP: #1795774)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Jan 2019 18:00:14 +0000

mutter (3.30.2-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 11:10:51 -0500

mutter (3.30.2-3) unstable; urgency=medium

  * control: Depend on g-s-d-common instead of g-s-d. We only need the
    schemas.

 -- Iain Lane <laney@debian.org>  Thu, 13 Dec 2018 16:45:30 +0000

mutter (3.30.2-2) unstable; urgency=medium

  [ Daniel van Vugt ]
  * Add Sync-to-the-hardware-refresh-rate-not-just-60.00Hz.patch to render at
    the full monitor refresh rate (LP: #1763892).

  [ Jeremy Bicha ]
  * debian/libmutter-3-0.symbols: Mark a Wacom symbol as linux-any

  [ Patrice Duroux ]
  * add back lost NEWS (Closes: #914942)

 -- Iain Lane <laney@debian.org>  Thu, 29 Nov 2018 17:29:57 +0000

mutter (3.30.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop cherry-picked patches

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Nov 2018 09:11:25 +0000

mutter (3.30.1-4) unstable; urgency=medium

  [ Andrea Azzarone ]
  * d/p/x11-close-display-in-an-idle-function.patch:
    - close the x11 display in an idle function. This fixes a crash when running
      'gnome-shell --replace'.

  [ Daniel van Vugt ]
  * Drop clutter-Smooth-out-master-clock-to-smooth-visuals.patch: It was
    abandoned upstream, but also seems to be limiting refresh rates in
    Xorg sessions to 60Hz when previously they were unlimited (LP: #1763892).

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Mon, 12 Nov 2018 11:53:37 +0000

mutter (3.30.1-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Only depend on libegl1-mesa-dev on Linux
  * debian/libmutter-3-0.symbols: Mark many symbols as Linux-only

  [ Simon McVittie ]
  * debian/patches: Update to upstream gnome-3-30 branch at commit
    3.30.1-8-g1abab3fe2
    - In particular this fixes two memory leaks introduced in 3.30.1
      (Closes: #913028)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Nov 2018 09:33:22 +0000

mutter (3.30.1-2) unstable; urgency=medium

  * Only Build-Depend on libdrm-dev and libgbm-dev on Linux

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 14 Oct 2018 13:46:58 -0400

mutter (3.30.1-1) unstable; urgency=medium

  * New upstream release (LP: #1796772)
  * Drop cherry-picked patches applied in new release
  * debian/libmutter-3-0.symbols: Add new symbols
  * Don't run the build tests on mips & mipsel since they fail
    and time out too much.
  * Drop skip-failing-tests.patch:
    - These tests seem to run ok except on mips and mipsel

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 20:24:51 -0400

mutter (3.30.0-6) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Update to upstream git master branch at commit 3.30.0-28-g95649fd2b.
    According to upstream, all of this should be in 3.30.1.
    - In particular this fixes a crash when combining a touchscreen
      and graphics tablet (Closes: #910370, #908153, LP: #1788483)
  * d/libmutter-3-0.symbols:
    - Ignore removal of private function meta_input_device_is_trackball()
    - Add meta_region_scale_double()

  [ Jeremy Bicha ]
  * Modify debian/skip-failing-tests.patch:
    - Go back to skipping the actor-shader-effect-test since it's flaky
    (LP: #1795556)

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Oct 2018 07:53:09 +0100

mutter (3.30.0-5) unstable; urgency=medium

  * Restore debian/skip-failing-tests-325.patch:
    - The test still fails on mips

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 02 Oct 2018 20:51:51 -0400

mutter (3.30.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Try again to put all the changes since 3.30.0-2 in their correct
    debian/changelog entries

  [ Jeremy Bicha ]
  * Drop 2 patches that no longer seem needed:
    - debian/skip-failing-tests.patch
    - debian/skip-failing-tests-325.patch
  * Use "xvfb-run -a" instead of just xvfb-run for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 29 Sep 2018 12:03:42 -0400

mutter (3.30.0-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Add debian/skip-texture-test.patch:
    - Skip the texture test since it fails on several architectures
  * Don't ignore build test failures
  * Update debian/gbp.conf

  [ Laurent Bigonville ]
  * debian/rules: Enable gles2 support (Closes: #883307)
    - Use gles2 by default on armel and armhf
  * debian/control.in: Drop libcogl-dev build-dependency now that we
    are using an embedded version of it

  [ Simon McVittie ]
  * d/p/window-unmanage-dialog-when-clearing-transient_for.patch,
    d/p/actor-Fix-logic-error-in-determining-terminal-effect-for-.patch,
    d/p/actor-Always-use-get_paint_volume-override-for-active-eff.patch,
    d/p/actor-Also-recompute-paint-volume-if-we-recently-dropped-.patch,
    d/p/compositor-Skip-windows-not-visible-to-the-compositor.patch,
    d/p/wayland-No-xdg-output-events-without-a-logical-monitor.patch:
    Cherry-pick the same changes from upstream git master that have been
    applied to the upstream gnome-3-28 branch
    - In particular the last of those patches should fix a crash
      on gnome-shell startup (Closes: #909243)

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Sep 2018 10:48:08 +0100

mutter (3.30.0-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Build with remote desktop support except on Ubuntu.
    Note that this feature requires gnome-remote-desktop to be installed (not
    available in Debian yet).
    Ubuntu will need pipewire to be promoted to main to enable this.

  [ Laurent Bigonville ]
  * Only enable the remote desktop feature on linux architectures
  * debian/libmutter-3-0.symbols: Add the newly exported symbols for the
    remote desktop feature

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Sep 2018 08:34:14 +0200

mutter (3.30.0-1) unstable; urgency=medium

  [ Didier Roche ]
  * New upstream release:
    - Updated translations

  [ Iain Lane ]
  * Merge experimental branch back into master and update references to it
    accordingly. This upload is going to unstable.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 05 Sep 2018 11:30:26 +0100

mutter (3.29.92-1) experimental; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * New upstream development release
    - Fix a crash when drmModeGetResources() fails, for example when
      using Wayland on Nvidia hardware (Closes: #900002)
  * Rebase patch series
  * d/p/renderer-native-Check-calculated-transform-when-creating-.patch:
    - dropped as applied upstream

  [ Simon McVittie ]
  * Standards-Version: 4.2.1 (no changes required)
  * Update debian/libmutter-3-0.symbols

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Aug 2018 08:45:01 +0100

mutter (3.29.91-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * Update wayland-protocols build-dependency to 1.16
  * d/copyright: Update
  * Rebase patch series
  * d/*.install: Sort file lists (wrap-and-sort -a)
  * Normalize package lists with wrap-and-sort -a
  * d/control: Normalize package stanza order with wrap-and-sort -abk
  * Standards-Version: 4.2.0 (no changes required)
  * d/libmutter-3-0.symbols: Update
  * d/rules: Tell dh_shlibdeps about our private libraries

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Aug 2018 21:17:31 +0100

mutter (3.29.90-2) experimental; urgency=medium

  * Team upload
  * Build-depend on GLib 2.57.2 for the new approach to overriding
    GSettings per desktop
  * d/p/clutter-actor-Inherit-clone-branch-depth-from-parent.patch,
    d/p/Updated-Slovenian-translation.patch,
    d/p/Updated-Slovenian-translation-1.patch:
    Update to upstream 3.29.90-3-ga87c447b7
  * d/p/renderer-native-Check-calculated-transform-when-creating-.patch:
    Apply proposed patch to fix a regression with rotated screens
    (Closes: #905363)
  * d/gbp.conf: Don't number patches

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Aug 2018 16:32:49 +0100

mutter (3.29.90-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't try to use an invalid monitor mode to figure out scaling
      (LP: #1723615)
  * d/p/window-wayland-Always-update-monitor-for-non-user-ops.patch,
    d/p/native-gpu-Handle-drmModeSetCrtc-failing-gracefully.patch,
    d/p/wayland-Nullify-monitor-resources-when-updating-outputs.patch,
    d/p/monitor-manager-Filter-out-low-screen-resolutions.patch,
    d/p/window-Don-t-refuse-to-move-focus-to-the-grab-window.patch,
    d/p/window-Explicitly-exclude-unmanaging-window-from-focus-ag.patch:
    Drop patches that were applied upstream
  * d/libmutter-3-0.symbols: Update
    - Ignore ABI change in experimental: removal of
      meta_prefs_override_preference_schema()
    - Add Breaks on previous experimental gnome-shell

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Aug 2018 09:03:19 +0100

mutter (3.29.4-3) experimental; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * d/p/window-wayland-Always-update-monitor-for-non-user-ops.patch:
    - Always update monitor in wayland, avoiding crash (LP: #1784398)
  * d/p/monitor-manager-Filter-out-low-screen-resolutions.patch:
    - Don't return screen resolutions that can't be applied (LP: #1772831)

  [ Simon McVittie ]
  * d/p/series: Sort patches that were already applied upstream to the
    beginning of the patch series
  * d/p/window-Don-t-refuse-to-move-focus-to-the-grab-window.patch,
    d/p/window-Explicitly-exclude-unmanaging-window-from-focus-ag.patch:
    Add patches from upstream to avoid crashing if a modal dialog closes
    while being dragged (LP: #1422253)
  * d/p/native-gpu-Handle-drmModeSetCrtc-failing-gracefully.patch,
    d/p/wayland-Nullify-monitor-resources-when-updating-outputs.patch:
    Add more bug fixes from upstream
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Jul 2018 09:43:13 +0100

mutter (3.29.4-2) experimental; urgency=medium

  * Generate dependencies for libmutter-3-0, not libmutter-2-0
  * d/libmutter-3-0.symbols: Update
  * Standards-Version: 4.1.5 (no changes required)
  * Set Rules-Requires-Root to no
  * d/copyright: Remove obsolete FSF postal addresses

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Jul 2018 09:49:53 +0100

mutter (3.29.4-1) experimental; urgency=medium

  * debian/control*, gbp.conf: Update for experimental (3.29 series).
  * New upstream release 3.29.4 (etc)
    + Fix crash with parent-less modal dialogs
    + Preserve paint volumes where possible to optimize CPU usage
    + Fix Korean Hangul support on wayland
    + Improve support for proprietary Nvidia driver
    + Only upload HW cursor sprite to the GPU that will display them
    + Improve EGLstream support
    + Remove MetaScreen to prepare for non-mandatary X11 dependency
    + Misc. bug fixes
    + Fix size change animations on wayland
    + Handle touch events on server-side titlebars
    + Fix various input-method regressions
    + Fix wayland build on FreeBSD
    + Fix swapped colors in screenshots (again)
    + Allow building with elogind
    + Consider display rotation for cursor
    + Fall back to non-modifier GBM surfaces
    + Take inhibitors into account for monitoring idle
  * debian/control*: Drop libupower-glib BD - mutter now accesses upower
    directly.
  * d/p/core-Return-1-if-meta_window_get_monitor-is-called-on-an-.patch: Drop,
    this is applied upstream.
  * debian/*: SONAME 2 -> 3

 -- Iain Lane <laney@debian.org>  Wed, 25 Jul 2018 17:39:37 +0100

mutter (3.28.3-2) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Set the upstream branch to upstream/3.28.x, since we've
    branched for experimental now.

  [ Marco Trevisan (Treviño) ]
  * d/p/native-gpu-Handle-drmModeSetCrtc-failing-gracefully.patch:
    - Avoid crashing when warning about wrongly set crtc mode
      (LP: #1754949)
  * d/p/gpu-kms-Don-t-crash-if-drmModeGetResources-returns-N.patch:
    - Don't crash if drmModeGetResources returns NULL  (LP: #1767956)
  * d/p/window-wayland-Always-update-monitor-for-non-user-ops.patch:
    - Always update monitor in wayland, avoiding crash (LP: #1784398)
  * d/p/monitor-manager-Filter-out-low-screen-resolutions.patch:
    - Don't return screen resolutions that can't be applied (LP: #1772831)
  * d/p/window-Don-t-refuse-to-move-focus-to-the-grab-window.patch,
    d/p/window-Explicitly-exclude-unmanaging-window-from-focus-ag.patch:
    - Don't crash if a modal dialog closes while being dragged
      (LP: #1422253)
  * d/p/monitor-Use-current-monitor-mode-to-check-whether-active.patch:
    - Don't try to use an invalid monitor mode to figure out scaling
      (LP: #1723615)

  [ Simon McVittie ]
  * Sort patch series in upstream order, with patches applied upstream
    first
  * d/copyright: Remove obsolete FSF postal addresses
  * Standards-Version: 4.1.5 (no changes required)
  * Set Rules-Requires-Root to no
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Jul 2018 15:35:03 +0100

mutter (3.28.3-1) unstable; urgency=medium

  * New upstream release
  * d/p/backends-Add-logical-monitor-monitor-output-crtc-ref-chai.patch,
    d/p/backends-Move-MetaOutput-crtc-field-into-private-struct.patch,
    d/p/clutter-device-evdev-Get-devices-from-main-seat-if-no-rea.patch,
    d/p/clutter-evdev-Don-t-ignore-CAPS-lock-as-modifier.patch,
    d/p/clutter-evdev-ignore-injected-events-from-IM.patch,
    d/p/clutter-seat-evdev-Add-function-to-get-device-by-id.patch,
    d/p/device-manager-evdev-Add-main-seat-to-seats-by-default.patch,
    d/p/device-manager-evdev-Free-the-main-seat-on-finalize.patch,
    d/p/device-manager-evdev-Set-and-unset-the-stage-for-the-main.patch,
    d/p/frames-Allow-for-unknown-mouse-buttons.patch,
    d/p/frames-Handle-touch-events.patch,
    d/p/frames-Make-1st-button-motion-handlers-take-generic-event.patch,
    d/p/renderer-native-Don-t-crash-if-the-FB-surface-can-t-be-lo.patch,
    d/p/wayland-Compare-geometries-after-chaining-up.patch,
    d/p/wayland-Don-t-reset-input-focus-on-text-commit.patch,
    d/p/wayland-Use-cursor-position-in-logical-monitor.patch,
    d/p/wayland-update-enter-leave-output-after-effects.patch,
    d/p/window-actor-add-new-signal-effects-completed.patch:
    Remove patches already applied on 3.28 branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Jul 2018 14:59:38 +0100

mutter (3.28.2-3) unstable; urgency=medium

  * Team upload
  * d/p/backends-Move-MetaOutput-crtc-field-into-private-struct.patch,
    d/p/backends-Add-logical-monitor-monitor-output-crtc-ref-chai.patch:
    Mark as applied upstream
  * d/p/backends-Move-MetaOutput-crtc-field-into-private-struct.patch:
    Update to the version that was applied upstream
  * d/p/frames-Handle-touch-events.patch,
    d/p/frames-Make-1st-button-motion-handlers-take-generic-event.patch,
    d/p/frames-Allow-for-unknown-mouse-buttons.patch:
    Reinstate patches dropped in previous upload, along with the
    upstream fix for #899181
  * d/p/wayland-Compare-geometries-after-chaining-up.patch,
    d/p/window-actor-add-new-signal-effects-completed.patch,
    d/p/wayland-update-enter-leave-output-after-effects.patch,
    d/p/frames-Allow-for-unknown-mouse-buttons.patch,
    d/p/wayland-Don-t-reset-input-focus-on-text-commit.patch,
    d/p/clutter-seat-evdev-Add-function-to-get-device-by-id.patch,
    d/p/clutter-device-evdev-Get-devices-from-main-seat-if-no-rea.patch,
    d/p/device-manager-evdev-Set-and-unset-the-stage-for-the-main.patch,
    d/p/device-manager-evdev-Free-the-main-seat-on-finalize.patch,
    d/p/device-manager-evdev-Add-main-seat-to-seats-by-default.patch,
    d/p/renderer-native-Don-t-crash-if-the-FB-surface-can-t-be-lo.patch:
    Update to upstream gnome-3-28 branch
  * Add a symbols file for libmutter-2-0
  * d/copyright: Copy many licenses and copyright holders into this file,
    multiplying its length by 5 (Closes: #891156)

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jul 2018 11:32:56 +0100

mutter (3.28.2-2) unstable; urgency=medium

  * Team upload
  * d/p/frames-Handle-touch-events.patch,
    d/p/frames-Make-1st-button-motion-handlers-take-generic-event.patch:
    Drop cherry-picked patches that caused a regression (Closes: #899181)

 -- Simon McVittie <smcv@debian.org>  Sun, 20 May 2018 15:21:35 +0100

mutter (3.28.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/theme-frames-Use-surface-device-scale-instead-of-cairo_sc.patch,
    d/p/xwayland-Don-t-abort-if-Xwayland-crashes.patch,
    d/p/xwayland-use-g_autoptr-for-GError-in-xserver_died.patch:
    Drop patches that were applied upstream
  * d/p/debian/synaptics-support.patch,
    d/p/debian/skip-failing-tests.patch,
    d/p/debian/skip-failing-tests-325.patch:
    Move patches not expected to be applied upstream to
    debian/patches/debian
  * Re-order patch series so most-upstreamable patches are first
  * d/p/clutter-evdev-Don-t-ignore-CAPS-lock-as-modifier.patch,
    d/p/clutter-evdev-ignore-injected-events-from-IM.patch,
    d/p/frames-Handle-touch-events.patch,
    d/p/frames-Make-1st-button-motion-handlers-take-generic-event.patch,
    d/p/wayland-Use-cursor-position-in-logical-monitor.patch:
    Add post-release fixes from upstream 3.28 branch

 -- Simon McVittie <smcv@debian.org>  Thu, 17 May 2018 10:37:25 +0100

mutter (3.28.1-2) unstable; urgency=medium

  * Add xwayland-use-g_autoptr-for-GError-in-xserver_died.patch,
    xwayland-Don-t-abort-if-Xwayland-crashes.patch:
    - Cherry picked from upstream, to reduce noise of mutter on crashes
      which are actually caused by XWayland (LP: #1748450)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 23 Apr 2018 10:46:57 -0500

mutter (3.28.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - Fix window button spacing when display is scaled (LP: #1725133)
  * Bump Standards-Version to 4.1.4

  [ Marco Trevisan (Treviño) ]
  * Add patches proposed upstream:
  * theme-frames-Use-surface-device-scale-instead-of-cairo_sc.patch:
    - theme, frames: Use surface device scale instead of cairo_scale
      (LP: #1764554)
  * theme-use-gtk_render_icon_suface-to-paint-button-icon.patch:
    - theme: use gtk_render_icon_suface to paint button icon
      (LP: #1764558)
  * theme-load-icons-as-Gtk-does-with-fallback-and-RTL-suppor.patch:
    - theme: load icons as Gtk does with fallback and RTL support
  * clutter-Smooth-out-master-clock-to-smooth-visuals.patch:
    - clutter: Smooth out master clock to smooth visuals
  * core-Return-1-if-meta_window_get_monitor-is-called-on-an-.patch:
    - core: Return -1 if meta_window_get_monitor is called on an
      unmanaged window (LP: #1724439)
  * backends-Move-MetaOutput-crtc-field-into-private-struct.patch:
    - backends: Move MetaOutput::crtc field into private struct
      (LP: #1703668)
  * backends-Add-logical-monitor-monitor-output-crtc-ref-chai.patch:
    - backends: Add logical monitor -> monitor -> output -> crtc ref
      chain (LP: #1703668)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 16 Apr 2018 22:35:14 -0400

mutter (3.28.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Update Vcs-* for migration from Alioth svn to salsa.debian.org git
  * debian/gbp.conf: Add
  * Refresh patch series with gbp pq

  [ Daniel van Vugt ]
  * Add synaptics-support.patch
    - Allow touchpad settings to work with xserver-xorg-input-synaptics.
      Note that this is unneeded on GNOME on Wayland where libinput is
      always used. (LP: #1686081)

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Mar 2018 20:11:29 -0400

mutter (3.28.0-1) unstable; urgency=high

  * New upstream release
    - Fix crashes when launching apps from apps in GNOME on Wayland
      (LP: #1754169)
  * Bump urgency for this targeted fix

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 18:04:54 -0400

mutter (3.27.92-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Build-depend on libgnome-desktop-3-dev (>= 3.27.90) to carry out
    libgnome-desktop-3-17 transition

  [ Jeremy Bicha ]
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Mar 2018 19:34:02 -0500

mutter (3.27.92-1) experimental; urgency=medium

  * New upstream release candidate (LP: #1752123, LP: #1718238)
  * Bump minimum wayland-protocols to 1.12
  * Drop bump-api.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Mar 2018 20:38:24 -0500

mutter (3.27.91-1) experimental; urgency=medium

  * New upstream development release (LP: #1751070)
  * Bump minimum libgbm-dev to 17.1 and libdrm-dev to 2.4.83
  * Build-Depend on libcogl-dev (needed for build but shouldn't be…)
  * Cherry-pick bump-api.patch
  * Update package names for soname bump

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Feb 2018 08:54:47 -0500

mutter (3.26.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop all cherry-picked patches, applied in new release

  [ Simon McVittie ]
  * d/changelog: Retroactively add a reference from 3.26.1-2 to #878353
  * d/p/*.patch: Add metadata to mark remaining patches as Debian-specific

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Nov 2017 13:03:02 -0500

mutter (3.26.1-6) unstable; urgency=high

  * debian/control.in: Bump libegl1-mesa-dev to (>= 17) (Closes: #878702)
  * Cherry-pick more fixes from gnome-3-26 branch to fix crashes
    and fix unredirecting full-screen windows:
    - 0012-x11-window-Don-t-manage-InputOnly-windows.patch
    - 0013-compositor-Ignore-offscreen-windows.patch
      (LP: #1725821)
    - 0015-monitor-normal-Prefer-modes-with-same-flags.patch
    - 0016-monitor-unit-tests-Check-non-first-preferred-modes.patch
      (LP: #1725153)
    - 0017-compositor-Avoid-a-crash-if-top-window-finalized.patch
    - 0018-Revert-ClutterActor-Optimize-away-idempotent-scale.patch
    - 0019-Revert-tests-Fix-actor-anchors-test.patch
      (Closes: #788140)
  * Set urgency to high to not further delay the gjs/mutter transition

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Oct 2017 19:47:22 -0400

mutter (3.26.1-5) unstable; urgency=medium

  * Add 0012-Use-a-single-supported-scales.patch:
    - Allow HiDPI scaling even when non-HiDPI displays are connected
      (LP: #1724024)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 16 Oct 2017 20:17:15 -0400

mutter (3.26.1-4) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 16:24:12 -0400

mutter (3.26.1-3) experimental; urgency=medium

  * Cherry-pick more fixes from gnome-3-26 branch (LP: #1722811):
    - 0001-wayland-dma-buf-Don-t-send-modifiers-to-old-clients.patch
    - 0007-settings-Get-UI-scaling-factor-from-primary-logical-.patch
    - 0008-backends-add-monitors-updated-internal-signal-to-onl.patch
    - 0009-monitor-manager-use-g_return_val_if_fail-if-trying-t.patch
    - 0010-backend-move-the-cursor-render-update-on-screen-chan.patch
    - 0011-workspace-ensure-that-workarea-data-is-valid-when-fe.patch

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 09:44:26 -0400

mutter (3.26.1-2) experimental; urgency=medium

  * Add git_fix_xorg_maximize_crash.patch:
    - Cherry-pick fix for crash when closing windows on Budgie or
      GNOME Shell (LP: #1722510, Closes: #878353)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Oct 2017 10:22:41 -0400

mutter (3.26.1-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 04 Oct 2017 17:42:30 -0400

mutter (3.26.0+20170925~ea214fb-1) experimental; urgency=medium

  * New upstream git snapshot (LP: #1717272)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 25 Sep 2017 18:26:10 -0400

mutter (3.26.0-2) experimental; urgency=medium

  * debian/patches/src-core-screen.c-Set-_NET_NUMBER_OF_DESKTOPS-in-met.patch:
    Cherry-pick from upstream. Fix positioning of desktop icons at startup.
    (LP: #1696621)

 -- Iain Lane <laney@debian.org>  Fri, 22 Sep 2017 19:13:26 +0100

mutter (3.26.0-1) experimental; urgency=medium

  * Team upload
  * debian/watch: Only watch stable branch again
  * New upstream release, functionally identical to the previous
    snapshot

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Sep 2017 09:22:55 +0100

mutter (3.25.92+20170911~5b5737f-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot (really fixes LP: #1714330, we hope)
  * debian/watch: Scan for all versions, not just the stable-branch
  * debian/control.in: Add versioned Breaks for gnome-control-center,
    and bump Suggests to match, to account for functionality that moved
    between packages (Closes: #874514)

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2017 10:39:01 +0100

mutter (3.25.91+20170902~ce515c5-1) experimental; urgency=medium

  * New upstream git snapshot (LP: #1714330)
  * Drop git_fix-wayland-color-inversion.patch: Applied
  * debian/control.in:
    - Bump minimum libgudev-dev to >= 232
    - Drop Build-Depends on libgl1-mesa-dri
  * debian/rules:
    - Ignore test failures on Debian. See bug 874077.

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 02 Sep 2017 15:46:15 -0400

mutter (3.25.91-2) experimental; urgency=medium

  * Build-Depend on libgl1-mesa-dri for build tests since
    Debian's mesa packages currently only recommends it

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 12:47:34 -0400

mutter (3.25.91-1) experimental; urgency=medium

  * New upstream release
  * Add skip-failing-tests-325.patch:
    - Skip one more test that started failing with 3.25
  * Add git_fix-wayland-color-inversion.patch:
    - Cherry-pick patch to fix wrong colors in clutter apps on Wayland
      (LP: #1712986)
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 07:11:39 -0400

mutter (3.25.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1662805)
  * libmutter0 has been renamed upstream to libmutter-0-0
  * Rename gir1.2-mutter-3.0 to gir1.2-mutter-0
  * Rename libmutter-dev to libmutter-0-dev
  * debian/control.in:
    - Drop obsolete Conflicts/Replaces now that the library
      uses different file names
    - Loosen dependency on -common package
    - Don't recommend gnome-session | x-session-manager (LP: #1703685)
    - Build-depend on xauth and xfvb for build tests
    - Add Conflicts: libmutter-0-dev to libmutter-1-dev since
      both ship the same development header file names
  * debian/rules:
    - Build with --enable-egl-device (LP: #1666664)
      This enables experimental support for using NVIDIA proprietary
      drivers with GNOME on Wayland
    - Run build tests but don't make them fatal yet
  * Add skip-failing-tests.patch:
    - Don't run a few tests that have been reported as failing

  [ Simon McVittie ]
  * Add patch metadata
  * Correctly label debian/patches/git_revert_call_threaded_swap.patch
    as a revert, not as the change that is being reverted

  [ Andreas Henriksson ]
  * New upstream beta release, 3.25.90.
  * Bump versions of build-dependencies according to configure.ac changes.
  * Rename packages according to libmutter bumping soname, 0->1.

  [ Jeremy Bicha ]
  * Drop git_revert_call_threaded_swap.patch, no longer needed

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Aug 2017 15:45:47 +0200

mutter (3.22.4-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add missing depends on gnome-settings-daemon (LP: #1561706)

  [ Laurent Bigonville ]
  * debian/patches/bgo782472_fix_copypaste_x11_wayland.patch: Fix copy/paste
    between some X11 applications (firefox/chromium) and wayland (Closes:
    #865788)
  * debian/control.in: Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 30 Jun 2017 19:08:41 +0200

mutter (3.22.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches which have been merged upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Apr 2017 15:56:47 +0200

mutter (3.22.3-2) unstable; urgency=medium

  * debian/patches/clutter-clone-Unset-source-when-source-actor-is-dest.patch
    - Add patch from 3.22 branch to fix a gnome-shell crash when using the
      alternatetab extension. (Closes: #857290)

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Mar 2017 18:06:30 +0100

mutter (3.22.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches which have been merged upstream.

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Feb 2017 18:17:07 +0100

mutter (3.22.2-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add git_flush_all_swap_notifies_on_idle.patch:
    - Add patch from 3.22 branch that fixes freezes with multiple monitors
      on Wayland

  [ Andreas Henriksson ]
  * Add debian/patches/bgo768531_workaround-startup-notifications.patch
    - temporary workaround used in both Fedora and Arch for getting
      working application startup notifications under Wayland.
    - See bgo#768531 for when a real solution is ready to replace this.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 08 Jan 2017 03:12:13 +0100

mutter (3.22.2-2) unstable; urgency=critical

  [ Raphaël Hertzog ]
  * Team upload.
  * Urgency critical as gnome-shell is entirely broken in testing
    for many users.

  [ Jeremy Bicha ]
  * Add git_dont_set_unavailable_scroll_methods.patch:
    - Add patch from 3.22 branch that prevented logging into GNOME on X
      for some users (LP: #1643370, Closes: #846898)

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 06 Dec 2016 17:35:40 +0100

mutter (3.22.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, all merged upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Nov 2016 19:17:32 +0100

mutter (3.22.1-2) unstable; urgency=medium

  * d/p/wayland-xdg-popup-Always-use-monitor-of-toplevel.patch
    d/p/wayland-xdg-shell-Scale-configure-relative-popup-coo.patch
    d/p/wayland-xdg-popup-Force-monitor-of-the-top-level.patch
    d/p/wayland-xdg-shell-update-popup-window-monitor-early.patch
    d/p/wayland-xdg-shell-Scale-positioner-coordinates.patch:
      - Added. Fix positioning of popups on hidpi screens in
        wayland (bgo#771841)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 14 Oct 2016 22:01:14 +0200

mutter (3.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/01_Wcast-align.patch. It's not necessary anymore as we
    don't enable -Werror.
  * Add Build-Depends on libxcb-res0-dev as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 13:55:44 +0200

mutter (3.22.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control.in:
    - Explicitly build-depend on libegl1-mesa-dev (Closes: #836153)

  [ Michael Biebl ]
  * New upstream release.
    - Correctly handle tablet settings lookups with no backing libwacom info.
      (Closes: #838050)
  * Use non-multiarch path (/usr/lib/mutter) for libexecdir.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 01:43:37 +0200

mutter (3.21.92-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/rules:
    - Explicitly disable kms and wayland to fix build on kfreebsd
  * Add fix-undef-build-failure.patch:
    - Git patch needed for build without wayland

  [ Michael Biebl ]
  * New upstream development release.
  * Refresh debian/patches/01_Wcast-align.patch.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 17:43:54 +0200

mutter (3.21.91-2) unstable; urgency=medium

  * Bump Build-Depends on libgnome-desktop-3-dev to (>= 3.21.2).
    This ensures we have a matching version of libgnome-desktop which supports
    mode flags via the D-Bus API.

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2016 12:03:57 +0200

mutter (3.21.91-1) unstable; urgency=low

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - bump wayland-protocols to >= 1.7
  * Drop debian/patches/Fix-build-of-clutter-tests.patch, merged upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 19:30:43 +0200

mutter (3.21.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update (build-)dependencies according to configure.ac changes:
    - drop intltool (>= 0.41), now gettext is used instead.
    - add libwacom-dev (>= 0.13) [linux-any]
    - bump wayland-protocols to >= 1.5
    - bump gsettings-desktop-schemas to >= 3.21.4
    - bump libinput-dev to >= 1.4
  * Drop debian/patches/clutter-Fix-typo-in-assert.patch
    - now included in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 20 Aug 2016 17:46:46 +0200

mutter (3.21.4-1) experimental; urgency=medium

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/fix-gint64-format.patch
    debian/patches/wayland-add-extended-state-for-tiled.patch:
    - Dropped fixed upstream
  * debian/patches/Fix-build-of-clutter-tests.patch
    - Added, fix build of test (bgo#769636)
  * debian/patches/clutter-Fix-typo-in-assert.patch
    - Added, fix build. From upstream git
  * debian/control.in: Bump libmutter0 to libmutter0i
  * debian/control.in: Update build-dependencies
  * debian/*.install: Install private helper libraries.

  [ Andreas Henriksson ]
  * libmutter-dev: depend on packages required by mutter-clutter-1.0.pc
    - libcairo2-dev, libglib2.0-dev, libatk1.0-dev, libpango1.0-dev,
      libjson-glib-dev, libegl1-mesa-dev, libwayland-dev, libdrm-dev,
      libgbm-dev, libinput-dev, libudev-dev, libx11-dev, libxext-dev,
      libxdamage-dev, libxcomposite-dev, libxi-dev
  * libmutter-dev: depend on additional packages required by mutter-cogl-1.0.pc
    - libgdk-pixbuf2.0-dev, libxfixes-dev, libxrandr-dev

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Aug 2016 15:53:15 +0200

mutter (3.20.3-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/fix-gint64-format.patch: Add patch from Luca Bruno fixing a format
    string on ILP32 architectures
  * d/rules: add a missing backslash so we build with the intended
    configure options, and in particular not -Werror (Closes: #829140)

  [ Jeremy Bicha ]
  * Replace old mutter libraries too instead of only conflicting with them

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jul 2016 10:18:59 +0200

mutter (3.20.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches which are now applied upstream.
  * Convert to multiarch.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Jun 2016 20:11:34 +0200

mutter (3.20.2-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Use https for copyright headers
  * Use https in d/watch and use new "special strings" to help standardize
    format

  [ Simon McVittie ]
  * Add all patches from upstream gnome-3-20 branch up to 2016-06-23
    - fix possible crashes in Wayland and in X11
    - ensure that Wayland output reconfiguration finishes correctly
    - implement "force quit" in Wayland using kill(), like in X11
    - improve UTF-8 correctness
    - update translations
    - ensure that all window frames are drawn similarly
    - avoid redrawing the entire window every frame
    - make windows that are unmaximized via drag follow the cursor
  * Backport patch from upstream to introduce XDG_SURFACE_STATE_GNOME_TILED
    and mark tiled windows with it, allowing GDK versions with a
    corresponding patch to report GDK_WINDOW_STATE_TILED correctly under
    Wayland

 -- Simon McVittie <smcv@debian.org>  Sat, 25 Jun 2016 00:19:53 +0100

mutter (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 13:48:17 +0200

mutter (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump mutter's dependency on gsettings-desktop-schemas to (>= 3.19.3).
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 00:06:56 +0200

mutter (3.20.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Mar 2016 10:12:11 +0100

mutter (3.19.92-2) experimental; urgency=medium

  * Rename libmutter0g -> libmutter0h
    - update dependencies and conflicts as well.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Mar 2016 19:15:59 +0100

mutter (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Bump libgtk-3-dev (>= 3.19.8)
    - Bump gsettings-desktop-schemas-dev (>= 3.19.3)
    - Bump libclutter-1.0-dev (>= 1.25.6)
    - Add wayland-protocols (>= 1.1) [linux-any]
  * 02_Handle-meta_screen_get_monitor_for_point-returning-N.patch:
    - dropped, merged upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Mar 2016 11:02:08 +0100

mutter (3.18.3-2) unstable; urgency=medium

  * Drop mutter-dbg now that we have automatic dbgsym packages.
  * Ensure proper upgrade from mutter-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.
  * Fix dh_makeshlibs args for libmutter0g.
  * Bump Standards-Version to 3.9.7.
  * Drop obsolete migration code from pre-wheezy.
  * Fix disappearing mouse cursor under GNOME Shell with a multi-monitor
    setup. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Mar 2016 07:53:24 +0100

mutter (3.18.3-1) unstable; urgency=medium

  * New upstream release.
    - fix crash when removing monitor/undocking (Closes: #813687)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 03 Mar 2016 18:48:49 +0100

mutter (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Nov 2015 00:09:29 +0100

mutter (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/01_Wcast-align.patch.
  * Wrap dependencies.
  * Bump the dependency on gsettings-desktop-schemas to (>= 3.15.92).
  * Drop the explicit versions from libmutter-dev dependencies. The
    libmutter.pc file doesn't enforce any specific versions and they were
    out-of-date anyway.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Oct 2015 16:13:17 +0200

mutter (3.18.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Fix typo in previous changelog entry.
  * New upstream release.
  * Drop debian/patches/git_launcher-fix-vt-switch.patch,
    debian/patches/git_launcher-format-string.patch:
    - now part of upstream release.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 11 Oct 2015 15:21:29 +0200

mutter (3.17.92-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove now useless dependency on gnome-themes-standard.
  * Instead, bump libgtk-3-dev build-dependency to 3.14 to make sure mutter will
    depend on a version of libgtk-3-common that contains the Adwaita theme.

  [ Andreas Henriksson ]
  * New upstream release candidate
  * Add two patches cherry-picked from upstream git:
    - debian/patches/git_launcher-format-string.patch
      "launcher: Don't pass variable as format string"
    - debian/patches/git_launcher-fix-vt-switch.patch
      "Revert "launcher: simplify getting session dbus proxy""

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 13:42:48 +0200

mutter (3.17.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update build-dependecies according to configure.ac changes:
    - bump libclutter-1.0-dev to >= 1.23.4
  * debian/libmutter-dev.install:
    - stop shipping usr/share/gtk-doc, removed upstream. See commit 7dc0b0e6.
  * Rename libmutter0f to libmutter0g
    - including conflicting against libmutter0f

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Aug 2015 11:03:17 +0200

mutter (3.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jul 2015 18:57:22 +0200

mutter (3.16.2-3) unstable; urgency=medium

  * Cherry-pick upstream commit which fixes the issue that window resize
    handles were not shown.
  * Drop obsolete Breaks/Replaces from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jun 2015 19:42:14 +0200

mutter (3.16.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 14 Jun 2015 13:44:02 +0200

mutter (3.16.2-1) experimental; urgency=medium

  [ Sjoerd Simons ]
  * New upstream release 3.16.1.
  * debian/rules: Explicitely build wayland and the native backend on linux
  * debian/control.in: Bump b-d
  * debian/rules: Stop shipping doc/theme-format.txt, Metacity format support
    has been dropped
  * bump library name to libmutter0f

  [ Emilio Pozuelo Monfort ]
  * New upstream release 3.16.2.
  * Upload to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 May 2015 19:55:29 +0200

mutter (3.14.4-2) unstable; urgency=medium

  * Switch Build-Depends from the transitional libsystemd-login-dev to
    libsystemd-dev. (Closes: #779761)

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Apr 2015 20:10:38 +0200

mutter (3.14.4-1) unstable; urgency=medium

  * New upstream translation and bugfix release.
    + Includes new function required for the workaround to #768896 which
      is very annoying for users of the proprietary nvidia driver.
  * 10_window-actor_unredirect.patch, 11_black_background.patch:
    dropped, merged upstream.
  * Bump shlibs due to new function.

 -- Josselin Mouette <joss@debian.org>  Thu, 26 Mar 2015 21:06:28 +0100

mutter (3.14.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * 10_window-actor_unredirect.patch: patch from upstream git. Fix crash
    when closing a window.
  * 11_black_background.patch: patch from upstream git. Don’t set a
    black background when switching from the display manager.

 -- Josselin Mouette <joss@debian.org>  Sun, 30 Nov 2014 15:05:14 +0100

mutter (3.14.1-2) unstable; urgency=medium

  * gir1.2-mutter-3.0: tighten dependency on libmutter0e by making
    it versioned to = ${binary:Version} (Closes: #766359)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 28 Oct 2014 19:57:02 +0100

mutter (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop obsolete Conflicts/Replaces: gir1.2-mutter-2.91.
  * Update Build-Depends as per configure.ac.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Oct 2014 00:40:24 +0200

mutter (3.14.0-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make gir1.2-mutter-3.0 break gnome-shell versions older than 3.13.92.
    Upstream commit a4a688ed83983fb5 removed MetaBackgroundEffects class,
    which old gnome-shell (up to 3.13.91) was using via JavaScript code.

  [ Andreas Henriksson ]
  * Make the libinput-dev build-dependency linux-only.
    Thanks to Julien Cristau for pointing it out.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 21:02:55 +0200

mutter (3.13.92-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Sep 2014 20:43:41 +0200

mutter (3.13.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream development release.
  * Update build-dependencies according to configure.ac changes:
    - bump intltool to (>= 0.41)
    - bump libclutter-1.0-dev to (>= 1.19.5)
    - add libinput-dev
    - bump libsystemd-login-dev to (>= 212)
    - add libxcb-randr0-dev, libxkbcommon-x11-dev, libxkbfile-dev and
      xkb-data
  * Drop patches backported from upstream:
    - 0001-constraints-Complete-fix-for-size-hints-constrainmen.patch
    - 0001-constraints-Size-increments-need-to-be-applied-to-th.patch
    - 0001-keybindings-Make-sure-not-to-call-meta_change_keygra.patch
  * Bump gobject-introspection build-dependency to (>= 1.41.3)
    - this one supports new "nullable" annotation.
  * libmutter-dev: bump dependency on libclutter-1.0-dev to (>= 1.19.5)
  * libmutter-dev: stop installing usr/lib/lib*.a, no need for static
    and they aren't built anymore.
  * Stop excluding mutter-launch from fixperms
    - not needed anymore, mutter-launch is now gone (see logind).
  * Bump libwayland-dev to >= 1.5.90 as required for wayland support.

  [ Rico Tzschichholz ]
  * Update library name to libmutter0e since the API/ABI is not compatible
    with 3.12.x releases

  [ Sjoerd Simons ]
  * New upstream release 3.13.91.
  * Update libxkbcommon-x11-dev versioned depend

  [ Andreas Henriksson ]
  * mutter.install: ship usr/lib/mutter/mutter-restart-helper

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 14:15:05 -0700

mutter (3.13.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Pass --as-needed to dh_autoreconf

  [ Andreas Henriksson ]
  * New upstream development release.
  * Drop debian/patches/prevent-double-lock-deadlock.patch
    - obsoleted by upstream commit 5c99eae8a9ca04f5e
      "display: clean up event handling"
  * Update build-dependencies according to configure.ac changes:
    - add libsystemd-login-dev (>= 207), libpam0g-dev
    - drop libxrender-dev
  * debian/mutter.install: drop usr/share/gnome
    - see upstream commit 542a0886cf14cec3995ada2
      "Remove files no one cares about anymore"
  * Add patches stolen from fedora originally backported from upstream git:
    - 0001-constraints-Complete-fix-for-size-hints-constrainmen.patch
    - 0001-constraints-Size-increments-need-to-be-applied-to-th.patch
    - 0001-keybindings-Make-sure-not-to-call-meta_change_keygra.patch
  * Bump gsettings-desktop-schemas (build-)dependencies to 3.13.1
    - need switch-to-workspace-last schema key
  * Exclude mutter-launch from having permissions "fixed"
    - mutter-launch needs to be suid

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Aug 2014 17:55:13 +0200

mutter (3.12.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Jul 2014 23:20:08 +0200

mutter (3.12.2-1) experimental; urgency=medium

  [ Sjoerd Simons ]
  * debian/rules: Don't constrain the libmutter0 dependencies via shlibs
    as we change the library names on ABI breaks now

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 17:36:21 +0200

mutter (3.12.1+therealdeal-1) experimental; urgency=medium

  * Tweak version to be bigger then the one in unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 19:38:07 +0200

mutter (3.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 17:47:46 +0200

mutter (3.12.0-2) experimental; urgency=low

  [ Rico Tzschichholz ]
  * Update library name to libmutter0d since the API/ABI is not compatible
    with 3.10.x releases

  [ Emilio Pozuelo Monfort ]
  * Let libmutter0d conflict with libmutter0c.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Apr 2014 10:30:00 +0200

mutter (3.12.0-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * debian/patches/prevent-double-lock-deadlock.patch:
    + Added. Don't call X functions that lock the display in code paths that
      have already locked the display if X threads have been initialized
      (bgo#704101)

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump upower 0.99.0
    - bump cogl 1.17.1
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Mar 2014 22:09:55 +0100

mutter (3.10.1-2) experimental; urgency=low

  * Force build against G3.10 version of gnome-desktop

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 11:19:44 +0100

mutter (3.10.1-1) experimental; urgency=low

  * New upstream release
  * Sync with Ubuntu (3.10.0-0ubuntu1~saucy1)
    + Update library name to libmutter0c
    + Bump build-depends

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 22:34:51 +0100

mutter (3.8.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 13 Oct 2013 17:26:39 +0200

mutter (3.8.4-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in:
    - Use standard Breaks/Replaces instead of Conflicts against older mutter
      libraries

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Standards-Version is 3.9.4, no changes needed.
  * New upstream release.

  [ Michael Biebl ]
  * debian/watch: Track stable releases.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Oct 2013 19:37:56 +0200

